

/** Do tesotwania urywania czlonkow.
 */
public class LimbLooser extends Pawn
{
    boolean bCanCut = false;
    Vector vOriginalPos;

    public void OnCreate()
    {
        super.OnCreate();

        SetFlag(ECollFlags.OBJCOL_TYPE_PERFACE);
        SetFlag(EFlags._BLOCK_TRACE);
        
        RegisterKeyRequest();
        vOriginalPos = GetPosition();

        PhysicsCreate( 100 );

        ClearFlag( EFlags._NO_ANIMATION_REFRESH);
        ClearFlag( EFlags._NO_ANIMATION );
    }

    void Execute( Actor executor )
    {
        super.Execute(executor);

        bCanCut = !bCanCut;

        if(!bCanCut)
            UnCutBodyPart(EBones._PELVIS, true);
    }

    String GetTip()
    {
        if (!bCanCut)
            return "Click to cut me a limb :-)";
        else
            return "Click to heal me...";
    }
/*    
 native final boolean CutBodyPart(byte eBone, boolean bAffectChildren);
 native final boolean UnCutBodyPart(byte eBone, boolean bAffectChildren);
 native final boolean IsBodyPartCutted(byte eBone);
 native final boolean HasBodyCuttedParts();
  */  
    void OnInputKey(int nKeyCode, boolean bKeyState, char nKeyAscii)
    {
        if (bKeyState)
        {
            if(nKeyCode==EKey._Q)
            {
                Rebirth();
            }

            if(nKeyCode==EKey._NUMPAD7)
            {
                LogD("Cutting!");
                
                if (!IsBodyPartCutted(EBones._R_FOREARM))
                {
                    CutBodyPart(EBones._R_FOREARM, true);
                }
                else
                {
                    UnCutBodyPart(EBones._R_FOREARM, true);
                }
            }
        }
    }

    void Rebirth()
    {
        PhysicsOff();
        SetPosition(vOriginalPos);
        ClearFlag(EFlags._NO_ANIMATION_REFRESH);
        SetFlag(EFlags._BLOCK_MOVE);
        UnCutBodyPart(EBones._PELVIS, true);
        PlayAnimSeq(0, 10);
        fHealth = 10.f;
    }

/*    public void OnTakeDamage(float fDamage, GameObject Assassin, Vector vHitLocation, Vector vSpeed, int nDamageType)
    {
        CrashLog("[Doll.OnTakeDamage] hit by <"+ Assassin.GetName() +">\n");
		CrashLog("bone="+EBones.GetNameFromID((byte)nDamageType)+"\n");

		// odebranie energii
        fDamage = fDamage * GetDamageMultiplier(nDamageType);
        fHealth = .0f;
		//Damage(fDamage);

        Physics.Simulate(this, vHitLocation, vSpeed, fDamage, nDamageType);
        
        CutBodyPart((byte)nDamageType, true);
        
        //sztuczne powiekszenie elipsoidy, zeby mozna bylo trafiac goscia po smierci
        SetEllipsoid(200, 200, 100);
    }
*/
	// poprawione OnTakeDamage //////////////////////////////////////////////////////////////
    public void OnTakeDamage(float fDamage, float fPhSimDamage, GameObject Assassin, Vector vHitLocation, Vector vSpeed, int nMeshElementorBoneID, int nDamageType)
    {
        CrashLog("[Doll.OnTakeDamage] hit by <"+ Assassin.GetName() +">\n");
		CrashLog("bone="+EBones.GetNameFromID((byte)nDamageType)+"\n");

		// odebranie energii
        fDamage = fDamage * GetDamageMultiplier(nMeshElementorBoneID);
        fHealth = .0f;
		//Damage(fDamage, nDamageType);

        Physics.Simulate(this, vHitLocation, vSpeed, fPhSimDamage, nMeshElementorBoneID);
        
        CutBodyPart((byte) nMeshElementorBoneID, true);
        
        //sztuczne powiekszenie elipsoidy, zeby mozna bylo trafiac goscia po smierci
        SetEllipsoid(200, 200, 100);
    }
}
