public class FXExplosionEmiter extends FX
{
    static float fBlowEmiterSeqDuration = 550000f;
    FXExplosionEmiter()
    {
        /**********************************************************/
        
        Sequence("FXBlowEmiter");
        {
            SeqDuration(fBlowEmiterSeqDuration);
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(600);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(11000,11000);
                }
                Position();
                {
                    v(0,700,0);
                }
                
            }
            
            Delay (200);
            
            Expl();
            {
                Texture("FlareTex2");  //OSLEPIENIE
                Duration(3000);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(120000,120000);
                }
                Position();
                {
                    v(0,2000,0);
                }
                Alpha ();
                {
                    v(1);
                    v(0);
                    
                }
                DepthTestDisable();
                
            }
            
            
            Expl();                         //POZAR
            {
                Texture("FXTexRing");
                Duration(8000);
                BlendMode(_BLEND_ADD);
                TowardsToCamera(0);
                Size();
                {

                    v(2000,2000);
                    v(130000,130000);
                }
                Position();
                {
                    v(0,0,-1600);
                    v(0,0,3500);
                }
                Rotation();
                {
                    v(0,0,90);
                    v(0,0,500);
                    
                }
                Alpha ();
                {
                    v(0);
                    v(1);
                    v(1);
                    
                    
                }
            }
            
            
            
            
            
            
            
            Expl();
            {
                Texture("FXTexRing");
                Duration(500);
                BlendMode(_BLEND_ADD);
                TowardsToCamera(0);
                Size();
                {

                    v(0,0);
                    v(100000,100000);
                }
                Position();
                {
                    v(0,0,2000);
                }
                Rotation();
                {
                    v(0,0,130);
                }
                Alpha ();
                {
                    v(1);
                    v(0);
                    
                }
            }
            
            
            
            Delay(180);
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(800);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(6500,6800);
                    v(19000,15000);
                }
                Position();
                {
                    v(00,1800,0);
                }
            }
            
            
            Delay(230);
            
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(1200);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(9200,7600);
                    v(26500,19800);
                }
                Position();
                {
                    v(0,1300,0);
                }
                Alpha();
                {
                    v(1);
                    v(1);
                    v(0);
                    
                }
            }
            
            
            Delay(630);
            
            
            Expl();
            {
                Texture("FXTexTuman");
                Duration(1400);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(7000,7000);
                    v(26000,19000);
                }
                Position();
                {
                    v(0,2700,0);
                }
                Alpha();
                {
                    v(1);
                    v(0.9f);
                    v(0);
                }
                
            }
            
            Delay(100);
            
            Expl();
            {
                Texture("FXTexTuman");
                Duration(1900);
                BlendMode(_BLEND_MIX);
                Size();
                {
                    v(6000,6000);
                    v(34000,23000);
                }
                Position();
                {
                    v(0,2000,0);
                    v(0,4000,0);
                }
                Alpha ();
                {
                    v(1);
                    v(0);
                    
                }
            }
            
            Delay(1200);
            
            Expl();                         //KONIEC
            {
                Texture("FlareTex2");
                Duration(15000);
                BlendMode(_BLEND_ADD);
                TowardsToCamera(1);
                Size();
                {

                    
                    v(330000,330000);
                }
                Position();
                {
                    
                    v(0,0,0);
                }
                Rotation();
                {
                    v(0,0,0);
                }
                Alpha ();
                {
                    v(0);
                    v(1);
                    v(1);
                    v(0);
                }
                DepthTestDisable();
            }
            
            
            
            
            
            
            
            
            
            
            Trace("FXBlowEmiter");
            {   
                Duration(1000000);
                Texture("FXTexGroundGrenadeTrace");
                TextureRepeat(1);
                Size();
                {
                    v(1300,1300);
                }
                Alpha();
                {
                    v(1);
                }
            }
            
            ParticleSystem("FXBlowEmiter");
            {
                EmiterSize(3,3);
                EmiterLifeTime(12000);
                
                EmiterParticleCount(30);
                
                EmiterContinuous(0);
                ParticleDirVariation(200,180);
                ParticleRandomVelocity(5000,12000);
                ParticleLifeTime(7000);
                ParticleMass(0.9f);
                ParticleForce(_GRAVITY);
                
                TailRepeat(200);
                
                ParticleTail();
                {    
                    Duration(5000);
                    Texture("FXTexParticleSmoke");
                    TextureRepeat(1);		 
                    Rotation();
                    {
                        v(0,0,0);
                        v(0,0,100);
                    }
                    
                    RandomPosition();
                    {
                        v(0,0,0);
                        v(0,0,360);
                    }
                    
                    Alpha();
                    {
                        v(1);
                        
                        v(0);
                    }
                    Size();
                    {
                        v(50,50);    
                        v(4000,4000);
                        
                    }
                    BlendMode(_BLEND_MIX);
                    
                }
                
                Particle(_PARTICLE_QUAD);
                {
                    Texture("FXTexBlacha");
                    BlendMode(_BLEND_MIX);
                    TowardsToCamera(0);
                    
                    RandomSize();
                    {
                        v(200,700);
                    }
                    
                    RandomRotationFactor( 0.2f, 1.5f ); 
                    Rotation();
                    {
                        v(0,0,0); 
                        v(2000,3000,3500);
                    }            
                }
            }
        }
    }
}
