public class FXExplosions extends FX
{
	FXExplosions()
	{
		/**********************************************************/
		
        Sequence("FXBlowBridge");
		{
			float fSize = 1.5f;
			
			SeqDuration(7000);
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(600*fSize,600*fSize);
				}
				Position();
				{
					v(0,50,0);
				}
			}
			Delay(110);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(600);
				BlendMode(_BLEND_MIX);
				RandomSize();
				{
					v(450*fSize,780*fSize);
				}
				Position();
				{
					v(30,90,0);
				}
			}
			Delay(90);
			
			SeqDuration(1000);
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(800);
				BlendMode(_BLEND_MIX);
				RandomSize();
				{
					v(520*fSize,760*fSize);
				}
				Position();
				{
					v(-30,130,0);
				}
				Alpha();
				{
					v(1);
					v(1);
					v(0);
					
				}
			}
			Delay(230);
			
			SeqDuration(1000);
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(1100);
				BlendMode(_BLEND_MIX);
				RandomSize();
				{
					v(470*fSize,600*fSize);
				}
				Position();
				{
					v(0,190,0);
				}
				Alpha();
				{
					v(0.5f);
					v(0);
				}
			}
		}
		
		ParticleSystem("FXBlowBridge");
		{
			EmiterSize(3,3);
			EmiterLifeTime(3000);
			
			EmiterParticleCount(50);
			
			EmiterContinuous(0);
			ParticleDirVariation(130,130);
			ParticleVelocity(1000);
			ParticleLifeTime(1400);
			ParticleMass(0.9f);
			ParticleForce(_GRAVITY);
			
			Particle(_PARTICLE_QUAD);
			{
				Texture("FXTexGroundGrenadeParticle");
				BlendMode(_BLEND_MIX);
				TowardsToCamera(1);
				RandomSize();
				{
					v(6,24);
				}
				
				Rotation();
				{
					v(0,0,0);     
				}            
			}
		}

        /**********************************************************/
        
		Sequence("FXBlowBarrel");
		{
			SeqDuration(6000);
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(100);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(2400,2400);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				
				
			}
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(200,200);
					v(350,350);
				}
				Position();
				{
					v(0,60,0);
					v(0,90,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			
			Delay(50);
			
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(500);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(400,400);
				}
				Position();
				{
					v(20,140,0);
					v(20,220,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(350,350);
				}
				Position();
				{
					v(-20,190,0);
					v(-20,260,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(300,300);
					v(350,350);
				}
				Position();
				{
					v(40,260,0);
					v(50,340,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			
			
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(300,300);
					v(900,900);
				}
				Position();
				{
					v(0,150,0);
					v(0,600,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
					
				
			}
			
			Delay(300);
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(300,300);
					v(1100,1100);
				}
				Position();
				{
					v(0,300,0);
					v(0,640,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			ParticleSystem("FXBlowBarrel");
			{
				EmiterSize(3,3);
				EmiterLifeTime(2300);
				
				EmiterParticleCount(5);
				
				EmiterContinuous(0);
				ParticleDirVariation(130,130);
				ParticleRandomVelocity(500,2200);
				ParticleLifeTime(1000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				TailRepeat(70);
				
				ParticleTail();
				{    
					Duration(1200);
					Texture("FXTexDamageSmoke");
					TextureRepeat(1);		 
					RandomRotation();
					{
						v(0,0,0);
						v(0,0,300);
					}
					
					Position();
					{
						v(0,0,0);
						v(0,50,0);
					}
					
					Alpha();
					{
						v(0.8);
						v(0);
					}
					Size();
					{
						v(30,30);    
						v(130,130);
						v(170,170);
						
					}
					BlendMode(_BLEND_MIX);
					
				}   


				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexIskra");
					BlendMode(_BLEND_ADD);
					TowardsToCamera(1);
					//Duration(1200);
					RandomSize();
					{
						v(9,17);
					}
					
					Alpha();
					{
						v(1);
						v(0);
					}
					
					
				}
			}
		}
        
		/**********************************************************/
		
		/**********************************************************/
		
		Sequence("FXBlowBoat");
		{
			float fSize = 1.5f;
			
			SeqDuration(7000);
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(600*fSize,600*fSize);
				}
				Position();
				{
					v(0,50,0);
				}
			}
			Delay(110);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(600);
				BlendMode(_BLEND_MIX);
				RandomSize();
				{
					v(450*fSize,780*fSize);
				}
				Position();
				{
					v(30,90,0);
				}
			}
			Delay(90);
			
			SeqDuration(1000);
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(800);
				BlendMode(_BLEND_MIX);
				RandomSize();
				{
					v(520*fSize,760*fSize);
				}
				Position();
				{
					v(-30,130,0);
				}
				Alpha();
				{
					v(1);
					v(1);
					v(0);
					
				}
			}
			Delay(230);
			
			SeqDuration(1000);
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(1100);
				BlendMode(_BLEND_MIX);
				RandomSize();
				{
					v(470*fSize,600*fSize);
				}
				Position();
				{
					v(0,190,0);
				}
				Alpha();
				{
					v(0.5f);
					v(0);
				}
			}
		}
		
		Trace("FXBlowBoat");
		{   
			Duration(10000);
			Texture("FXTexGroundGrenadeTrace");
			TextureRepeat(1);
			Size();
			{
				v(130,130);
			}
			Alpha();
			{
				v(1);
			}
		}
		
		ParticleSystem("FXBlowBoat");
		{
			EmiterSize(3,3);
			EmiterLifeTime(3000);
			
			EmiterParticleCount(50);
			
			EmiterContinuous(0);
			ParticleDirVariation(130,130);
			ParticleVelocity(1000);
			ParticleLifeTime(1400);
			ParticleMass(0.9f);
			ParticleForce(_GRAVITY);
			
			Particle(_PARTICLE_QUAD);
			{
				Texture("FXTexGroundGrenadeParticle");
				BlendMode(_BLEND_MIX);
				TowardsToCamera(1);
				RandomSize();
				{
					v(6,24);
				}
				
				Rotation();
				{
					v(0,0,0);     
				}            
			}
		}
		
		
		
		
		
		
		
		
		
		/**********************************************************/
		Sequence("FXBlowWalker");
		{
			float fSize = 1.5f;
			
			SeqDuration(5000);
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(1400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(2400,2400);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				//DepthTestDisable();
				
			}
			
			Expl();                                       //RING
			{
				Texture("FXTexRing");
				Duration(300);
				BlendMode(_BLEND_ADD);
				TowardsToCamera(0);
				Size();
				{

					v(0,0);
					v(3000,3000);
				}
				Position();
				{
					v(0,0,0);
				}
				Rotation();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
			}
			
			Delay(100);  
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(200,200);
					v(450,450);
				}
				Position();
				{
					v(0,60,0);
					v(0,110,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(200,200);
					v(600,600);
				}
				Position();
				{
					v(20,120,0);
					v(20,180,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(800);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(150,150);
					v(450,450);
				}
				Position();
				{
					v(-20,180,0);
					v(-30,240,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(260,260);
					v(500,500);
				}
				Position();
				{
					v(40,250,0);
					v(60,330,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(500,500);
					v(1200,1200);
				}
				Position();
				{
					v(0,0,0);
					v(0,300,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
			}
			
			Delay(300);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(300,300);
					v(900,900);
				}
				Position();
				{
					v(0,300,0);
					v(0,640,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			}
			
			
			
			
			
			
			
			
			
			
			ParticleSystem("FXBlowWalker");
			{
				EmiterSize(3,3);
				EmiterLifeTime(10000);
				
				EmiterParticleCount(30);
				
				EmiterContinuous(0);
				ParticleDirVariation(230,230);
				ParticleRandomVelocity(400,2500);
				ParticleLifeTime(9000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				TailRepeat(70);
				
				ParticleTail();
				{    
					Duration(2000);
					Texture("FXTexParticleSmoke");
					TextureRepeat(1);		 
					RandomRotation();
					{
						v(0,0,0);
						v(0,0,100);
						
						
					}
					
					Position();
					{
						v(0,0,0);
						v(0,50,0);
					}
					
					Alpha();
					{
						v(1);
						
						v(0);
					}
					Size();
					{
						v(30,30);    
						v(150,150);
						v(230,230);
						
					}
					BlendMode(_BLEND_MIX);
					
				}
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexBlacha");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(0);
					
					RandomSize();
					{
						v(40,70);
					}
					
					RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(2000,3000,3500);
					}            
				}
			}
		}
		
		/**********************************************************/
		
		Sequence("FXVehicleExplosion");
		{
			float fSize = 1.2f;
			
			SeqDuration(6000);
			
			
			
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(1400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(2400,2400);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				//DepthTestDisable();
				
			}
			
			
			Expl();                                       //RING
			{
				Texture("FXTexRing");
				Duration(300);
				BlendMode(_BLEND_ADD);
				TowardsToCamera(0);
				Size();
				{

					v(0,0);
					v(3000,3000);
				}
				Position();
				{
					v(0,0,0);
				}
				Rotation();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
			}
			
			Delay(100);  
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(200,200);
					v(350,350);
				}
				Position();
				{
					v(0,60,0);
					v(0,90,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			
			Delay(50);
			
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(400,400);
				}
				Position();
				{
					v(20,90,0);
					v(20,120,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(800);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(350,350);
				}
				Position();
				{
					v(-20,120,0);
					v(-20,140,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			
			
			
			
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(500,500);
					v(1200,1200);
				}
				Position();
				{
					v(0,0,0);
					v(0,300,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
			}
			
			Delay(300);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(300,300);
					v(900,900);
				}
				Position();
				{
					v(0,300,0);
					v(0,640,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			}
			
			
			
			
			
			
			
			
			
			
			ParticleSystem("FXVehicleExplosion");
			{
				EmiterSize(3,3);
				EmiterLifeTime(10000);
				
				EmiterParticleCount(30);
				
				EmiterContinuous(0);
				ParticleDirVariation(230,230);
				ParticleRandomVelocity(400,2500);
				ParticleLifeTime(9000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				TailRepeat(70);
				
				ParticleTail();
				{    
					Duration(2000);
					Texture("FXTexParticleSmoke");
					TextureRepeat(1);		 
					RandomRotation();
					{
						v(0,0,0);
						v(0,0,100);
						
						
					}
					
					Position();
					{
						v(0,0,0);
						v(0,50,0);
					}
					
					Alpha();
					{
						v(1);
						
						v(0);
					}
					Size();
					{
						v(30,30);    
						v(150,150);
						v(230,230);
						
					}
					BlendMode(_BLEND_MIX);
					
				}
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexBlacha");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(0);
					
					RandomSize();
					{
						v(40,70);
					}
					
					RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(2000,3000,3500);
					}            
				}
			}
		}
		

		
		
		
		
		
		
		
		
		
		
		
		/**********************************************************/
		/**********************************************************/
		
		Sequence("FXFlyingRobot");
		{
			SeqDuration(5000);
			
			Expl();
			{
				Texture("FlareTex2");
				Duration(100);
				BlendMode(_BLEND_ADD);
				Size();
				{
					
					v(800,800);
				}
				Position();
				{
					v(0,0,0);
					
				}
				
				
				//DepthTestDisable();
				Alpha ();
				{
					v(1);
					
					v(0);
					
				}
			}
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(900);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(200,200);
				}
				Position();
				{
					v(0,0,0);
				}
				
				
				//DepthTestDisable();
				Alpha ();
				{
					v(1);
					v(0);
					
				}
			}
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(4000);
				BlendMode(_BLEND_MIX);
				Size();
				{
					v(160,160);
					v(400,400);
				}
				Position();
				{
					v(0,0,0);
					v(0,150,0);
				}
				
				
				//DepthTestDisable();
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			}
			
			
			
			ParticleSystem("FXFlyingRobot");
			{
				EmiterLifeTime(3000);
				
				EmiterParticleCount(20);
				EmiterSize(3,3);
				
				EmiterContinuous(0);
				ParticleDirVariation(360,360);
				ParticleVelocity(600);
				ParticleLifeTime(2700);
				ParticleMass(0.5f);
				ParticleForce(_GRAVITY);
				ParticleTrailLength(8);
				ParticleTrailWidth(6);
				ParticleTrailTexture("FXTexIskra");
				ParticleTrailBlendMode(_BLEND_ADD);					
				
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexIskra");
					BlendMode(_BLEND_ADD);
					TowardsToCamera(1);
					Size();
					{
						v(0,0);
						
						Rotation();
						{
							v(0,0,0);
							
						}
						
					}
				}
			}
		}
		
		
		
		/**********************************************************/
		/**********************************************************/
		Sequence("FXBlowFlyingVehicle");
		{
			SeqDuration(6000);
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(3400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(25400,15400);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(1);
					v(0);
				}
			}
			
			Expl();                                       //RING
			{
				Texture("FXTexRing");
				Duration(2200);
				BlendMode(_BLEND_ADD);
				TowardsToCamera(0);
				Size();
				{

					v(1000,1000);
					v(28000,28000);
					v(31000,31000);
				}
				Position();
				{
					v(0,0,0);
				}
				Rotation();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
				}
			}
			
			Delay(80);  
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(1600,1200);
					v(3990,2750);
				}
				Position();
				{
					v(0,60,0);
					v(0,90,0);
				}
				Alpha();
				{
					v(1);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Delay(150);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(1700,1200);
					v(4600,2600);
				}
				Position();
				{
					v(200,90,0);
					v(200,120,0);
				}
				Alpha();
				{
					v(1);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Delay(150);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(800);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(1500,1200);
					v(2950,2550);
				}
				Position();
				{
					v(-200,120,0);
					v(-200,140,0);
				}
				Alpha();
				{
					v(1);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1900,1900);
					v(3800,3800);
				}
				Position();
				{
					v(0,0,0);
					v(0,1300,0);
				}
				Alpha();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Delay(300);
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(800,800);
					v(2900,2900);
				}
				Position();
				{
					v(0,300,0);
					v(0,1640,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				//DepthTestDisable();
			}
			
			ParticleSystem("FXBlowFlyingVehicle");
			{
				EmiterSize(7,7);
				EmiterLifeTime(10000);
				
				EmiterParticleCount(15);
				
				EmiterContinuous(0);
				ParticleDirVariation(360,360);
				ParticleRandomVelocity(600,5500);
				ParticleLifeTime(5000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				TailRepeat(70);
				
				ParticleTail();
				{    
					Duration(2000);
					Texture("FXTexBlackSmoke");
					TextureRepeat(1);		 
					RandomRotation();
					{
						v(0,0,0);
						v(0,0,100);
						
						
					}
					
					Position();
					{
						v(0,0,0);
						v(0,50,0);
					}
					
					Alpha();
					{
						v(1);
						
						v(0);
					}
					Size();
					{
						v(90,90);    
						v(750,750);
						v(890,890);
						
					}
					BlendMode(_BLEND_MIX);
					
				}
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexBlacha");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(0);
					
					RandomSize();
					{
						v(50,110);
					}
					
					RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(2000,3000,3500);
					}            
				}
			}
		}
		
		/**********************************************************/
		/**********************************************************/
		
		Sequence("FXBlowArmoredTransporter");
		{
			SeqDuration(6000);
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(3400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(25400,15400);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(1);
					v(0);
				}
			}
			
			Expl();                                       //RING
			{
				Texture("FXTexRing");
				Duration(2200);
				BlendMode(_BLEND_ADD);
				TowardsToCamera(0);
				Size();
				{

					v(1000,1000);
					v(28000,28000);
					v(31000,31000);
				}
				Position();
				{
					v(0,0,0);
				}
				Rotation();
				{
					v(90,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
				}
			}
			
			Delay(80);  
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(1600,1200);
					v(3990,2750);
				}
				Position();
				{
					v(0,60,0);
					v(0,90,0);
				}
				Alpha();
				{
					v(1);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Delay(150);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(1700,1200);
					v(4600,2600);
				}
				Position();
				{
					v(200,90,0);
					v(200,120,0);
				}
				Alpha();
				{
					v(1);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Delay(150);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(800);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(1500,1200);
					v(2950,2550);
				}
				Position();
				{
					v(-200,120,0);
					v(-200,140,0);
				}
				Alpha();
				{
					v(1);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1900,1900);
					v(3800,3800);
				}
				Position();
				{
					v(0,0,0);
					v(0,1300,0);
				}
				Alpha();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Delay(300);
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(800,800);
					v(2900,2900);
				}
				Position();
				{
					v(0,300,0);
					v(0,1640,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				//DepthTestDisable();
			}
			
			ParticleSystem("FXBlowFlyingVehicle");
			{
				EmiterSize(7,7);
				EmiterLifeTime(10000);
				
				EmiterParticleCount(15);
				
				EmiterContinuous(0);
				ParticleDirVariation(360,360);
				ParticleRandomVelocity(600,5500);
				ParticleLifeTime(5000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				TailRepeat(70);
				
				ParticleTail();
				{    
					Duration(2000);
					Texture("FXTexBlackSmoke");
					TextureRepeat(1);		 
					RandomRotation();
					{
						v(0,0,0);
						v(0,0,100);
						
						
					}
					
					Position();
					{
						v(0,0,0);
						v(0,50,0);
					}
					
					Alpha();
					{
						v(1);
						
						v(0);
					}
					Size();
					{
						v(90,90);    
						v(750,750);
						v(890,890);
						
					}
					BlendMode(_BLEND_MIX);
					
				}
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexBlacha");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(0);
					
					RandomSize();
					{
						v(50,110);
					}
					
					RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(2000,3000,3500);
					}            
				}
			}
		}
        
		/*-----------------------------------------------------------------*/
		/*-----------------------------------------------------------------*/
		Sequence("FXBlowArmory");
		{
			SeqDuration(10000);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(300);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(1600,1600);
					v(3500,1800);
				}
				Position();
				{
					v(20,90,0);
					v(20,120,0);
				}
				Alpha();
				{
					v(1);
				}
				//DepthTestDisable();
			}
			
			Delay(200);
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(1000);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(35400,35400);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Expl();                                       //RING
			{
				Texture("FXTexRing");
				Duration(1800);
				BlendMode(_BLEND_ADD);
				TowardsToCamera(0);
				Size();
				{
					v(1000,1000);
					v(28000,28000);
				}
				Position();
				{
					v(90,0,0);
				}
				Rotation();
				{
					v(90,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
				}
			}
			
			Delay(300);  
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(1100);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(1200,1200);
					v(3750,3750);
				}
				Position();
				{
					v(0,560,0);
					v(0,1290,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				//DepthTestDisable();
			}
			
			Delay(250);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(1180);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(2200,2200);
					v(3600,3600);
				}
				Position();
				{
					v(20,1190,0);
					v(20,2120,0);
				}
				Alpha();
				{
					v(1);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Delay(250);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(1100);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(2200,2200);
					v(4450,3150);
				}
				Position();
				{
					v(-20,1820,0);
					v(-20,2940,0);
				}
				Alpha();
				{
					v(1);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(4800);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1800,1800);
					v(2900,3100);
				}
				Position();
				{
					v(0,100,0);
					v(0,1100,0);
				}
				Alpha();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Delay (50);
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(5100);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1800,1800);
					v(3100,2900);
				}
				Position();
				{
					v(0,900,0);
					v(0,2100,0);
				}
				Alpha();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Delay (50);
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(5500);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1700,1900);
					v(2500,2100);
				}
				Position();
				{
					v(0,1700,0);
					v(0,2900,0);
				}
				Alpha();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				//DepthTestDisable();
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(7300);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(5000,4800);
					v(6300,5300);
				}
				Position();
				{
					v(0,3100,0);
					v(0,3540,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				//DepthTestDisable();
			}
			
			ParticleSystem("FXBlowArmory");
			{
				EmiterSize(7,7);
				EmiterLifeTime(10000);
				
				EmiterParticleCount(50);
				
				EmiterContinuous(0);
				ParticleDirVariation(260,260);
				ParticleRandomVelocity(600,5500);
				ParticleLifeTime(9000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				TailRepeat(70);
				
				ParticleTail();
				{    
					Duration(2000);
					Texture("FXTexBlackSmoke");
					TextureRepeat(1);		 
					RandomRotation();
					{
						v(0,0,0);
						v(0,0,100);
					}
					
					Position();
					{
						v(0,0,0);
						v(0,50,0);
					}
					
					Alpha();
					{
						v(1);
						v(0);
					}
					Size();
					{
						v(60,60);    
						v(350,350);
						v(530,530);
					}
					BlendMode(_BLEND_MIX);
					
				}
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexBlacha");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(0);
					
					RandomSize();
					{
						v(50,170);
					}
					
					RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(2000,3000,3500);
					}            
				}
			}
		}
		
		/**********************************************************/
		
		Sequence("FXBlowRocketFF");
		{
			SeqDuration(6000);
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(100);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(2400,2400);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				
				
			}
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(200,200);
					v(350,350);
				}
				Position();
				{
					v(0,60,0);
					v(0,90,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			
			Delay(25);
			
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(500);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(400,400);
				}
				Position();
				{
					v(20,140,0);
					v(20,220,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			Delay(25);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(350,350);
				}
				Position();
				{
					v(-20,190,0);
					v(-20,260,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			Delay(25);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(300,300);
					v(350,350);
				}
				Position();
				{
					v(40,260,0);
					v(50,340,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			
			
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(300,300);
					v(900,900);
				}
				Position();
				{
					v(0,150,0);
					v(0,600,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
					
				
			}
			
			Delay(300);
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(300,300);
					v(1100,1100);
				}
				Position();
				{
					v(0,300,0);
					v(0,640,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			ParticleSystem("FXBlowRocketFF");
			{
				EmiterSize(3,3);
				EmiterLifeTime(2300);
				
				EmiterParticleCount(5);
				
				EmiterContinuous(0);
				ParticleDirVariation(130,130);
				ParticleRandomVelocity(500,2200);
				ParticleLifeTime(1000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				TailRepeat(70);
				
				ParticleTail();
				{    
					Duration(1200);
					Texture("FXTexBlackSmoke");
					TextureRepeat(1);		 
					RandomRotation();
					{
						v(0,0,0);
						v(0,0,300);
					}
					
					Position();
					{
						v(0,0,0);
						v(0,50,0);
					}
					
					Alpha();
					{
						v(1);
						v(0);
					}
					Size();
					{
						v(30,30);    
						v(130,130);
						v(170,170);
						
					}
					BlendMode(_BLEND_MIX);
					
				}   


				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexIskra");
					BlendMode(_BLEND_ADD);
					TowardsToCamera(1);
					//Duration(1200);
					RandomSize();
					{
						v(9,17);
					}
					
					Alpha();
					{
						v(1);
						v(0);
					}
					
					
				}
			}
		}
			
		
//*********************************************************************************
		
		Sequence("FXBlowRocket");
		{
			SeqDuration(6000);
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(150);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(2400,2400);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				
				
			}
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(200,200);
					v(350,350);
				}
				Position();
				{
					v(0,60,0);
					v(0,90,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			
			Delay(25);
			
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(500);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(400,400);
				}
				Position();
				{
					v(20,140,0);
					v(20,220,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			Delay(25);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(350,350);
				}
				Position();
				{
					v(-20,190,0);
					v(-20,260,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			Delay(25);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(300,300);
					v(350,350);
				}
				Position();
				{
					v(40,260,0);
					v(50,340,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			
			
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(300,300);
					v(900,900);
				}
				Position();
				{
					v(0,150,0);
					v(0,600,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
					
				
			}
			
			Delay(300);
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(300,300);
					v(1100,1100);
				}
				Position();
				{
					v(0,250,0);
					v(0,600,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			ParticleSystem("FXBlowRocket");
			{
				EmiterSize(3,3);
				EmiterLifeTime(2300);
				
				EmiterParticleCount(5);
				
				EmiterContinuous(0);
				ParticleDirVariation(170,170);
				ParticleRandomVelocity(800,2200);
				ParticleLifeTime(1000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				TailRepeat(40);
				
				ParticleTail();
				{    
					Duration(1200);
					Texture("FXTexDamageSmoke");
					TextureRepeat(1);		 
					RandomRotation();
					{
						v(0,0,0);
						v(0,0,300);
					}
					
					Position();
					{
						v(0,0,0);
						v(0,50,0);
					}
					
					Alpha();
					{
						v(0.7);
						v(0);
					}
					Size();
					{
						v(30,30);    
						v(130,130);
						v(170,170);
						
					}
					BlendMode(_BLEND_MIX);
					
				}   


				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexIskra");
					BlendMode(_BLEND_ADD);
					TowardsToCamera(1);
					//Duration(1200);
					RandomSize();
					{
						v(9,17);
					}
					
					Alpha();
					{
						v(1);
						v(0);
					}
					
					
				}
			}
            
            ParticleSystem("FXBlowAPCNet");
			{
				EmiterSize(3,3);
				EmiterLifeTime(2300);
				
				EmiterParticleCount(8);
				
				EmiterContinuous(0);
				ParticleDirVariation(180,180);
				ParticleRandomVelocity(1100,2800);
				ParticleLifeTime(1000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				TailRepeat(40);
				
				ParticleTail();
				{    
					Duration(900);
					Texture("FXTexDamageSmoke");
					TextureRepeat(1);		 
					RandomRotation();
					{
						v(0,0,0);
						v(0,0,300);
					}
					
					Position();
					{
						v(0,0,0);
						v(0,50,0);
					}
					
					Alpha();
					{
						v(0.7);
						v(0);
					}
					Size();
					{
						v(30,30);    
						v(120,120);
						v(150,150);
						
					}
					BlendMode(_BLEND_MIX);
					
				}   


				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexIskra");
					BlendMode(_BLEND_ADD);
					TowardsToCamera(1);
					//Duration(1200);
					Size();
					{
						v(35,35);
						v(27,27);
						v(0,0);
					}
					
					Alpha();
					{
						v(1);
						v(1);
						v(1);
						v(0);
					}
					
					
				}
			}
		}
		/**********************************************************/
		
        Sequence("FXBlowAPCNet");
		{
			SeqDuration(6000);
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(150);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(2400,2400);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				
				
			}
			
			
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(600);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(200,200);
					v(390,390);
				}
				Position();
				{
					v(0,110,0);
					v(0,130,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			
			Delay(25);
			
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(500,500);
				}
				Position();
				{
					v(20,140,0);
					v(20,220,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			Delay(25);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(900);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(450,450);
				}
				Position();
				{
					v(-20,190,0);
					v(-20,260,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			Delay(25);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(800);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(300,300);
					v(400,400);
				}
				Position();
				{
					v(40,260,0);
					v(50,340,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			
			
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(500,500);
					v(800,800);
				}
				Position();
				{
					v(0,250,0);
					v(0,800,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
					
				
			}
			
			Delay(300);
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(600,600);
					v(1100,1100);
				}
				Position();
				{
					v(0,450,0);
					v(0,900,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			ParticleSystem("FXBlowRocket");
			{
				EmiterSize(3,3);
				EmiterLifeTime(2300);
				
				EmiterParticleCount(5);
				
				EmiterContinuous(0);
				ParticleDirVariation(170,170);
				ParticleRandomVelocity(800,2200);
				ParticleLifeTime(1000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				TailRepeat(40);
				
				ParticleTail();
				{    
					Duration(1200);
					Texture("FXTexDamageSmoke");
					TextureRepeat(1);		 
					RandomRotation();
					{
						v(0,0,0);
						v(0,0,300);
					}
					
					Position();
					{
						v(0,0,0);
						v(0,50,0);
					}
					
					Alpha();
					{
						v(0.7);
						v(0);
					}
					Size();
					{
						v(30,30);    
						v(130,130);
						v(170,170);
						
					}
					BlendMode(_BLEND_MIX);
					
				}   


				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexIskra");
					BlendMode(_BLEND_ADD);
					TowardsToCamera(1);
					//Duration(1200);
					RandomSize();
					{
						v(9,17);
					}
					
					Alpha();
					{
						v(1);
						v(0);
					}
					
					
				}
			}
		}
        
//*********************************************************************************
		
		Sequence("FXBlowEnergy");
		{
			SeqDuration(6000);
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(300);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(2200,2200);
					v(400,400);
					v(100,100);
					v(0,0);
				}
				Position();
				{
					v(0,0,00);
				}
				Alpha ();
				{
					v(1);
					
					v(0);
					
				}
				
				
			}
			
			Expl();
			{
				Texture("FXTexElectroRing");  //ring
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					
					v(0,0);
					v(500,500);
					v(600,600);
				}
				Position();
				{
					v(0,0,00);
				}
				
				Rotation();
				{
					v(0,0,0);
					v(0,0,60);
				}
				
				Alpha ();
				{
					v(1);
					v(0.1);
					v(0);
					
				}
				
				
			}
			
			Expl();
			{
				Texture("FXTexElectroRing");  //ring2
				Duration(470);
				BlendMode(_BLEND_ADD);
				Size();
				{
					
					v(0,0);
					v(500,500);
					v(550,550);
				}
				Position();
				{
					v(0,0,00);
				}
				
				Rotation();
				{
					v(0,0,0);
					v(0,0,-60);
				}
				
				Alpha ();
				{
					v(1);
					v(0.1);
					v(0);
					
				}
				
				
			}
			
			Expl();
			{
				Texture("FXTexElectroRing");  //ring plaski
				Duration(400);
				BlendMode(_BLEND_ADD);
				TowardsToCamera(0);
				Size();
				{
					
					v(0,0);
					v(500,500);
					v(600,600);
				}
				Position();
				{
					v(0,50,0);
				}
				
				Rotation();
				{
					v(90,0,0);
					v(90,0,90);
				}
				
				Alpha ();
				{
					v(1);
					
					v(0);
					
				}
				
				
			}
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE PLASKIE
				Duration(600);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(2600,70);
					v(70,70);
				}
				Position();
				{
					v(0,0,0);
				}
				
				Rotation();
				{
					v(0,0,32);
				}
				Alpha ();
				{
					v(1);
					v(0.1);
					v(0.05);
					v(0);
					
				}
				
				
			}
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE PLASKIE 2
				Duration(600);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(2600,70);
					v(70,70);
				}
				Position();
				{
					v(0,0,0);
				}
				
		Rotation();
				{
					v(0,0,-47);
				}
				Alpha ();
				{
					v(1);
					v(0.1);
					v(0.05);
					v(0);
					
				}
				
				
			}
			
			
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE PLASKIE 3
				Duration(600);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(1900,70);
					v(70,70);
				}
				Position();
				{
					v(0,0,0);
				}
				
		Rotation();
				{
					v(0,0,80);
				}
				Alpha ();
				{
					v(1);
					v(0.1);
					v(0.05);
					v(0);
					
				}
				
				
			}
			
			Expl();
			{
				Texture("FXTexElectroGrzebien");  //ogien
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(2000,2000);
					
					
				}
				Position();
				{
					v(0,0,0);
				}
				
		RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				
				
			}
			
			
			Delay (300);
			Expl();
			{
				Texture("FXTexElectro2");  //pajaki
				Duration(500);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(78,78);
				}
				Position();
				{
					v(100,100,0);
				}
				
				Rotation();
				{
					v(0,0,-40);
				}
				
				Alpha ();
				{
					v(1);
					
					v(0);
					
				}
				
				
			}
			
			Expl();
			{
				Texture("FXTexElectro2");  //pajaki6
				Duration(500);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(60,60);
				}
				Position();
				{
					v(-80,20,0);
				}
				
				Rotation();
				{
					v(0,0,176);
				}
				
				Alpha ();
				{
					v(1);
					
					v(0);
					
				}
				
				
			}
			
			Delay(100);
			
			Expl();
			{
				Texture("FXTexElectro2");  //pajaki2
				Duration(500);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(50,50);
				}
				Position();
				{
					v(-70,50,0);
				}
				
				Rotation();
				{
					v(0,0,130);
				}
				
				Alpha ();
				{
					v(1);
					
					v(0);
					
				}
				
				
			}
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				
				Size();
				{
					v(300,300);
					v(800,800);
				}
				Position();
				{
					v(0,100,0);
					v(0,300,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
			}
			
			Delay(300);
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				
				Size();
				{
					v(200,200);
					v(600,600);
				}
				Position();
				{
					v(0,100,0);
					v(0,440,0);
				}
				
				RandomRotation();
				{
					
					v(0,0,90);
				}
				
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			}
			
			Delay(200);
			
			Expl();
			{
				Texture("FXTexElectro2");  //pajaki3
				Duration(500);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(76,76);
				}
				Position();
				{
					v(-40,90,0);
				}
				
				Rotation();
				{
					v(0,0,-68);
				}
				
				Alpha ();
				{
					v(1);
					
					v(0);
					
				}
				
				
			}
			
			Delay(150);
			
			Expl();
			{
				Texture("FXTexElectro2");  //pajaki4
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(110,110);
				}
				Position();
				{
					v(-10,30,0);
				}
				
				Rotation();
				{
					v(0,0,-118);
				}
				
				Alpha ();
				{
					v(1);
					
					v(0);
					
				}
				
				
			}
			
			Delay (70);
			
			Expl();
			{
				Texture("FXTexElectro2");  //pajaki5
				Duration(300);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(80,80);
				}
				Position();
				{
					v(00,00,0);
				}
				
				Rotation();
				{
					v(0,0,0);
				}
				
				Alpha ();
				{
					v(1);
					
					v(0);
					
				}
				
				
			}
			
			
			
			Expl();
			{
				Texture("FXTexElectro2");  //pajaki7
				Duration(500);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(56,56);
				}
				Position();
				{
					v(-100,0,0);
				}
				
				Rotation();
				{
					v(0,0,169);
				}
				
				Alpha ();
				{
					v(1);
					
					v(0);
					
				}
				
				
			}
						
			
			
			
			
			Delay (900);
			
			Expl();
			{
				Texture("FXTexElectro2");  //pajaki7
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(56,56);
				}
				Position();
				{
					v(40,100,0);
				}
				
				Rotation();
				{
					v(0,0,169);
				}
				
				Alpha ();
				{
					v(1);
					
					v(0);
					
				}
				
				
			}
						
			
			ParticleSystem("FXBlowEnergy");
			{
				EmiterSize(3,3);
				EmiterLifeTime(2000);
				
				EmiterParticleCount(30);
				
				EmiterContinuous(0);
				ParticleDirVariation(230,230);
				ParticleRandomVelocity(200,1000);
				ParticleLifeTime(2000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				ParticleTrailLength(9);
				ParticleTrailWidth(9);
				ParticleTrailTexture("FXTexElectroIskra");
				ParticleTrailBlendMode(_BLEND_ADD);		
				
				
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexIskra");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(1);
					
					RandomSize();
					{
						v(0,0);
					}
					
					
				}
			}
		}

		/**********************************************************/
		
		Sequence("FXBlowRocketHEX");
		{
			SeqDuration(7000);
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(200);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(1800,1800);
					v(0,0);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				//DepthTestDisable();
				
			}
			
			Expl();
			{
				Texture("FXTexRing2");
				Duration(200);
				BlendMode(_BLEND_ADD);
				TowardsToCamera(0);
				Size();
				{
					v(30,30);
					v(650,650);
					v(1050,1050);
				}
				Position();
				{
					v(0,30,0);
					
				}
				Alpha();
				{
					v(0);
					v(1);
					v(0.3);
					v(0.2);
					v(0.1);
					v(0);
				}
				
				Rotation();
				{
					v(90,0,0);
				}
			}
			
			Expl();
			{
				Texture("FXTexRing2");
				Duration(200);
				BlendMode(_BLEND_ADD);
				
				Size();
				{
					v(30,30);
					v(650,650);
					v(700,700);
				}
				Position();
				{
					v(0,30,0);
					
				}
				Alpha();
				{
					v(0);
					v(0.25);
					v(0.15);
					v(0.1);
					v(0.05);
					v(0);
				}
				
				Rotation();
				{
					v(90,0,0);
				}
			}
			
			Delay(50);
			
			
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(900);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(450,450);
					v(900,500);
				}
				Position();
				{
					v(0,0,0);
					v(0,100,0);
				}
				Alpha();
				{
					
					v(0);
					v(0.5f);
					v(0.25f);
					v(0);
				}
				
			}
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(220,220);
					v(970,480);
				}
				Position();
				{
					v(80,0,0);
					v(180,70,0);
				}
				Alpha();
				{
					
					v(0);
					v(0.5f);
					v(0.25f);
					v(0);
				}
				
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(1000);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(250,250);
					v(650,350);
				}
				Position();
				{
					v(0,170,0);
					v(0,100,0);
				}
				Alpha ();
				{
					v(0);
					v(0.5f);
					v(0.25f);
					v(0);
					
				}
			
			
			
			}
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(800);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(110,110);
					v(800,460);
				}
				Position();
				{
					v(-70,120,0);
					v(-220,50,0);
				}
				Alpha();
				{
					
					v(0);
					v(0.5f);
					v(0.25f);
					v(0);
				}
				
			}
			
			Delay(80);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(2600);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(150,150);
					v(750,450);
				}
				Position();
				{
					v(0,270,0);
					v(200,200,0);
				}
				Alpha ();
				{
					v(0);
					v(0.5f);
					v(0.25f);
					v(0);
					
				}
			
			
			
			}
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(2400);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(110,110);
					v(700,560);
				}
				Position();
				{
					v(-70,180,0);
					v(-120,180,0);
				}
				Alpha();
				{
					
					v(0);
					v(0.5f);
					v(0.25f);
					v(0);
				}
				
			}
		}            
		
		/**********************************************************/

		Sequence("FXBlowGrenade");
		{
			SeqDuration(5000);
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(200);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(2400,2400);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				//DepthTestDisable();
				
			}
			
			
			
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(200,200);
					v(350,350);
				}
				Position();
				{
					v(0,60,0);
					v(0,90,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			
			Delay(50);
			
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(400,400);
				}
				Position();
				{
					v(20,90,0);
					v(20,120,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(800);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(350,350);
				}
				Position();
				{
					v(-20,120,0);
					v(-20,140,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			
			
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(500,500);
					v(1200,1200);
				}
				Position();
				{
					v(0,0,0);
					v(0,300,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
			}
			
			Delay(300);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(300,300);
					v(900,900);
				}
				Position();
				{
					v(0,300,0);
					v(0,640,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			}
			
			ParticleSystem("FXBlowGrenade");
			{
				EmiterSize(3,3);
				EmiterLifeTime(1000);
				
				EmiterParticleCount(30);
				
				EmiterContinuous(0);
				ParticleDirVariation(230,230);
				ParticleRandomVelocity(500,1500);
				ParticleLifeTime(3000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				ParticleTrailLength(9);
				ParticleTrailWidth(6);
				ParticleTrailTexture("FXTexIskra");
				ParticleTrailBlendMode(_BLEND_ADD);		
				
				
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexIskra");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(1);
					
					RandomSize();
					{
						v(0,0);
					}
					
					
				}
			}
		}
		
		
		
		
		/**********************************************************/	
		/**********************************************************/	
		

		Sequence("FXBlowFence");
		{
			SeqDuration(5000);
			
			Expl();
			{
				Texture("FlareTex2");
				Duration(100);
				BlendMode(_BLEND_ADD);
				Size();
				{
					
					v(800,800);
				}
				Position();
				{
					v(0,0,0);
					
				}
				
				
				//DepthTestDisable();
				Alpha ();
				{
					v(1);
					v(1);
					v(0);
					
				}
			}
			Expl();
			{
				Texture("FXTexIskry");
				Duration(200);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(70,70);
					v(100,100);
				}
				Position();
				{
					v(0,0,0);
				}
				
				
				//DepthTestDisable();
				Alpha ();
				{
					v(1);
					v(0);
					
				}
			}
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(2000);
				BlendMode(_BLEND_MIX);
				Size();
				{
					v(90,90);
					v(200,200);
				}
				Position();
				{
					v(0,0,0);
					v(0,80,0);
				}
				
				
				//DepthTestDisable();
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			}
			
			ParticleSystem("FXBlowFence");
			{
				EmiterLifeTime(3000);
				
				EmiterParticleCount(30);
				EmiterSize(3,3);
				
				EmiterContinuous(0);
				ParticleDirVariation(360,360);
				ParticleVelocity(600);
				ParticleLifeTime(2700);
				ParticleMass(0.5f);
				ParticleForce(_GRAVITY);
				ParticleTrailLength(8);
				ParticleTrailWidth(6);
				ParticleTrailTexture("FXTexIskra");
				ParticleTrailBlendMode(_BLEND_ADD);					
				
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexIskra");
					BlendMode(_BLEND_ADD);
					TowardsToCamera(1);
					Size();
					{
						v(0,0);
						
						Rotation();
						{
							v(0,0,0);
							
						}
						
						
						
					}
				}
			}
		}
		//------------------------------------------------------------------
		//------------------------------------------------------------------
		
		Sequence("FXGrenadeCluster");
		{
			SeqDuration(7000);
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(100);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(900,900);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				//DepthTestDisable();
				
			}
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(200);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(50,50);
					v(175,175);
				}
				Position();
				{
					v(0,30,0);
					v(0,45,0);
				}
				Alpha();
				{
					v(1);
					v(0);
				}
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(300);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(50,50);
					v(80,80);
				}
				Position();
				{
					v(10,45,0);
					v(10,60,0);
				}
				Alpha();
				{
					v(1);
					v(0);
				}
			}
			
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(1700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(150,150);
					v(300,300);
				}
				Position();
				{
					v(0,50,0);
					v(0,150,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
			}
			
			
			
	//*********************************************************************		
			
		}
		
		Sequence("FXGrenadeEMP");
		{
			SeqDuration(3000);
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(100);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(3000,3000);
					v(0,0);
					
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(1);
					v(1);
					v(0);
					
				}
				//DepthTestDisable();
				
			}
			
			Expl();                                       //RING
			{
				Texture("FXTexRing");
				Duration(330);
				BlendMode(_BLEND_ADD);
				TowardsToCamera(0);
				Size();
				{
					v(50,50);
					v(1700,1700);
					v(2000,2000);
				}
				Position();
				{
					v(0,40,0);
				}
				Rotation();
				{
					v(90,0,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.2);
					v(0.1);
					v(0);
					
				}
			}
		
			
			Expl();
			{
				Texture("FXTexRing2");
				Duration(400);
				BlendMode(_BLEND_ADD);
				TowardsToCamera(0);
				Size();
				{
					v(50,50);
					v(1700,1700);
					v(2000,2000);
				}
				Position();
				{
					v(0,40,0);
					
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.2);
					v(0.1);
					v(0);
					
				}
				
				Rotation();
				{
					v(90,0,0);
				}
			}
			
			
			
		}
		//-----------------------------------------------------------------/ 
		Sequence("FXHitRifleHeavy");
		{
			SeqDuration(3000);
			Expl();
			{
				Texture("FlareTex2");
				Duration(100);
				BlendMode(_BLEND_ADD);
				Size();
				{
					
					v(800,800);
				}
				Position();
				{
					v(0,0,0);
					
				}
				
				
				//DepthTestDisable();
				Alpha ();
				{
					v(1);
					v(0);
					
					
					
				}
			}
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(23,23);
					v(90,90);
				}
				Position();
				{
					v(0,10,0);
					v(0,30,0);
				}
				
				
				//DepthTestDisable();
				Alpha ();
				{
					v(1);
					
					v(0);
					
				}
			}
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(2400);
				BlendMode(_BLEND_MIX);
				Size();
				{
					v(80,80);
					v(200,200);
				}
				Position();
				{
					v(0,0,0);
					v(0,100,0);
				}
				
				
				//DepthTestDisable();
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			}
			
			
			
//--------------------------------------------------------------------------			
			
		}
		Sequence("FXGrenadeClusterPiece");
		{
			SeqDuration(7000);
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(800,800);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				////DepthTestDisable();
				
			}
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(175,175);
				}
				Position();
				{
					v(0,30,0);
					v(0,45,0);
				}
				Alpha();
				{
					v(1);
					v(0);
				}
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(150,150);
					v(280,280);
				}
				Position();
				{
					v(10,45,0);
					v(10,60,0);
				}
				Alpha();
				{
					v(1);
					v(0);
				}
			}
						
					
			Delay(150);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(300,300);
					v(650,650);
				}
				Position();
				{
					v(0,50,0);
					v(0,160,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			}
		}
		
		
		Blind("BlindFlashBang");
		{						
			Duration(5000);
			BlindColor();
			{
				v(1,1,1,1);
				v(1,1,1,1);
				v(1,1,1,0);
			}
		}
		
		Blind("BlindFlashBang2");
		{									
			BlindColor();
			{
				v(1,1,1,1);
				v(1,1,1,1);
				v(0,0,0,0);
			}
			Duration(5000);
		}
/*		
		Blind("blind0");
		{
		 BlindColor();
		 {
		  v(0,0,0,0);
		  v(1,1,1,1);
		 }
		 Duration(5000);
		}
*/
	}

}


	
