public class FXSmokeVehicle extends FX
{
	FXSmokeVehicle()
	{
		Sequence("Smoke");
		{
			SeqDuration(2000);
			Expl();
			{
				Texture("FXTexSmokeVehicle");			
				
				Duration(2000);
				TowardsToCamera(1);
				Position();
				{
					v(0, -10, 0);
					v(0, 50,0);
				}
			
				RandomRotation();
				{
					v(0, 0, 0);
					v(0,0,130);
				}
			
				Size();
				{
					v(35, 35);
					v(800,800);
				}
				Alpha();
				{
					v(0);
					v(1);
					v(0.5);
					v(0.25);
					v(0);
				}
			}
		}

        
        Sequence("SmokeBigTruck");
		{
			SeqDuration(4000);
			Expl();
			{
				Texture("FXTexSmokeVehicle");			
				
				Duration(4000);
				TowardsToCamera(1);
				Position();
				{
					v(0, 0, 0);
					v(0, 200,0);
				}
			
				RandomRotation();
				{
					v(0, 0, 0);
					v(0,0,360);
				}
			
				Size();
				{
					v(80, 80);
					v(1600,1600);
                    //v(50, 50);
					//v(1500,1500);
				}
				Alpha();
				{
					v(0);
					v(0.4f);
                    v(0.15f);
					v(0);
				}
			}
		}

        Sequence("SmokeJeep");
		{
			SeqDuration(1200);
			Expl();
			{
				Texture("FXTexPuszkaSmoke");			
				
				Duration(1200);
				TowardsToCamera(1);
				Position();
				{
					v(0, 0, 0);
					v(0, 100,0);
				}
			
			RandomRotation();
				{
					v(0, 0, -40);
					v(0,0,40);
				}
			
				Size();
				{
					v(50, 50);
					v(800,500);
				}
				Alpha();
				{
					v(0);
					v(0.1f);
                    v(0.05f);
					v(0.025f);
					v(0);
				}
			}
		}

        Sequence ("SmokeHanibalWalker");
        {
            SeqDuration (4800);
            
            Expl();
            {
                Texture("FXTexDamageSmoke");
                Duration(4700);
                BlendMode(_BLEND_MIX);
                
                TowardsToCamera(1);
                Size();
                {
                    v(170,170);
                    v(1300,1300);
                    v(1400,1400);
                }
                Position();
                {
                    v(0,0,0);
                    v(0,2400,0);
                }
                Alpha();
                {
                    v(0);
                    v(1);
                     v(0.2f);
                    v(0.1f);
                    v(0);
                }
                RandomRotation();
                {
                    v(0,0,-20);
                    v(0,0,50);
                }
                //DepthTestDisable();
            }
        }

	}
}
