public class FXWaterHit extends FX
{
    FXWaterHit()
    {
        Sequence("FXWaterStep");
        {
            SeqDuration(2300);

            Expl();
            {   
                Texture("FXTexWaterHit2");
                Duration(1800);
                TowardsToCamera(0);
                Size();
                {
                    v(80,80);
                    v(1200,1200);
                }
                BlendMode(_BLEND_ADD);
                Position();
                {
                    v(0,0,0);
                    
                }
                Rotation();
                {
                    v(0,0,0);
                    
                }
                
                Alpha();
                {
					v(0);
                    v(0.3);
					 
                    v(0.2);
					v(0.1);
					v(0.05);
					v(0.025);
                    v(0);
                    
                }
            }
			
			Delay(400);
			Expl();
            {   
                Texture("FXTexWaterHit2");
                Duration(1800);
                TowardsToCamera(0);
                Size();
                {
                    v(80,80);
                    v(1100,1100);
                }
                BlendMode(_BLEND_ADD);
                Position();
                {
                    v(0,0,0);
                    
                }
                Rotation();
                {
                    v(0,0,0);
                    
                }
                
                Alpha();
                {
					 v(0);
                    v(0.4);
					v(0.3);
					v(0.2);
					v(0.1);
                    v(0);
                }
            }

		}
		
		/////////////////////////////////////////////////////////////////////////
        
        Sequence("FXWaterHit");
        {
            SeqDuration(2000);
			
			
            Expl();
            {   
                Texture("FXTexWaterHit");
                Duration(400);
                Size();
                {
                    v(7,24);
                    v(15,60);
                    
                    
                }
                BlendMode(_BLEND_ADD);
                Position();
                {
                    v(0,10,0);
                    v(0,25,0);
                    
                }
                RandomRotation();
                {
                    v(0,0,-10);
                    v(0,0,10);
                }
                
                Alpha();
                {
                    v(1);
                    v(1);
                    v(0);
                }
            }
            
            
			
            Expl();
            {   
                Texture("FXTexWaterHit2");
                Duration(1200);
                TowardsToCamera(0);
                Size();
                {
                    v(0,0);
                    v(100,100);
                    
                    
                }
                BlendMode(_BLEND_ADD);
                Position();
                {
                    v(0,0,0);
                    
                }
                Rotation();
                {
                    v(0,0,0);
                    
                }
                
                Alpha();
                {
                    
                    v(1);
                    v(0);
                    
                }
            }
            
			ParticleSystem("FXWaterHit");
			{
				EmiterLifeTime(1000);
				
				EmiterParticleCount(7);
				EmiterSize(3,3);
				
				EmiterContinuous(0);
				ParticleDirVariation(250,250);
				ParticleVelocity(400);
				ParticleLifeTime(1000);
				ParticleMass(0.5f);
				ParticleForce(_GRAVITY);
				ParticleTrailLength(5);
				ParticleTrailWidth(5);
				ParticleTrailTexture("FXTexWaterHit3");
				ParticleTrailBlendMode(_BLEND_ADD);
				//ParticleTrace(WaterTrace);
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexWaterHit3");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(1);
					RandomSize();
					{
						v(1,3);
					}
					Rotation();
					{
						v(0,0,0);						
					}
				}
			}
		}
        ///////////////////////////////////////////////////////////////
        
        Sequence("FXWaterHitLarge");
        {
            SeqDuration(2000);
			
			
            Expl();
            {   
                Texture("FXTexWaterHit");
                Duration(400);
                Size();
                {
                    v(11,48);
                    v(20,120);
                    
                    
                }
                BlendMode(_BLEND_ADD);
                Position();
                {
                    v(0,20,0);
                    v(0,50,0);
                    
                }
                RandomRotation();
                {
                    v(0,0,-10);
                    v(0,0,10);
                }
                
                Alpha();
                {
                    v(1);
                    v(1);
                    v(0);
                }
            }
            
            
			
            Expl();
            {   
                Texture("FXTexWaterHit2");
                Duration(1200);
                TowardsToCamera(0);
                Size();
                {
                    v(0,0);
                    v(200,200);
                    
                    
                }
                BlendMode(_BLEND_ADD);
                Position();
                {
                    v(0,0,0);
                    
                }
                Rotation();
                {
                    v(0,0,0);
                    
                }
                
                Alpha();
                {
                    
                    v(1);
                    v(0);
                    
                }
            }
            
			ParticleSystem("FXWaterHitLarge");
			{
				EmiterLifeTime(1000);
				
				EmiterParticleCount(8);
				EmiterSize(4,4);
				
				EmiterContinuous(0);
				ParticleDirVariation(40,40);
				ParticleRandomVelocity(400,900);
				ParticleLifeTime(1000);
				ParticleMass(0.5f);
				ParticleForce(_GRAVITY);
				ParticleTrailLength(8);
				ParticleTrailWidth(6);
				ParticleTrailTexture("FXTexWaterHit3");
				ParticleTrailBlendMode(_BLEND_ADD);
				//ParticleTrace(WaterTrace);
				
				
			}
		}
        
        ///////////////////////////////////////////////////////////////
        
        Sequence("FXRainHit");
        {
            SeqDuration(300);
            Expl();
            {   
                Texture("FXTexWaterHit");
                Duration(400);
                Size();
                {
                    v(5,18);
                    v(8,28);
                    
                    
                }
                BlendMode(_BLEND_ADD);
                Position();
                {
                    v(0,7,0);
                    v(0,13,0);
                    
                }
                RandomRotation();
                {
                    v(0,0,-10);
                    v(0,0,10);
                }
               
                Alpha();
                {
                    v(1);
                    v(1);
                    v(0);
                }
            }
        }
    }
    
}
