public class FXMetalAmmo extends FX
{
    FXMetalAmmo()
    {
        TraceClipped("MetalBulletEnergy");
        {   
            TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexGroundRocket");
            TextureRepeat(1);
            Size();
            {
                v(111,111); 
            }
            Alpha();
            {
                v(1);
            }
        }
        
        TraceClipped("MetalBulletLarge");
        {   
            TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexMetalBulletSmall");
            TextureRepeat(1);
            Size();
            {
                v(10,10);
            }
            Alpha();
            {
                v(1);
            }
			
			RandomRotation();
				{
					v(0,0,-40);
					v(0,0,40);
				}
        }
		
		/////////////////////////////////////////////////////////
        
        Sequence("MetalBulletLarge");
        {
            SeqDuration(900);
            Expl();
            {   
                Texture("FXTexIskry");
                Duration(150);
                RandomSize();
                {
                    v(24,48);
                    
                    
                }
                BlendMode(_BLEND_ADD);
                Position();
                {
                    v(0,0,0);
                    
                }
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,310);
                }
                //DepthTestDisable();
                Alpha();
                {
                    v(1);
                    v(1);
                    v(0.4f);
                }
            }
            
            
            Expl();
            {   
                Texture("FlareTex2");
                Duration(100);
                Size();
                {
                    v(26,400);
                    
                    
                }
                BlendMode(_BLEND_ADD);
                Position();
                {
                    v(0,0,0);
                    
                }
                RandomRotation();
                {
                    v(0,0,85);
                    v(0,0,105);
                }
                //DepthTestDisable();
                Alpha();
                {
                    
                    v(0.3f);
                    v(0);
                }
            }
            
            
        }
        
        ParticleSystem("MetalBulletLarge");
        {
            EmiterLifeTime(1000);
            
            EmiterParticleCount(8);
            EmiterSize(3,3);
            
            EmiterContinuous(0);
            ParticleDirVariation(250,250);
            ParticleRandomVelocity(300,600);
            ParticleLifeTime(1000);
            ParticleMass(0.5f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(4);
            ParticleTrailWidth(3);
            ParticleTrailTexture("FXTexIskra");
            ParticleTrailBlendMode(_BLEND_ADD);					
            
            
            
        }
        /**********************************************************/
        
        
        
        Sequence("MetalBulletSmall");
        {
            SeqDuration(900);
            Expl();
            {   
                Texture("FXTexIskry");
                Duration(150);
                RandomSize();
                {
                    v(12,24);
                    
                    
                }
                BlendMode(_BLEND_ADD);
                Position();
                {
                    v(0,0,0);
                    
                }
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,310);
                }
                //DepthTestDisable();
                Alpha();
                {
                    v(1);
                    v(1);
                    v(0.4f);
                }
            }
            
            
            
            
            
            Expl();
            {   
                Texture("FlareTex2");
                Duration(100);
                Size();
                {
                    v(13,250);
                    
                    
                }
                BlendMode(_BLEND_ADD);
                Position();
                {
                    v(0,0,0);
                    
                }
                RandomRotation();
                {
                    v(0,0,85);
                    v(0,0,105);
                }
                //DepthTestDisable();
                Alpha();
                {
                    
                    v(0.3f);
                    v(0);
                }
            }
            
            
            
            
            
            
            
            
            TraceClipped("MetalBulletSmall");
            {   
                TowardsToCamera(0);
                Duration(1000000);
                Texture("FXTexMetalBulletSmall");
                TextureRepeat(1);
                Size();
                {
                    v(5,5);
                }
                Alpha();
                {
                    v(1);
                }
				
				RandomRotation();
				{
					v(0,0,-40);
					v(0,0,40);
				}
            }
            
            ParticleSystem("MetalBulletSmall");
            {
                EmiterLifeTime(1000);
                
                EmiterParticleCount(8);
                EmiterSize(3,3);
                
                EmiterContinuous(0);
                ParticleDirVariation(250,250);
                ParticleRandomVelocity(200,500);
                ParticleLifeTime(1000);
                ParticleMass(0.5f);
                ParticleForce(_GRAVITY);
                ParticleTrailLength(4);
                ParticleTrailWidth(3);
                ParticleTrailTexture("FXTexIskra");
                ParticleTrailBlendMode(_BLEND_ADD);					
                
                
                
            }
            
            
            
            /**********************************************************/
            
            
            TraceClipped("MetalHEX");
            {   
                TowardsToCamera(0);
                Duration(1000000);
                Texture("FXTexMetalHEX");
                TextureRepeat(1);
                Size();
                {
                    v(64,64); 
                }
                Alpha();
                {
                    v(1);
                }
            }
            
            TraceClipped("MetalRocket");
            {   
                TowardsToCamera(0);
                Duration(1000000);
                Texture("FXTexMetalRocket");
                TextureRepeat(1);
                Size();
                {
                    v(64,64); 
                }
                Alpha();
                {
                    v(1);
                }
            }
            
            /**********************************************************/
            
            Sequence("MetalCannon");
            {
                SeqDuration(900);
                Expl();
                {   
                    Texture("FXTexIskry");
                    Duration(150);
                    RandomSize();
                    {
                        v(24,48);
                        
                        
                    }
                    BlendMode(_BLEND_ADD);
                    Position();
                    {
                        v(0,0,0);
                        
                    }
                    RandomRotation();
                    {
                        v(0,0,0);
                        v(0,0,310);
                    }
                    //DepthTestDisable();
                    Alpha();
                    {
                        v(1);
                        v(1);
                        v(0.4f);
                    }
                }
                
                
                Expl();
                {   
                    Texture("FlareTex2");
                    Duration(100);
                    Size();
                    {
                        v(26,400);
                        
                        
                    }
                    BlendMode(_BLEND_ADD);
                    Position();
                    {
                        v(0,0,0);
                        
                    }
                    RandomRotation();
                    {
                        v(0,0,85);
                        v(0,0,105);
                    }
                    //DepthTestDisable();
                    Alpha();
                    {
                        
                        v(0.3f);
                        v(0);
                    }
                }
                
                
            }
            
            TraceClipped("MetalCannon");
            {   
                TowardsToCamera(0);
                Duration(1000000);
                Texture("FXTexMetalBulletSmall");
                TextureRepeat(1);
                Size();
                {
                    v(10,10);
                }
                Alpha();
                {
                    v(1);
                }
				
				RandomRotation();
				{
					v(0,0,-40);
					v(0,0,40);
				}
            }
            
            ParticleSystem("MetalCannon");
            {
                EmiterLifeTime(1000);
                
                EmiterParticleCount(8);
                EmiterSize(3,3);
                
                EmiterContinuous(0);
                ParticleDirVariation(250,250);
                ParticleRandomVelocity(300,800);
                ParticleLifeTime(1000);
                ParticleMass(0.5f);
                ParticleForce(_GRAVITY);
                ParticleTrailLength(4);
                ParticleTrailWidth(3);
                ParticleTrailTexture("FXTexIskra");
                ParticleTrailBlendMode(_BLEND_ADD);					
                
                
               
            }

            
        }
    }
}
