public class FXPlasticAmmo extends FX
{
	FXPlasticAmmo()
	{
		/**********************************************************/
		Sequence("PlasticBulletEnergy");
		{
			SeqDuration(1000);
			Expl();
			{   
				Texture("FXTexBlood");
				Duration(100);
				BlendMode(_BLEND_MUL);
			}
		}        
		
		TraceClipped("PlasticBulletEnergy");
		{   
			TowardsToCamera(0);
			Duration(1000000);
			Texture("FXTexGroundRocket");
			TextureRepeat(1);
			Size();
			{
				v(110,110);
			}
			Alpha();
			{
				v(1);
			}
		}             
		
		/**********************************************************/
		Sequence("PlasticBulletLarge");
		{
			SeqDuration(1000);
			Expl();
			{   
				Texture("FXTexDamageSmoke");
				Duration(1000);
				RandomSize();
				{
					v(30,60);
					
				}
				BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,8,0);
					v(0,30,0);
				}
				//DepthTestDisable();
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,180);
				}
				
				Alpha();
				{
					v(0);
					v(1);
					v(0.4);
					v(0.2);
					v(0.1);
				}
			}
		}
		
		TraceClipped("PlasticBulletLarge");
		{   
			TowardsToCamera(0);
			Duration(1000000);
			Texture("FXTexGroundBulletLarge");
			TextureRepeat(1);
			Size();
			{
				v(12,12);
			}
			Alpha();
			{
				v(1);
			}
		}
		
		ParticleSystem("PlasticBulletLarge");
		{
			EmiterSize(3,3);
			EmiterLifeTime(1000);
			
			EmiterParticleCount(9);
			
			EmiterContinuous(0);
			ParticleDirVariation(130,130);
			ParticleRandomVelocity(150,600);
			ParticleLifeTime(1000);
			ParticleMass(0.4f);
			ParticleForce(_GRAVITY);
			
			
			Particle(_PARTICLE_QUAD);
			{
				Texture("FXTexGroundParticle");
				BlendMode(_BLEND_MUL);
				TowardsToCamera(1);
				RandomSize();
				{
					v(2,4);
				}
				
				RandomRotation();
				
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
		}
		/**********************************************************/
		
		Sequence("PlasticBulletSmall");
		{
			SeqDuration(1000);
			Expl();
			{   
				Texture("FXTexDamageSmoke");
				Duration(1000);
				RandomSize();
				{
					v(30,60);
					
				}
				BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,8,0);
					v(0,30,0);
				}
				//DepthTestDisable();
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,180);
				}
				
				Alpha();
				{
					v(0);
					v(1);
					v(0.4);
					v(0.2);
					v(0.1);
				}
			}
		}
		
		TraceClipped("PlasticBulletSmall");
		{   
			TowardsToCamera(0);
			Duration(1000000);
			Texture("FXTexGroundBulletSmall");
			TextureRepeat(1);
			Size();
			{
				v(7,7);
			}
			Alpha();
			{
				v(1);
			}
		}
		
		ParticleSystem("PlasticBulletSmall");
		{
			EmiterSize(3,3);
			EmiterLifeTime(1000);
			
			EmiterParticleCount(9);
			
			EmiterContinuous(0);
			ParticleDirVariation(130,130);
			ParticleRandomVelocity(150,600);
			ParticleLifeTime(1000);
			ParticleMass(0.4f);
			ParticleForce(_GRAVITY);
			
			
			
			
			
			Particle(_PARTICLE_QUAD);
			{
				Texture("FXTexGroundParticle");
				BlendMode(_BLEND_MUL);
				TowardsToCamera(1);
				RandomSize();
				{
					v(1,3);
				}
				
				RandomRotation();
				
				{
					v(0,0,0);
					v(0,0,360);
				}
				
				
			}
		}
		
		/**********************************************************/
		
		Sequence("PlasticCannon");
		{
			SeqDuration(1000);
			Expl();
			{   
				Texture("FXTexBlackSmoke");
				Duration(1000);
				RandomSize();
				{
					v(30,60);
					
				}
				BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,8,0);
					v(0,30,0);
				}
				//DepthTestDisable();
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,180);
				}
				
				Alpha();
				{
					v(0);
					v(1);
					v(0.4);
					v(0.2);
					v(0.1);
				}
			}
		}
		
		Expl();
		{   
			Texture("FXTexDamageSmoke");
			Duration(1000);
			RandomSize();
			{
				v(40,80);
				
			}
			BlendMode(_BLEND_ADD);
			Position();
			{
				v(0,5,0);
				v(0,10,0);
			}
			//DepthTestDisable();
		}
		
		TraceClipped("PlasticCannon");
		{   
			TowardsToCamera(0);
			Duration(1000000);
			Texture("FXTexGroundBulletLarge");
			TextureRepeat(1);
			Size();
			{
				v(12,12);
			}
			Alpha();
			{
				v(1);
			}
		}
		
		ParticleSystem("PlasticCannon");
		{
			EmiterSize(3,3);
			EmiterLifeTime(1000);
			
			EmiterParticleCount(9);
			
			EmiterContinuous(0);
			ParticleDirVariation(130,130);
			ParticleRandomVelocity(150,600);
			ParticleLifeTime(1000);
			ParticleMass(0.4f);
			ParticleForce(_GRAVITY);
			
			
			Particle(_PARTICLE_QUAD);
			{
				Texture("FXTexPlasticParticle");
				BlendMode(_BLEND_MUL);
				TowardsToCamera(1);
				RandomSize();
				{
					v(2,4);
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
		}
	}
}


