public class FXWoodAmmo extends FX
{
    FXWoodAmmo()
    {
        /**********************************************************/
        Sequence("WoodBulletEnergy");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexBlood");
                Duration(100);
                BlendMode(_BLEND_MUL);
            }
        }        
        
        TraceClipped("WoodBulletEnergy");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexGroundRocket");
            TextureRepeat(1);
            Size();
            {
                v(110,110);
            }
            Alpha();
            {
                v(1);
            }
        }             
        
        /**********************************************************/
        Sequence("WoodBulletLarge");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexWoodSmoke");
                Duration(1000);
				RandomSize();
				{
					v(30,60);
					
				}
                BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,8,0);
					v(0,30,0);
				}
				//DepthTestDisable();
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,180);
				}
				
				Alpha();
            {
				 v(0);
                v(1);
				 v(0.4);
				  v(0.2);
				   v(0.1);
            }
            }
        }
        
        TraceClipped("WoodBulletLarge");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexWoodBulletLarge");
            TextureRepeat(1);
            Size();
            {
                v(20,20);
            }
            Alpha();
            {
                v(1);
            }
			
			RandomRotation();
				{
					v(0,0,-40);
					v(0,0,40);
				}
        }
        
        ParticleSystem("WoodBulletLarge");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(12);
            
            EmiterContinuous(0);
            ParticleDirVariation(130,130);
            ParticleRandomVelocity(150,600);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(4);
			ParticleTrailWidth(3);
			ParticleTrailTexture("FXTexWoodParticle");
	
            
        }
        /**********************************************************/
        
        Sequence("WoodBulletSmall");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexWoodSmoke");
                Duration(1000);
				RandomSize();
				{
					v(30,60);
					
				}
                BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,8,0);
					v(0,30,0);
				}
				//DepthTestDisable();
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,180);
				}
				
				Alpha();
            {
				 v(0);
                v(1);
				 v(0.4);
				  v(0.2);
				   v(0.1);
            }
            }
        }
        
        TraceClipped("WoodBulletSmall");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexWoodBulletSmall");
            TextureRepeat(1);
            Size();
            {
                v(9,9);
            }
            Alpha();
            {
                v(1);
            }
			
			RandomRotation();
				{
					v(0,0,-40);
					v(0,0,40);
				}
        }
        
        ParticleSystem("WoodBulletSmall");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(9);
            
            EmiterContinuous(0);
            ParticleDirVariation(130,130);
            ParticleRandomVelocity(150,600);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(4);
			ParticleTrailWidth(3);
			ParticleTrailTexture("FXTexWoodParticle");
	
			
			
			
           
        }
        
        /**********************************************************/
        
        Sequence("WoodCannon");
        {
            SeqDuration(1000);
            
            Expl();
            {   
                Texture("FXTexWoodSmoke");
                Duration(1000);
				RandomSize();
				{
					v(40,80);
					
				}
                BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,5,0);
					v(0,10,0);
				}
				//DepthTestDisable();
            }
            
        }
        
        TraceClipped("WoodCannon");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexWoodBulletLarge");
            TextureRepeat(1);
            Size();
            {
                v(20,20);
            }
            Alpha();
            {
                v(1);
            }
			
			RandomRotation();
				{
					v(0,0,-40);
					v(0,0,40);
				}
        }
        
        ParticleSystem("WoodCannon");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(9);
            
            EmiterContinuous(0);
            ParticleDirVariation(130,130);
            ParticleRandomVelocity(150,600);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(4);
			ParticleTrailWidth(3);
			ParticleTrailTexture("FXTexWoodParticle");
	
            
        }
        
    }
}


