public class UIButtonHack extends UIButton
{
    int METHOD_Blink = 0,
        METHOD_EndBlink = 0;
    
    boolean m_bShowAfterBlinking = true;
    
    void OnCreate()
    {
        super.OnCreate();
        METHOD_Blink = RegisterCallMethod("Blink");
        METHOD_EndBlink = RegisterCallMethod("EndBlink");
    }
    
    void StartBlink(float fTime, float fTickTime, boolean bShow)
    {
        m_bShowAfterBlinking = bShow;
        DisableCallMethod(METHOD_Blink);
        CallMethodEvery(METHOD_Blink, fTickTime);
        CallMethodIn(METHOD_EndBlink, fTime);
    }
    
    void Blink()
    {
        SetVisible(!m_bVisible);
    }
    
    void EndBlink()
    {
        DisableCallMethod(METHOD_Blink);
        SetVisible(m_bShowAfterBlinking);
    }
}
