/** implant Targeting Assistance System
 */
public class ImplantAccuracy extends Implant
{
    /**Zmienna ustawiana w ReinitImplantParams(), zalezna od stopnia (progu) asymilacji
     */
	
	/**Mnoznik celnosci domnazany po wyliczeniu celnosci dla danej broni i typu ruchu
	 * jesil mniejsze od 1 to zwieksza celnosc*/
    static float _ACCURACY_MUL = -1;
	
	/** Ustawienie powoduje, ze nie oslabia sie celnosc przy chodzeniu
	 */
    static boolean _ACCURACY_NO_MOVE_CHANGE = true;
	
    static float _ACCURACY_CHANGE_RATE = 2;

    {
        m_nHint = Hint._HINT_IMPLANT_ACCURACY;
    }
    
    public boolean Activate()
    {
		if (super.Activate())
		{
			if ( m_Player != null )
				 m_Player.ComputeAccuracy();
			return true;
		}
		else
			return false;
	}
	
    public void Deactivate()
    {
        if (!m_bImplantSystemWorking)
            return;
        
		super.Deactivate();
				
		if ( m_Player != null )
			 m_Player.ComputeAccuracy();
	}
    
    void ReinitImplantParams()
    {
        super.ReinitImplantParams();
        _ACCURACY_MUL = 0.6f;
        _ACCURACY_NO_MOVE_CHANGE = true;
        _ACCURACY_CHANGE_RATE = 2.f;
    }
}

