public class ImplantModifier
{
	String m_sClassName = null;
	float m_fChange = 0;
	boolean m_bNew = false;
    
    ImplantModifier(String name, float fChange)
	{
		m_sClassName = name;
		m_fChange = fChange;
	}
    
    ImplantModifier(String name, float fChange, boolean bNew)
	{
		m_sClassName = name;
		m_fChange = fChange;
        m_bNew = bNew;
	}
    
    /**
     * Stworzenie obiektu na podstawie danych 
     * zawartych w kontenerze (odebranym z komunikatu sieciowego)
     */
    ImplantModifier(NetDataContainer cContainer)
	{
        int nClassId = cContainer.UnPackInt();
        m_sClassName = (nClassId > 0) ? GameObject.GetClassByGUID( nClassId ): null;
		m_fChange    = cContainer.UnPackFloat();
	}
    
    /**
     * Wrzucenie stanu obiektu do kontenere 
     * (po to, zeby wyslac to pozniej w siec)
     */
    void PackToContainer( NetDataContainer cContainer )
    {
        int nClassId = (m_sClassName != null) ? GameObject.GetClassGUID( m_sClassName ) : 0;
        cContainer.PackInt( nClassId );
		cContainer.PackFloat( m_fChange );
    }
    
    
}
