/** klasa reprezentujaca Inventory Playera
 */

public class InventoryPlayer extends Inventory
{
    ///////////////////////////////////
    // atrybuty
    ///////////////////////////////////
   
    
    
    //////////////////////////////////
    // metody
    //////////////////////////////////
    
    //------------------------------------------------------------
    /** konstruktor 
     */
    public void OnCreate()
    {
        super.OnCreate();
        InitInvGrid();
    }
    
    public void InitInvGrid()
    {
        //inicjalizuje gridy playera
        aInvGrids = new InvGrid[8];        
        for (int i=0; i<aInvGrids.length; i++)
        {
            aInvGrids[i] = new InvGrid(); //(InvGrid)CreateObject("InvGrid");
            aInvGrids[i].InitializeGrid(i);
        }
    }
    
    
 //------------------------------------------------------------
    /** metoda przesuwa pozycje gridow (czyli takze invobjectow) do trybu 
     *  "przeszukiwanie w multiplayerze zwlok innego gracza"
     */
    public void SetBodyGridPositions(int rel_pos_x, int rel_pos_y, UIWindow cInvWindow)
    {
        HUDCompInvPl cHud = ((HUDManager)((PlayerHUD)Owner).HUD).GetHudCompInvPl();
        for (int i=0; i<aInvGrids.length; i++)
        {
            aInvGrids[i].UpdateInventoryGridsPos(i, rel_pos_x, rel_pos_y, cInvWindow); 
        }
    }
    
    
//------------------------------------------------------------
    /** metoda przesuwa pozycje gridow (czyli takze inv objectow) do trybu
     *  zwyklego inventory (czyli prawa strona ekranu)
     */    
    public void InventoryGridPositions(UIWindow cInvWindow)
    {
        for (int i=0; i<aInvGrids.length; i++)
        {
            aInvGrids[i].SetInventoryGridsInGamePos(i, cInvWindow);
        }
    }

    public void OwnerDied()
    {
        for (int i = 0; i < aInvObjects.size(); i++)
        {
            if (aInvObjects.elementAt(i) instanceof PortablePlayer)
            {
                ((PortablePlayer)aInvObjects.elementAt(i)).StopPlaying();
            }
        }
    }
    
    public void InGameMovieStart()
    {
        for (int i = 0; i < aInvObjects.size(); i++)
        {
            ((InvObject)aInvObjects.elementAt(i)).InGameMovieStart();
        }
    }
    
    public void InGameMovieEnd()
    {
        for (int i = 0; i < aInvObjects.size(); i++)
        {
            ((InvObject)aInvObjects.elementAt(i)).InGameMovieEnd();
        }
        
    }

}
