/** Klasa raczek, dziedziczy po nozu bo w przyszlosci bedzie
 * mozna atakowac raczkami tak jak nozem...
 */
public class WeaponHands extends WeaponKnife
{
    WeaponHands()
    {
        super();

        nType = EWeaponType._HAND;
        //tego w na nowym hudzie nie bedzie a w inwentory powinno byc ukryte,
        //ale na razie jest jakas nazwa...
        sName = "Hands";
        sInfo = "Hands";
        
        //mesh FPP
        sFPPHandsClass = "FPPHandsNoWeapon";
        //mesh TPP
        //TODO: dorobic jakiegos mesha "niewidzialnego"
        MeshName="Data/Meshes/Equipment/TPPknife.3DA";
        
        //mozna bedzie machac bez przerwy
        m_nFireMode = _FIREMODE_BURST;
        eBulletType = EAmmoType._Unlimited;

        // Ilosc kratek zajmowanych w plecaku
        //TODO: Inventory powinno po tym wykryc ze to obiekt do schowania
	    //nCellsHeight = 0;
	    //nCellsWidth = 0;
        
        //InvObject properites
        nInvIndex = InvObject._W_HAND;
        
        // jednorazowy damage jaki piesc zabiera przy trafieniu
        //w stosunku do noza fDamage zmmniejszam ze 100.0f
        fDamage             = 20.0f;
        //natomiast fPhysicsDamage zwiekszam z 10.0f
        fPhysicsSimDamage   = 50.0f;
        
        //jakis dzwiek uderzenia goscia
        //TODO
        sSoundShoot = "Data/Sounds/Weapon/knife_slash1.wav";
        
        //
        //raczki sa na tyle wyjatkowe ze zawsze tylkow trybie Inborn
        //czyli nigdy nie mozna ich wyrzucic i zawsze sa ukryte
        SetInborn();
        
        //na pewno raczkami nie da sie przycelowac i przeladowac
        //TODO: a co z atakiem?
        m_bFireEnabled   = false;
        m_bAimEnabled    = false;
        m_bReloadEnabled = false;
    }
    
    //ustawienie danej broni w tryb Inborn, to znaczy ze
    //gracz sie z nia urodzil i nie moze jej stracic
    void SetInborn()
    {
        super.SetInborn();
        //TODO: dodatkowo wlaczyc Invisible
    }
    
    //zeby gosc mial puste rece, to pokrywam ta metode
    //i teraz nigdy to sie nie bedzie renderowac
    boolean m_bEnableRendering = false;
    
    public void EnableRendering(boolean bEnable)
    {
        super.EnableRendering( bEnable && m_bEnableRendering );
    }

    void CheatGiveAmmo(){}
}
