public class WeaponPistolSilenced extends WeaponBullet
{
    WeaponPistolSilenced()
    {
        super();

        m_nFireMode = _FIREMODE_SINGLE;
        
        //pistolety nie urywaja czlonkow
        bCutBodyParts = false;

        //MeshObject
        MeshName="Data/Meshes/Equipment/TPPpistol.3DA";
        
        //Weapon
        nType = EWeaponType._PISTOL;

        //InvObject properites
        nInvIndex = InvObject._W_PISTOL_SILENCED;
        sName = "&W_N_PISTOL_SILENCED&";
        //sInfo = "Ammo : 9mmShort \nDamage : Medium \nRoF : 320 SemiAuto";
        sTexFileName = "Data/Textures/CH_I_Weapons1.png";
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 60.0f;
        nOnTexPosY = 0.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;

		// Ilosc kratek zajmowanych w plecaku
	    nCellsHeight = 2;
	    nCellsWidth = 4;
		
        //WeaponPistol properties
        fBaseAcc  = 4.5f;
        fAimAcc = 1.5f;
        fRecoilAccChange = 1.5f;
		fAccuracyChangeSpeed = 7.0f;

        fRecoilShiftChange= 0.015f;
        //TODO jesli trzeba to zmodyfikowac
        //vRecoilShift = new Vector(0, 0.5f, 0);

        fDamage             = 35.0f;
        fPhysicsSimDamage   = fDamage;
        fRange              = 12500.0f;
        fBulletSpeed        = 100000.0f;
	    fRateOfFire         = 400.0f;
	    eBulletType         = EAmmoType._9mmShort;
		nCapacity		    = 18;
        nRoundShots         = 1;
		bMountable          = true;

		fNoiseShot = 500.0f;
		fNoiseHit  = 200.0f;
        
        /** Klasa mesha pokazywanego w FPP */
        sFPPHandsClass = "FPPHandsPistol"; // pistol.3da
        
        /**Nazwa dzieku odpalanego przy wystrzale */
        sSoundShoot = "Data/Sounds/Weapon/P02_Fire";
        sSoundReload = "Data/Sounds/Weapon/P02_Reload";
        sSoundEmpty = "Data/Sounds/Weapon/P02_Click";
        
        /**Nazwa FX odpalanego przy wystrzale (grzebien)*/
		sFXCombName = "FXGrzebienPistolSilenced";

        ////////////////////////////////////////////////////////////////////////////
        //                         PARAMETRY DLA AI                               //
        ////////////////////////////////////////////////////////////////////////////
        nAIFireModes = _FIREMODE_SINGLE;
        //fAIAimingDeviation = 0.1f;
        //fAIBurstAimingDeviation = 0.5f;
        //fAISingleFireDelay = 0.5f;
        //fAIRandomSingleFireDelay = 2.f;
        //fAIBurstFireDelay = 0.5f;
        //fAIRandomBurstFireDelay = .1f;
        //nAIMaxSingleFireBullets = 5;
        //fAIBurstTime = 0.5f;
        //fAIRandomBurstTime = .5f;
        //fAIMaxBurstDistance = 2000;
        //nAIReadinessToAim = 100;
        //nAIReadinessToStopAiming = 100;
        //fAIHidingPosTime = 1.1f;
        //fAIRandomHidingPosTime = 0.5f;
        //fAIFiringPosTime = 1.1f;
        //fAIRandomFiringPosTime = 0.5f;
        ////////////////////////////////////////////////////////////////////////////
        fShootLightScale = 30;
    }
}
