public class WeaponRifle extends WeaponBullet
{
    WeaponRifle()
    {
        super();

        //MeshObject
        MeshName="Data/Meshes/Equipment/TPPRifle01.3DA";
        m_nFireMode = _FIREMODE_BURST;        
        //Weapon
        nType = EWeaponType._RIFLE;

        //InvObject properites
        nInvIndex = InvObject._W_RIFLE_STANDARD;
        sName = "&W_N_RIFLE&";
        //sInfo = "Ammo : 8mmLong \nDamage : High \nRoF : 500 FullAuto";
        sTexFileName = "Data/Textures/CH_I_Weapons3.png";

        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 0.0f;
        nOnTexPosY = 0.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;

		// Ilosc kratek zajmowanych w plecaku
	    nCellsHeight = 3;
	    nCellsWidth = 7;
		
        //Weapon properties
        fBaseAcc  = 3.5f;
        fAimAcc = 1.15f;
        fRecoilAccChange = 1.60f;
		fAccuracyChangeSpeed = 8.5f;
        
        fRecoilShiftChange= 0.015f;
        //TODO jesli trzeba to zmodyfikowac
        vRecoilShift = new Vector(1.0f, 0.7f, 0f);

        fDamage             = 55.0f;
		fPhysicsSimDamage   = fDamage;
        fRange              = 40000.0f;
        fBulletSpeed        = 100000.0f;
	    fRateOfFire         = 500f;//450.0f;
	    eBulletType         = EAmmoType._8mmLong;
		nCapacity		    = 40;
		bMountable          = true;

		fNoiseShot = 7000.0f; // PZ: zmienione z 3500
		fNoiseHit  = 1000.0f;

        /** Klasa mesha pokazywanego w FPP */
        sFPPHandsClass = "FPPHandsRifle";
        
        /**Nazwa dzieku odpalanego przy wystrzale */
        sSoundShoot = "Data/Sounds/Weapon/R04_Fire";
        sSoundReload = "Data/Sounds/Weapon/R04_Reload";
        sSoundEmpty = "Data/Sounds/Weapon/R04_Click";
        
        fMinShootSound = 800.f;
        fMaxShootSound = 6000.f;

        /**Nazwa FX odpalanego przy wystrzale (grzebien)*/
		sFXCombName = "FXGrzebienRifle";
		
        ////////////////////////////////////////////////////////////////////////////
        //                         PARAMETRY DLA AI                               //
        ////////////////////////////////////////////////////////////////////////////
        nAIFireModes = _FIREMODE_SINGLE | _FIREMODE_BURST;
        fAIAimingDeviation = 0.075f;
        fAIBurstAimingDeviation = 0.3f;
        //fAISingleFireDelay = 0.5f;
        //fAIRandomSingleFireDelay = 2.f;
        //fAIBurstFireDelay = 0.5f;
        //fAIRandomBurstFireDelay = .1f;
        //nAIMaxSingleFireBullets = 5;
        //fAIBurstTime = 0.5f;
        //fAIRandomBurstTime = .5f;
        //fAIMaxBurstDistance = 900;
        nAIReadinessToAim = 99;
        //nAIReadinessToStopAiming = 90;
        //fAIHidingPosTime = 1.1f;
        //fAIRandomHidingPosTime = 0.5f;
        //fAIFiringPosTime = 1.1f;
        //fAIRandomFiringPosTime = 0.5f;
        ////////////////////////////////////////////////////////////////////////////
        fShootLightScale = 450;
    }
}
