public class WeaponRifleShort extends WeaponBullet
{
    WeaponRifleShort()
    {
        super();

        //MeshObject
        MeshName="Data/Meshes/Equipment/TPPpistol3_b.3DA";
        m_nFireMode = _FIREMODE_BURST;        
        //Weapon
        nType = EWeaponType._RIFLE;

        //InvObject properites
        nInvIndex = InvObject._W_RIFLE_SHORT;
        sName = "&W_N_RIFLE_SHORT&";
        //sInfo = "Ammo:9mmShort Damage:20 RoF:550 Accuracy:017 Recoil:Medium Range:175 AmmoCapacity:32";
        sTexFileName = "Data/Textures/CH_I_Weapons1.png";
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 0.0f;
        nOnTexPosY = 40.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;

		// Ilosc kratek zajmowanych w plecaku
	    nCellsHeight = 3;
	    nCellsWidth = 5;
		
        //WeaponPistol properties
        fBaseAcc  = 3.75f;
        fAimAcc = 1.75f;
        fRecoilAccChange = 1.3f;
		fAccuracyChangeSpeed = 11.0f;
        
        fRecoilShiftChange = 0.02f;

        fDamage             = 40.0f;
        fPhysicsSimDamage   = fDamage;
        fRange              = 25000.0f;
        fBulletSpeed        = 100000.0f;
	    fRateOfFire         = 900.0f;
	    eBulletType         = EAmmoType._9mmShort;
		nCapacity		    = 50;
		bMountable          = true;

		fNoiseShot = 5000.0f; // z 3000.0f;
		fNoiseHit  = 600.0f;

        sFPPHandsClass = "FPPHandsPistol3_b"; // pistolet maszynowy
        
        /**Nazwa dzieku odpalanego przy wystrzale */
        sSoundShoot = "Data/Sounds/Weapon/R02_Fire";
        sSoundReload = "Data/Sounds/Weapon/R02_Reload";
        sSoundEmpty = "Data/Sounds/Weapon/R02_Click";
        
        fMinShootSound = 400.f;
        fMaxShootSound = 5000.f;
        
		/**Nazwa FX odpalanego przy wystrzale (grzebien)*/
		sFXCombName = "FXGrzebienRifleShort";
		
        ////////////////////////////////////////////////////////////////////////////
        //                         PARAMETRY DLA AI                               //
        ////////////////////////////////////////////////////////////////////////////
        nAIFireModes = _FIREMODE_SINGLE | _FIREMODE_BURST;
        //fAIAimingDeviation = 0.1f;
        //fAIBurstAimingDeviation = 0.5f;
        //fAISingleFireDelay = 0.5f;
        //fAIRandomSingleFireDelay = 2.f;
        //fAIBurstFireDelay = 0.5f;
        //fAIRandomBurstFireDelay = .1f;
        //nAIMaxSingleFireBullets = 5;
        //fAIBurstTime = 0.5f;
        //fAIRandomBurstTime = .5f;
        //fAIMaxBurstDistance = 2000;
        nAIReadinessToAim = 90;
        nAIReadinessToStopAiming = 90;
        //fAIHidingPosTime = 1.1f;
        //fAIRandomHidingPosTime = 0.5f;
        //fAIFiringPosTime = 1.1f;
        //fAIRandomFiringPosTime = 0.5f;
        ////////////////////////////////////////////////////////////////////////////
        fShootLightScale = 400;
    }
}
