public class WeaponRifleShotgun extends WeaponShotgun
{
    WeaponRifleShotgun()
    {
        super();

        //MeshObject
        MeshName="Data/Meshes/Equipment/TPPshotgun.3DA";
        m_nFireMode = _FIREMODE_SINGLE;
        //InvObject properites
        nInvIndex = InvObject._W_RIFLE_SHOTGUN;
        sName = "&W_N_SHOTGUN&";
        //sInfo = "Ammo : 12gauge \nDamage : 6x9 \nRoF : 90";
        sTexFileName = "Data/Textures/CH_I_Weapons2.png";
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 0.0f;
        nOnTexPosY = 0.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;
        
        // Ilosc kratek zajmowanych w plecaku
	    nCellsHeight = 2;
	    nCellsWidth = 6;
		
        //Weapon properites
        nType           = EWeaponType._RIFLE;
        bPumpAction     = true;

        //WeaponPistol properties
        fBaseAcc  = 4.5f;
        fAimAcc = 2.00f;
        fRecoilAccChange = 4.0f;
		fAccuracyChangeSpeed = 8.0f;

        fRecoilShiftChange = 0.05f;

        fDamage             = 40.0f; //[TK] bylo 9//peh bylo 30 (po tk)
        fPhysicsSimDamage   = 1500;
        fRange              = 15000.0f;
        fBulletSpeed        = 90000.0f;
        fRateOfFire         = 55.0f; //[TK} bylo 60
	    eBulletType         = EAmmoType._Shotgun;
		nCapacity		    = 9;

		fNoiseShot = 7000.0f;  // zmienione z 4500.0f;
		fNoiseHit  = 800.0f;
        
        sFPPHandsClass = "FPPHandsShotgun";
        
        /**Nazwa dzieku odpalanego przy wystrzale */
        sSoundShoot = "Data/Sounds/Weapon/R01_Fire";
        sSoundReload = "Data/Sounds/Weapon/R01_Reload";
        sSoundEmpty = "Data/Sounds/Weapon/R01_Click";
        
        fMinShootSound = 800.f;
        fMaxShootSound = 7000.f;
        
        /**Nazwa FX odpalanego przy wystrzale (grzebien)*/
		sFXCombName = "FXGrzebienRifleShotgun";
		
        ////////////////////////////////////////////////////////////////////////////
        //                         PARAMETRY DLA AI                               //
        ////////////////////////////////////////////////////////////////////////////
        nAIFireModes = _FIREMODE_SINGLE | _FIREMODE_BURST;
        //fAIAimingDeviation = 0.1f;
        //fAIBurstAimingDeviation = 0.5f;
        //fAISingleFireDelay = 0.5f;
        //fAIRandomSingleFireDelay = 2.f;
        //fAIBurstFireDelay = 0.5f;
        //fAIRandomBurstFireDelay = .1f;
        //nAIMaxSingleFireBullets = 5;
        //fAIBurstTime = 0.5f;
        //fAIRandomBurstTime = .5f;
        //fAIMaxBurstDistance = 2000;
        nAIReadinessToAim = 50;
        nAIReadinessToStopAiming = 50;
        //fAIHidingPosTime = 1.1f;
        //fAIRandomHidingPosTime = 0.5f;
        //fAIFiringPosTime = 1.1f;
        //fAIRandomFiringPosTime = 0.5f;
        fShootLightScale = 500;
    }
}
