public class DemoLevel extends ChromeModuleSingle
{
    // punkt gdzie sie spawnuje samochod dla gracza
    public Vehicle[] aPlayerVehicles=null;//#CHEATS;
    public Marker[] aPlayerVehiclesPlaces=null;//#CHEATS;
    
    // punkty gdzie normalne AI sie pojawiaja
    public Waypoint[] aAISpawnPoints1=null;//#CHEATS;
    public Waypoint[] aAISpawnPoints2=null;//#CHEATS;
    public Waypoint[] aAISpawnPoints3=null;//#CHEATS;
    
    // punkt gdzie pojawia sie AI do demonstracji fizyki cial
    public Waypoint[] aRagDollSpawnPoint=null;//#CHEATS;
    public Marker[] aRagDollBlows=null;//#CHEATS;
    
    // punkt gdzie pokazuje sie AI atakujace pojazdem
    public Waypoint cAIVehicleSpawnPoint=null;//#CHEATS;
    public Waypoint cAIVehicleSpawnPointPass=null;//#CHEATS;

    // pozycja na platformie poczatkowej
    public Marker cPlayerStart=null;//#CHEATS;
    
    ChromeActor cDamager = null;

    String[] aSkins = {
//"Brown",
"Brudas_BlackEyeGlass1", "Brudas_BlackEyeGlass2", "Brudas_BlackEyeGlass3",
"Brudas_EyeGlass1", "Brudas_EyeGlass2", "Brudas_EyeGlass3",
"Brudas1", "Brudas2", "Brudas3", "Brudas4", "Brudas5",
"Coretech_BlackEyeGlass1","Coretech_BlackEyeGlass2","Coretech_BlackEyeGlass3","Coretech_BlackEyeGlass4",
"Coretech_EyeGlass1","Coretech_EyeGlass2","Coretech_EyeGlass3","Coretech_EyeGlass4",
"Coretech_Helmet1","Coretech_Helmet2","Coretech_Helmet3","Coretech_Helmet4",
"Coretech1","Coretech2","Coretech3","Coretech4",
"Peace_Helmet1","Peace_Helmet2","Peace_Helmet3",
"Pirate_BlackEyeGlass1","Pirate_BlackEyeGlass2","Pirate_BlackEyeGlass3","Pirate_BlackEyeGlass4",
"Pirate_EyeGlass1","Pirate_EyeGlass2","Pirate_EyeGlass3","Pirate_EyeGlass4",
"Pirate_Helmet1","Pirate_Helmet2","Pirate_Helmet3","Pirate_Helmet4",
"Pirate1","Pirate2","Pirate3","Pirate4",
"Spacon_EyeGlass1","Spacon_EyeGlass2","Spacon_EyeGlass3",
"Spacon1","Spacon2","Spacon3",
"Zetrox_BlackEyeGlass1","Zetrox_BlackEyeGlass2","Zetrox_BlackEyeGlass3","Zetrox_BlackEyeGlass4",
"Zetrox_EyeGlass1","Zetrox_EyeGlass2","Zetrox_EyeGlass3","Zetrox_EyeGlass4",
"Zetrox_Helmet1","Zetrox_Helmet2","Zetrox_Helmet3","Zetrox_Helmet4",
"Zetrox1","Zetrox2","Zetrox3","Zetrox4" };

    
    
    
    public void OnPostCreate()
    {
        super.OnPostCreate();
        
        // wlaczamy wszystkie implanty
        MainPlayer.Cyborg();
        MainPlayer.GiveAllWeapons();
        MainPlayer.GiveAllAmmo();
        MainPlayer.fDamageThreshold = 10000.f;
        
        if(cDamager == null)
        {
            cDamager = (ChromeActor)CreateObject("ChromeActor");
            cDamager.EnableRendering(false);
        }
        
        SetExtents(100000f, 100000f, 100000f);
        ((ChromeGame)ChromeGame.cSingleton).EnableLoadSave(false);
    }
    
    /**
     */
    public void OnInputKey(int nKeyCode, boolean bKeyState, char nKeyAscii)
    {
        super.OnInputKey(nKeyCode, bKeyState, nKeyAscii);
        
        if (bKeyState)
        {
            // ai groups
            if(nKeyCode==EKey._F1)
                SpawnAITable(aAISpawnPoints1);
            
            if(nKeyCode==EKey._F2)
                SpawnAITable(aAISpawnPoints2);
            
            if(nKeyCode==EKey._F3)
                SpawnAITable(aAISpawnPoints3);
            
            // ai with vehicle
            if(nKeyCode==EKey._F4)
                SpawnAIWithVehicle();
            
            // rag dolls
            if(nKeyCode==EKey._F5)
                SpawnAITable(aRagDollSpawnPoint);

            if(nKeyCode==EKey._F6)
                SpawnRagDollBlows();
            
            if(nKeyCode==EKey._F7)
                SpawnRagDollBlowFromPlayer();
            
            // player's vehicles
            if(nKeyCode==EKey._F8)
                PlaceVehiclesOnMarkers();
            
            // move player to the platform
            if(nKeyCode==EKey._F11)
            {
                if(MainPlayer.GetSeat() != null)
                    MainPlayer.GetOut();
                
                MainPlayer.Appear(cPlayerStart);
            }
            
            // deleting dead bodies
            if(nKeyCode==EKey._F12)
            {
                for(int i=0; i<vSpawnedObjects.size(); ++i)
                {
                    GameObject cObj = (GameObject)vSpawnedObjects.elementAt(i);
                    if(cObj instanceof ChromeActor)
                    {
                        ChromeActor cActor = (ChromeActor)cObj;
                        if(cActor.IsDead())
                        {
                            cActor.Disappear(null);
                            cActor.DeactivateOnModuleAlways();
                            cActor.EnableRendering(false);
                        }
                    }
                }
            }
        }
    }

    java.util.Vector vSpawnedObjects = new java.util.Vector(10);
    
    // metody pomocnicze do spawnowania
    Vehicle SpawnVehicle(ControlObject cPoint)
    {
        if(cPoint == null) return null;
        
        // tworzymy pojazd
        Vehicle cVehicle = (Jeep)CreateObjectNoInit("Jeep");
        vSpawnedObjects.addElement(cVehicle);
        cVehicle.FromUpForwardPos(Vector.Up, cPoint.GetForwardVector(), cPoint.GetPositionVectorVolatile());
        cVehicle.InitObject();
        cVehicle.bActiveTrigger = true;
        cVehicle.ActivateOnModule();
        cVehicle.Appear(cPoint);
        
        return cVehicle;
    }
    
    NewAIHuman SpawnAI(Waypoint cPoint)
    {
        NewAIHuman cAI = (NewAIHuman)CreateObjectNoInit("NewAIHuman");
        vSpawnedObjects.addElement(cAI);
        cAI.MeshName = "Data/Meshes/AI/LSoldier.3DA";
        cAI.SetName("SPAWN-" + cAI.GetName());
        cAI.cWaypoint = cPoint;
        cAI.InitObject();
        cAI.ActivateOnModule();
        
        cAI.Appear(cPoint);
        cAI.SetSkin(aSkins[RandomInt(aSkins.length)]);
        
        return cAI;
    }
    
    boolean IsFreePlace(ControlObject cObj, float fRadius)
    {
        ControlObject[] a = GetObjectsInRadiusFromClass(cObj.GetPositionVectorVolatile(), fRadius, "NewAI");
        if(a == null) return true;
        
        for(int i=0; i<a.length; ++i)
            if(!((NewAI)a[i]).IsDead()) return false;
        
        return true;
    }
    
    void SpawnAITable(Waypoint[] aTab)
    {
        for(int i=0; i<aTab.length; ++i)
            if(IsFreePlace(aTab[i], 75.f)) SpawnAI(aTab[i]);
    }
    
    void PlaceVehiclesOnMarkers()
    {
        int nMaxVehicles = aPlayerVehicles.length;
        for(int i=0; i<aPlayerVehiclesPlaces.length; ++i)
        {
            if(i<nMaxVehicles)
            {
                aPlayerVehicles[i].Appear(aPlayerVehiclesPlaces[i]);
                
                if(aPlayerVehicles[i].IsDead())
                {
                    //TODO ozywienie
                }
            }
        }
    }
    
    void SpawnRagDollAI()
    {
        for(int i=0; i<aRagDollSpawnPoint.length; ++i)
        {
            if(IsFreePlace(aRagDollSpawnPoint[i], 200.f))
                SpawnAI(aRagDollSpawnPoint[i]);
        }
    }
    
    
    float fBlastDamage = 1500.f;
    float fBlastRange = 500.f;
            
    String sBlowFX = "FXBlowBarrel";
    String sBlowSound = "Data/Sounds/Demolish/BarrelExplosion";
        
    void SpawnRagDollBlows()
    {
        if(aRagDollBlows == null) return;

        cDamager.ActivateOnModule();
        for(int i=0; i<aRagDollBlows.length; ++i)
        {
            Vector vPos = aRagDollBlows[i].GetPositionVectorVolatile();

            ExecuteFX(sBlowFX, vPos, Vector.Up);
            String sSound = sBlowSound + (1+RandomInt(3)) +".wav";
            PlaySound(sSound);
            
            cDamager.SetPosition(vPos);
            cDamager.MakeBlastDamage(fBlastDamage, fBlastDamage, vPos, fBlastRange, true, null, EnumDamageType._BLAST);
        }
        cDamager.DeactivateOnModuleAlways();
    }
    
    void SpawnRagDollBlowFromPlayer()
    {
        Vector vPos = MainPlayer.GetPositionVectorVolatile();
        
        ExecuteFX(sBlowFX, vPos, Vector.Up);
        String sSound = sBlowSound + (1+RandomInt(3)) +".wav";
        PlaySound(sSound);

        MainPlayer.MakeBlastDamage(fBlastDamage, fBlastDamage, vPos, fBlastRange, true, null, EnumDamageType._BLAST);
    }
    
    float fLastSpawnAIWithVehicleTime = 0.0f;
    
    void SpawnAIWithVehicle()
    {
        float fDelta = GetTime() - fLastSpawnAIWithVehicleTime;
        if((fDelta < 10.f) && (fLastSpawnAIWithVehicleTime!=0.f)) return;
        
        fLastSpawnAIWithVehicleTime = GetTime();
        
        Vehicle cVehicle;
        cVehicle = SpawnVehicle(cAIVehicleSpawnPoint);
        
        if(cAIVehicleSpawnPoint != null)
        {
            NewAIHuman cAIDriver = SpawnAI(cAIVehicleSpawnPoint);
            cAIDriver.cGetInAs = new EnumGetInType(EnumGetInType._DRIVER);
        
            if(cAIVehicleSpawnPoint.cMotion instanceof mt_GetIn)
            {
                mt_GetIn cGetIn = (mt_GetIn)cAIVehicleSpawnPoint.cMotion;
                cGetIn.bImmediate = true;
                cGetIn.cObjectToGetIn = cVehicle;
            }
        }
        
        if(cAIVehicleSpawnPointPass != null)
        {
            NewAIHuman cAIPassenger = SpawnAI(cAIVehicleSpawnPoint);        
            cAIPassenger.cGetInAs = new EnumGetInType(EnumGetInType._PASSENGER);
            
            if(cAIVehicleSpawnPointPass.cMotion instanceof mt_GetIn)
            {
                mt_GetIn cGetIn = (mt_GetIn)cAIVehicleSpawnPointPass.cMotion;
                cGetIn.bImmediate = true;
                cGetIn.cObjectToGetIn = cVehicle;
            }
        }
    }
}
