/** Obiekt bedacy zwyklym meshem, ale odgrywa
 * zapetlona jedna animacje.
 */
public class MeshObjectOneAnim extends MeshObject
{
    public String sAnim = null;//#;ANIM
    
    public void OnCreate()
    {
        if(sAnim == null)
        {
            SetFlag(EFlags._NO_ANIMATION);
            SetFlag(EFlags._NO_ANIMATION_REFRESH);
            ClearFlag(EFlags._NOT_STATIC);
        }
        else
        {
            ClearFlag(EFlags._NO_ANIMATION);
            ClearFlag(EFlags._NO_ANIMATION_REFRESH);
            SetFlag(EFlags._NOT_STATIC);
            
            int nAnimID = GetAnimID("", sAnim);
            PlayAnim(nAnimID, -1);
        }
    }
}
