public class EChromeInventoryMenuUI extends EUI
{
	static float _SCROLL_ARROW_WIDTH = 22f;
	
	/** przesuniecia tekstow w ramkach, by bylo ladniej */
	static float _ROOM_WEAPON_DESC_MOVE_X = 2f;
	static float _ROOM_WEAPON_DESC_MOVE_Y = 2f;
	
    final static int ID_BTN_WEAPON    = 290;
    final static int ID_BTN_AMMO      = 252;
    final static int ID_BTN_EQUIPMENT = 253;
    
    final static int ID_BTN_NEXT      = 275;
    final static int ID_BTN_DEFAULT   = 276;
    final static int ID_BTN_CLEAR     = 277;
    
    final static int ID_LIST_WEAPON    = 269;
    final static int ID_LIST_AMMO      = 261;
    final static int ID_LIST_EQUIPMENT = 262;
    final static int ID_LIST_DES       = 267;
    
    /** powyzej tej wartosci zaczynaja sie elementy listy */
    final static int ID_LIST_ITEM      = 600;

    /** przycisk wybierajacy listboxa weapon */
    static UIElement Button_Weapon = new UIElement(
        ID_BTN_WEAPON,0,
        new Vector(53, 34, 0),
        new Vector(80, 19, 0),
        "CH_T_Panel.png",
        new Rect( 53.0f * EHudInvParams._P1024, 34.0f * EHudInvParams._P512, 133.0f * EHudInvParams._P1024, 53.0f * EHudInvParams._P512),
        "CH_T_Panel.png",
        new Rect( 853.0f * EHudInvParams._P1024, 450.0f * EHudInvParams._P512, 933.0f * EHudInvParams._P1024, 469.0f * EHudInvParams._P512),
        "",
        new Rect(),
        "",
        new Rect(),
        EButtonFlags.BTN_TYPE_LISTBOX_ITEM,
        "&WEAPON&"
        );
    
    /** przycisk wybierajacy listboxa ammo */
    static UIElement Button_Ammo = new UIElement(
        ID_BTN_AMMO,0,
        new Vector(133, 34, 0),
        new Vector(75, 19, 0),
        "CH_T_Panel.png",
        new Rect( 133.0f * EHudInvParams._P1024, 34.0f * EHudInvParams._P512, 208.0f * EHudInvParams._P1024, 53.0f * EHudInvParams._P512),
        "CH_T_Panel.png",
        new Rect( 853.0f * EHudInvParams._P1024, 471.0f * EHudInvParams._P512, 928.0f * EHudInvParams._P1024, 490.0f * EHudInvParams._P512),
        "",
        new Rect(),
        "",
        new Rect(),
        EButtonFlags.BTN_TYPE_LISTBOX_ITEM,
        "&AMMO&"
        );
	
    /** przycisk wybierajacy listboxa equipment */
    static UIElement Button_Equipment = new UIElement(
        ID_BTN_EQUIPMENT,0,
        new Vector(208, 34, 0),
        new Vector(84, 19, 0),
        "CH_T_Panel.png",
        new Rect( 208.0f * EHudInvParams._P1024, 34.0f * EHudInvParams._P512, 292.0f * EHudInvParams._P1024, 53.0f * EHudInvParams._P512),
        "CH_T_Panel.png",
        new Rect( 853.0f * EHudInvParams._P1024, 492.0f * EHudInvParams._P512, 937.0f * EHudInvParams._P1024, 511.0f * EHudInvParams._P512),
        "",
        new Rect(),
        "",
        new Rect(),
        EButtonFlags.BTN_TYPE_LISTBOX_ITEM,
        "&EQUIPMENT&"
        );
    
    static UIElement Button_Next = new UIElement(
        ID_BTN_NEXT,0,
        new Vector(208, 426, 0),
        new Vector(84, 19, 0),
        "CH_T_Panel.png",
        new Rect(208f * EHudInvParams._P1024, 426f * EHudInvParams._P512, 292f * EHudInvParams._P1024, 445f * EHudInvParams._P512),
        "CH_T_Panel.png",
        new Rect(939f * EHudInvParams._P1024, 492f * EHudInvParams._P512, 1023f * EHudInvParams._P1024, 511f * EHudInvParams._P512),
        "",
        new Rect(),
        "",
        new Rect(),
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&NEXT&"
        );
    
    static UIElement Button_Default = new UIElement(
        ID_BTN_DEFAULT,0,
        new Vector(133, 426, 0),
        new Vector(75, 19, 0),
        "CH_T_Panel.png",
        new Rect(133f * EHudInvParams._P1024, 426f * EHudInvParams._P512, 208f * EHudInvParams._P1024, 445f * EHudInvParams._P512),
        "CH_T_Panel.png",
        new Rect(939f * EHudInvParams._P1024, 471f * EHudInvParams._P512, 1014f * EHudInvParams._P1024, 490f * EHudInvParams._P512),
        "",
        new Rect(),
        "",
        new Rect(),
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&DEFAULT&"
        );
    
    /** przycisk czyszczacy wybor */
    static UIElement Button_Clear = new UIElement(
        ID_BTN_CLEAR,0,
        new Vector(54, 426, 0),
        new Vector(79, 19, 0),
        "CH_T_Panel.png",
        new Rect(54f * EHudInvParams._P1024, 426f * EHudInvParams._P512, 133f * EHudInvParams._P1024, 445f * EHudInvParams._P512),
        "CH_T_Panel.png",
        new Rect(939f * EHudInvParams._P1024, 450f * EHudInvParams._P512, 1018f * EHudInvParams._P1024, 469f * EHudInvParams._P512),
        "",
        new Rect(),
        "",
        new Rect(),
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&CLEAR&"
        );
    
    /** lista broni */
    static UIElement ListBox_Weapon = new UIElement(
        ID_LIST_WEAPON,0,
        new Vector(53, 71, 0),
        new Vector(200 + _SCROLL_ARROW_WIDTH, 240, 0),
        "",
        new Rect(),
        "",
        new Rect(),
        "", 
        new Rect(),
        "", 
        new Rect(),
        EButtonFlags.BTN_TYPE_LISTBOX,
        ""
        );
    
    /** lista amunicji */
    static UIElement ListBox_Ammo = new UIElement(
        ID_LIST_AMMO,0,
        new Vector(53, 71, 0),
        new Vector(200 + _SCROLL_ARROW_WIDTH, 240, 0),
        "",
        new Rect(),
        "",
        new Rect(),
        "", 
        new Rect(),
        "", 
        new Rect(),
        EButtonFlags.BTN_TYPE_LISTBOX,
        ""
        );
    
    /** lista wyposazenia */
    static UIElement ListBox_Equipment = new UIElement(
        ID_LIST_EQUIPMENT,0,
        new Vector(53, 71, 0),
        new Vector(200 + _SCROLL_ARROW_WIDTH, 240, 0),
        "",
        new Rect(),
        "",
        new Rect(),
        "", 
        new Rect(),
        "", 
        new Rect(),
        EButtonFlags.BTN_TYPE_LISTBOX,
        ""
        );
    
    /** niewidoczny przycisk z widocznymi opisami aktualnie zaznaczonych broni */
    static UIElement ListBox_WeaponDes = new UIElement(
        ID_LIST_DES,0,
        new Vector(53 + _ROOM_WEAPON_DESC_MOVE_X,
				   330 + _ROOM_WEAPON_DESC_MOVE_Y,
				   0),
        new Vector(200 - 2 * _ROOM_WEAPON_DESC_MOVE_X + _SCROLL_ARROW_WIDTH,
				   77 - 2 * _ROOM_WEAPON_DESC_MOVE_Y,
				   0),
        "",
        new Rect(),
        "",
        new Rect(),
        "", 
        new Rect(),
        "", 
        new Rect(),
        EButtonFlags.BTN_TYPE_LISTBOX,
        ""
        );
}
