public class MethodCaller extends Module
{
    static MethodCaller cThis = null;
    public void OnCreate()
    {
        cThis = this;
    }
    
    ChromeMenuModule m_cMenuModule = null;
    
    boolean m_bMenuCallPostOnDeactivate = false;
    void MenuCallPostOnDeactivate(ChromeMenuModule cModule)
    {
        m_bMenuCallPostOnDeactivate = true;
        m_cMenuModule = cModule;
    }
    
    void DisableMenuCallPostOnDeactivate()
    {
        m_bMenuCallPostOnDeactivate = false;
        m_cMenuModule = null;
    }
    
    public void MenuCallPostOnDeactivate()
    {
        m_cMenuModule.PostOnDeactivate();
    }
    
    HUDImplant m_cHudImplant = null;
    boolean m_bCallDelayedInitHUDImplant = false;
    
    void CallDelayedInitHUDImplant(HUDImplant cHud)
    {
        m_bCallDelayedInitHUDImplant = true;
        m_cHudImplant = cHud;
    }
    
    void CallDelayedInitHUDImplant()
    {
        m_cHudImplant.DelayedInitHUDImplant();
    }
    
        
    ChromeModuleSingle m_cModuleSingle = null;
    boolean m_bInitLoadedHints = false;
    void CallInitLoadedHints(ChromeModuleSingle cModule)
    {
        m_bInitLoadedHints = true;
        m_cModuleSingle = cModule;
    }
    
	/*
    void CallInitLoadedHints()
    {
        m_cModuleSingle.InitLoadedHints();
    }
	*/
    
    boolean m_bCallQuickLoadOK = false;
    void CallQuickLoadOK(ChromeModuleSingle cModule)
    {
        m_bCallQuickLoadOK = true;
        m_cModuleSingle = cModule;
    }
    
    void CallQuickLoadOK()
    {
        m_cModuleSingle.QuickLoadOK();
    }
    
    public void OnFrame()
    {
        if (m_bMenuCallPostOnDeactivate)
        {
            m_bMenuCallPostOnDeactivate = false;
            MenuCallPostOnDeactivate();
        }

        if (m_bCallDelayedInitHUDImplant)
        {
            m_bCallDelayedInitHUDImplant = false;
            CallDelayedInitHUDImplant();
        }

        if (m_bInitLoadedHints)
        {
            //CallInitLoadedHints();
            m_bInitLoadedHints = false;
        }    
        
        if (m_bCallQuickLoadOK)
        {
            m_bCallQuickLoadOK = false;
            CallQuickLoadOK();
        }
        
    }
}
