public class act_DialogWait extends act_Dialog
{    
    void Invoke()
    {
        InvokeInternal();
    }
    
    /** Zmodyfikowana metoda InvokeInternal - jesli warunek nie jest prawdziwy
     *  wola nastepne akcje (bo w Invoke nie ma InvokeNext
     */
    void InvokeInternal()
    {
        // sprawdzamy warunek wykonania
        if( CheckCondition() )
        {
            // wykonanie akcji z uwzglednieniem przesuniecia
            CallMethodIn("InvokeAction", fDelay);
        }
        else 
            InvokeNext();
    }

    
    void InvokeAction()
    {
        Dialog cCurrentDialog = null;
        
        if(aRandomDialogs != null)
        {
            int nRand = RandomInt(aRandomDialogs.length);
            cCurrentDialog = aRandomDialogs[nRand];
        }
        else
            if(cDialog != null)
            {
                cCurrentDialog = cDialog;
            }
        
        if(cCurrentDialog == null) return;
        
        cCurrentDialog.Play();
        CrashLog("[act_DialogWait.InvokeAction] cCurrentDialog='"+cCurrentDialog.GetName()+"' fDur="+cCurrentDialog.GetPlayDuration()+"\n");
        CallMethodIn("InvokeNext", cCurrentDialog.GetPlayDuration());
    }
}
