public class bhv_Guard extends ChromeBehavior
{
    /** Promien obszaru bronionego przez AI */
    public float fRadius = 500;//#\GUARD;Guarded area radius
    
    /** Czas, przez jaki ma byc chroniony obszar [s] */
    public float fTime = 10;//#\GUARD;Area guarding time [sec]

    /** Znacznik, ze guard NIGDY nie moze byc zignorowany */
    public boolean bRunAwayAllowed = false;//#\GUARD;When true AI can ignore guarding when has to run away

    
    public bhv_Guard()
    {
        m_ValidScenarios.SetAllBits();
        m_ValidScenarios.CalcIntersectionWithComplement(Scenario._EDITOR_SCENARIOS);
    }
    
    public void StartActivity(AIController ai)
	{
        ai.GetMesh().GuardObject(ai.GetCurrWaypoint(), fRadius, !bRunAwayAllowed);
		
        if (fTime >= 0) // jak mniejsze - nie wolaj wcale
            ai.CallMethodIn("ServeNextWaypointActivity", fTime);
	}
    
    public void StopActivity(AIController ai)
	{
		ai.GetMesh().GuardObject(null, 0, false);
		ai.DisableCallMethod("ServeNextWaypointActivity");
	}
}
