public class ParamWeaponParams extends Param
{
    {sEditorComment = "Change objects weapon parameters";}

    public ipar_WeaponParams cTarget = null;//#\;Object which weapons params should be changed
    
    public float fDamageMult = -1;//#\;Damage multiplier (-1 - NO CHANGE)

    public float fAIBurstFireDelay = -1;//#\;Minimum delay btw. burst series (-1 - NO CHANGE)
    public float fAIRandomBurstFireDelay = -1;//#\;Random modifier for burst series delay (-1 - NO CHANGE)

    public float fAIBurstTime = -1;//#\;Minimum burst series time (-1 - NO CHANGE)
    public float fAIRandomBurstTime = -1;//#\;Random modifier for burst series time (-1 - NO CHANGE)

    public float fAIMaxBurstDistance = -1;//#\;Maximum distance for burst fire (-1 - NO CHANGE)

    public int nAIReadinessToAim = -1;//#\;Probability [%] of starting aiming (-1 - NO CHANGE)
    public int nAIReadinessToStopAiming = -1;//#\;Probability [%] of finishing aiming (-1 - NO CHANGE)

    public float fAIEffectiveRange = -1;//#\;Effective weapon range for AI (-1 - NO CHANGE)
        
                            
    public void ChangeParam()
    {
        if (cTarget != null)
            cTarget.SetWeaponParams(this);
    }
}

