public class MasterServerAuthConnection extends ConnectionHelper
{

    public void CheckDo()
    {
        if(m_Client != null && m_Client.AServerAnswered() && super.m_IConnectionCallback != null)
        {
            DisableCallMethod("Check");
            DisableCallMethod("Failed");
            super.m_IConnectionCallback.Succeeded(0);
        }
    }

    public MasterServerAuthConnection()
    {
        m_sKey = null;
    }

    public void Failed()
    {
        super.Failed();
    }

    public boolean Init(MasterClient client, String sKey, IConnectionCallback back, float fTimeOut, float fCheckTime)
    {
        if(super.Init(back, fTimeOut, fCheckTime) && client != null)
        {
            m_Client = client;
            m_Client.AuthorizeMe(sKey, NetGameVersion.GetGameTypeForMS());
            m_sKey = sKey;
            return true;
        } else
        {
            return false;
        }
    }

    public void Cancel()
    {
        if(m_Client != null)
            m_Client.CancelAuthorization();
        super.Cancel();
    }

    MasterClient m_Client;
    String m_sKey;
}
