public class CommandServerShutdown extends ConsoleCommandParams
{
    CommandServerShutdown()
    {
        super();
        m_nRequiredAdminRights  = EAdminRights._FULL;
        m_bResultsToAll         = true;
        m_nMaxParams            = 1;
    }
    
    final static int _PARAM_REASON      = 0;
    
    void PostPerform()
    {
        m_cGameInfo.EventServerIsGoingShutdown();
    }
    
    void ShowResults()
    {
        super.ShowResults();
        WriteSpecialResults( Text.Get("&ConsoleCommandServerIsGoingToBeShutdownInAMoment&") );
    }
}
