public class CommandNick extends ConsoleCommandParams
{
    CommandNick()
    {
        super();
        m_nMinParams       = 
        m_nMaxParams       = 1;
    }
    
    final static int _PARAM_NICK = 0;
    
    void Clean()
    {
        super.Clean();
        m_sOldNick = null;
        m_sNewNick = null;
    }
    
    String m_sOldNick = null;
    String m_sNewNick = null;
    
    void InitPerform()
    {
        super.InitPerform();
        
        //ma w ogole gosc gracza?
        if ( m_cPlayerInfo == null )
        {
            SetErrorId( EConsoleCommandError._PLAYER_NOT_FOUND );
            return;
        }
                
        String sOldNick = m_cPlayerInfo.GetNick();
        String sNewNick = GetParam( _PARAM_NICK );
        
        if ( sNewNick.equals( sOldNick ) )
        {
            SetErrorId( EConsoleCommandError._NICKS_EQUALS );
            return;
        }
    }
        
    void PostPerform()
    {
        //teraz przechodzimy przez weryfikacje
        m_sNewNick = m_cGameInfo.GetPlayerInfoList().VerifyPlayerNick( m_sNewNick );
        
        m_cPlayerInfo.SetName( m_sNewNick );
        m_cGameInfo.EventPlayerChangedNick( m_cPlayerInfo, m_sOldNick );
    }
}
