public class ModifierNetGameSettings
{
    private int     m_nId       = EModifiersNetGameSettings._UNKNOWN;
    private float   m_fParam    = 0.0f;
    
    ModifierNetGameSettings(int nId,int nParam)
    {
        m_nId       = nId;
        m_fParam    = (float)nParam;
    }
    ModifierNetGameSettings(int nId,float fParam)
    {
        m_nId       = nId;
        m_fParam    = fParam;
    }
    ModifierNetGameSettings(int nId,String sText)
    {
        m_nId       = nId;
        m_fParam    = ((sText!= null)&& 
                       (sText.equalsIgnoreCase("yes")||sText.equalsIgnoreCase("on")))?
                       1.0f : 0.0f;
    }
    
    int     GetId()             { return m_nId;         }
    int     GetIntParam()       { return (int)m_fParam; }
    float   GetFloatParam()     { return m_fParam;      }
    boolean GetBooleanParam()   { return m_fParam!=0.0f;}
}
