/** Okienko modalne pojawiajace sie w menu
 * Sluzy jako klasa bazowa do niektorych okienek w menu sieciowym
 */
public class MenuNetModalWindow extends ChromeMenuWindow/*Window */
{
    ChromeMenuModule m_cMenuModule = null;
    UIWindow m_cOwner = null;
            
    /**Rozmiar okna*/
    //Vector m_vSize = new Vector(640.0f,480.0f,0.0f);

    String m_sBackgroundFileName = "Data/Textures/"+MenuTextures.sBack;
    
    void SetParams(ChromeMenuModule cModule,
                   UIWindow           cOwner )
    {
        SetModule( cModule );
        m_cMenuModule = cModule;
        m_cOwner = cOwner;
    }
    
    public void OnCreate()
    {
        super.OnCreate();
        
        //SetBackground( m_sBackgroundFileName );
    }
    
   
    public void Show()
    {
        m_cOwner.ProcessMouse( false );
        m_cOwner.ProcessKb( false );
        
        //m_cOwner.AddChildWnd( this, m_cOwner );
        m_cOwner.AddSprite( this );
        
		m_cOwner.Hide();
		
        ProcessMouse( true );
        ProcessKb( true );
        
        MoveTop();
        //SetSize( m_vSize );
        
        SetModal();
        CaptureMouse();
        
        if (m_cMenuModule.cCursor != null) 
            m_cMenuModule.cCursor.MoveTop();
        
        super.Show();
    }
    
    public void Hide()
    {
        ProcessMouse(false);
        ProcessKb(false);
        ClearModal();
        ClearCaptureMouse();
        
        super.Hide();
       
		m_cOwner.Show();
        m_cOwner.ProcessMouse( true );
        m_cOwner.ProcessKb( true );
        m_cOwner.RemoveSprite( this );
        //m_cOwner.RemoveChildWnd( this );
        
        CallMethodIn("delete",0.0f);
    }
    
    void Discard()
    {
        if(!CanDiscard())
			return;
		Hide();
    }
    //TODO: dorobic zeby ESCapem mozna bylo wyjsc
        
    
    /*public void SetSize(Vector vSize)
    { 
        super.SetSize( vSize );
        m_vSize = new Vector( vSize );
        Vector vPos = new Vector( (GetScreenWidth() -  m_vSize.fX) / 2, 
                                  (GetScreenHeight() - m_vSize.fY) / 2, 
                                  0 );
        SetPos( vPos );
    }*/
    
    
}


