public class MenuNetGameSettingsRound extends MenuNetGameSettingsTeam
{
    NetGameSettingsRound m_cNetGameSettingsRound = null;
    void SetGameSettings(NetGameSettings cGameSettings)
    {
        super.SetGameSettings( cGameSettings );
        
        if ( cGameSettings instanceof NetGameSettingsRound )
            m_cNetGameSettingsRound = (NetGameSettingsRound)cGameSettings;
        else
            LogD(" Nieodpowiedni obiekt game settings "+cGameSettings+"\n");
    }

    
    void CopyDataFromObjectToMenu()
    {
        super.CopyDataFromObjectToMenu();
        
        if ( m_cRevengeMatch.Initialized() )
            m_cRevengeMatch.SetValue( m_cNetGameSettingsRound.GetRevengeMatch() );
        if ( m_cChangeSideOnNextRound.Initialized() )
            m_cChangeSideOnNextRound.SetValue( m_cNetGameSettingsRound.GetChangeSideOnNextRound() );

        
    }
    void CopyDataFromMenuToObject()
    {
        super.CopyDataFromMenuToObject();
        
        if ( m_cRevengeMatch.Initialized() )
            m_cNetGameSettingsRound.SetRevengeMatch( m_cRevengeMatch.GetBoolean() );   
        if ( m_cChangeSideOnNextRound.Initialized() )
            m_cNetGameSettingsRound.SetChangeSideOnNextRound( m_cChangeSideOnNextRound.GetBoolean() );   
    }
}
