public class VoiceManagerBase
{
    /** Lista obiektow
     */
    private java.util.Vector m_aList = null;
    
    VoiceManagerBase()
    {
        m_aList     = new java.util.Vector();
    }
    
    /** Dodaj element do systemu
     */
    void Add(NetVoice cVoice)
    {
        if ( cVoice instanceof NetVoice )
        {
            m_aList.addElement( cVoice );
            cVoice.SetId( m_aList.indexOf( cVoice ) );
        }
    }
        
    /** pobranie dlugosci listy voice'ow w systemie
     */
    int GetSize()
    {
        return m_aList.size();
    }
    
    NetVoice Get(int i)
    {
        if ( i >= 0 && i < m_aList.size() && m_aList.elementAt( i ) instanceof NetVoice )
            return (NetVoice)m_aList.elementAt( i );
        return null;
    }
    
    java.util.Vector GetList()
    {
        return m_aList;
    }
}
