public class DominationBaseComputer extends DominationBase
{
    static String   sm_sOriginalMaterialName = "KomputerJarzeniowa MT SI.mat";
    
    //TODO: zrobic materialy do jarzeniowki pozostalych kolorow
    static String[] sm_aUsingMaterials = {  "KomputerJarzeniowa MT SI.mat",
                                            "Red SI.mat", 
                                            "Blue SI.mat",
                                            "Green SI.mat",
                                            "KomputerJarzeniowa MT SI.mat"};
    
    public MeshObject m_cComputerSegment1 = null;//#Net
    public MeshObject m_cComputerSegment2 = null;//#Net
    
    DominationBaseComputer()
    {
        super();
                
        MeshName = "Data/Interface/choragiewka.3da";
        
        m_sOriginalMaterialName = sm_sOriginalMaterialName;
        m_aUsingMaterials       = sm_aUsingMaterials;
    }
    
    public boolean ReplaceOriginalMaterial(int    nOriginalMaterialId,
                                           String sNewMaterial)
    {
        if ( m_cComputerSegment1 != null )
            m_cComputerSegment1.ReplaceOriginalMaterial( nOriginalMaterialId, 
                                                         sNewMaterial );
        if ( m_cComputerSegment2 != null )
            m_cComputerSegment2.ReplaceOriginalMaterial( nOriginalMaterialId, 
                                                         sNewMaterial );
    
        return super.ReplaceOriginalMaterial( nOriginalMaterialId, 
                                              sNewMaterial );
    }
}
