public class EDisconnectReason extends Enum
{
    EDisconnectReason(int v) { super(v); }
    
    final static int _NO_REASON       = -1,
                     _USER_ACTION     =  0,
                     _SERVER_GOOD_BYE =  1,
                     _SERVER_TIME_OUT =  2;
    
    static String GetFlagName( int nFlag )
	{
		switch (nFlag)
		{
        case _NO_REASON: return "no reason";            
        case _USER_ACTION: return "user action";
        case _SERVER_GOOD_BYE: return "server good bye";
        case _SERVER_TIME_OUT: return "server timeout";
        default: return "_UNKNOWN_REASON";
        }
    }
}
