public class ENetGameType
{
	final static int UNKNOWN      = -1,
                     DM           = 0,
                     TDM          = 1, 
                     CTF          = 2,
                     SMD          = 3,
                     TD           = 4,
                     SMTD         = 5,
                     TTD          = 6,
                     ASSAULT      = 7,   
                     TYPES_COUNT  = 8;//liczba trybow gry, po dodaniu nowych trybow 
                                      //trzeba ja uaktualniac
    final static int DEFAULT      = DM;
    
    /**Pliki z opisem danego typu gry sieciowej, jesli taki plik znajduje sie w 
     * katalogu z mapa gry, to ten typ gry jest dla tej mapy dostepny, a zapisane w nim
     * parametry sa odczytywane
     */
    final static String sm_aScriptFileName[] = new String[]{
                                                 "DM.scr",//DEATHMATCH
                                                 "TDM.scr",//TEAMDEATHMATCH
                                                 "CTF.scr",//CTF
                                                 "SMD.scr",//SMD
                                                 "TD.scr",//TD
                                                 "SMTD.scr",//SMTD
                                                 "TTD.scr",//TTD 
                                                 "ASSAULT.scr"//ASSAULT
                                                 };
    
    final static String sm_aGameName[] = new String[]{
                                                 "&NetGameNameDM&",//DEATHMATCH
                                                 "&NetGameNameTDM&",//TEAMDEATHMATCH
                                                 "&NetGameNameCTF&",//CTF
                                                 "&NetGameNameSMD&",//SMD
                                                 "&NetGameNameTD&",//TD
                                                 "&NetGameNameSMTD&",//SMD
                                                 "&NetGameNameTTD&",//TD
                                                 "&NetGameNameASSAULT&"//ASSAULT
                                                 };
    
    final static String sm_aGameName_NL[] = new String[]{
                                                 "Death Match",//DEATHMATCH
                                                 "Team Death Match",//TEAMDEATHMATCH
                                                 "Capture The Flag",//CTF
                                                 "Single Man Domination",//SMD
                                                 "Team Death Match",//TD
                                                 "Single Man Total Domination",//SMD
                                                 "Team Total Domination",//TD
                                                 "Assault"//ASSAULT
                                                 };
    
    final static String sm_aGameNameShort[] = new String[]{
                                                 "&NetGameNameShortDM&",//DEATHMATCH
                                                 "&NetGameNameShortTDM&",//TEAMDEATHMATCH
                                                 "&NetGameNameShortCTF&",//CTF
                                                 "&NetGameNameShortSMD&",//SMD
                                                 "&NetGameNameShortTD&",//TD
                                                 "&NetGameNameShortSMTD&",//SMTD
                                                 "&NetGameNameShortTTD&",//TTD
                                                 "&NetGameNameShortASSAULT&"//ASSAULT
                                                 };
    
    final static String sm_aGameNameShort_NL[] = new String[]{
                                                 "DM",//DEATHMATCH
                                                 "TDM",//TEAMDEATHMATCH
                                                 "CTF",//CTF
                                                 "SMD",//SMD
                                                 "TD",//TD
                                                 "SMTD",//SMTD
                                                 "TTD",//TTD
                                                 "ASSAULT"//ASSAULT
                                                 };
    
    final static String sm_aGameInfoClassName[] = new String[]{
                                                 "NetGameInfoDM",//DEATHMATCH
                                                 "NetGameInfoTDM",//TEAMDEATHMATCH
                                                 "NetGameInfoCTF",//CTF
                                                 "NetGameInfoSMD",//SMD
                                                 "NetGameInfoTD",//TD
                                                 "NetGameInfoSMTD",//SMTD
                                                 "NetGameInfoTTD",//TTD    
                                                 "NetGameInfoASSAULT"//ASSAULT
                                                 };
    
    final static String sm_aMenuGameSettingsClassName[] = new String[]{
                                                 "MenuNetGameSettingsDM",//DEATHMATCH
                                                 "MenuNetGameSettingsTDM",//TEAMDEATHMATCH
                                                 "MenuNetGameSettingsCTF",//CTF
                                                 "MenuNetGameSettingsSMD",//SMD
                                                 "MenuNetGameSettingsTD",//TD
                                                 "MenuNetGameSettingsSMTD",//SMTD
                                                 "MenuNetGameSettingsTTD",//TTD
                                                 "MenuNetGameSettingsASSAULT"//ASSAULT
                                                 };
    
    final static String sm_aHudNetClassName[] = new String[]{
                                                 "HUDNetStatisticsDM",//DEATHMATCH
                                                 "HUDNetStatisticsTDM",//TEAMDEATHMATCH
                                                 "HUDNetStatisticsCTF",//CTF
                                                 "HUDNetStatisticsSMD",//SMD
                                                 "HUDNetStatisticsTD",//TD
                                                 "HUDNetStatisticsSMTD",//SMTD
                                                 "HUDNetStatisticsTTD",//TTD  
                                                 "HUDNetStatisticsASSAULT"//ASSAULT
                                                 };
    
    final static String sm_aPlayerClassName[] = new String[]{
                                                 "PlayerNet",//DEATHMATCH
                                                 "PlayerNet",//TEAMDEATHMATCH
                                                 "PlayerNetCTF",//CTF
                                                 "PlayerNetSMD",//SMD
                                                 "PlayerNetTD",//TD
                                                 "PlayerNetSMD",//SMTD
                                                 "PlayerNetTD",//TTD  
                                                 "PlayerNet"//ASSAULT
                                                 };
    
    final static String sm_aHudMapClassName[] = new String[]{
                                                 "HUDMapNet",//DEATHMATCH
                                                 "HUDMapTeam",//TEAMDEATHMATCH
                                                 "HUDMapCTF",//CTF
                                                 "HUDMapSingleDomination",//SMD
                                                 "HUDMapTeamDomination",//TD
                                                 "HUDMapSingleDomination",//SMTD
                                                 "HUDMapTeamDomination",//TTD  
                                                 "HUDMapASSAULT"//ASSAULT
                                                 };
    final static String sm_aHudCompassClassName[] = new String[]{
                                                 "HUDCompassNet",//DEATHMATCH
                                                 "HUDCompassNet",//"HUDCompassTeam",//TEAMDEATHMATCH
                                                 "HUDCompassNet",//"HUDCompassCTF",//CTF
                                                 "HUDCompassNet",//"HUDCompassSingleDomination",//SMD
                                                 "HUDCompassNet",//"HUDCompassTeamDomination",//TD
                                                 "HUDCompassNet",//"HUDCompassSingleDomination",//SMTD
                                                 "HUDCompassNet",//"HUDCompassTeamDomination",//TTD  
                                                 "HUDCompassNet",//"HUDCompassASSAULT"//ASSAULT
                                                       };
    final static String sm_aGameStatusMsgManagerClassName [] = new String[]{
                                                 "GameStatusMsgMngrIndividual",//DEATHMATCH
                                                 "GameStatusMsgMngrTeam",//TEAMDEATHMATCH
                                                 "GameStatusMsgMngrCTF",//CTF
                                                 "GameStatusMsgMngrSMD",//SMD
                                                 "GameStatusMsgMngrTD",//TD
                                                 "GameStatusMsgMngrSMTD",//SMTD
                                                 "GameStatusMsgMngrTTD",//TTD  
                                                 "GameStatusMsgMngrASSAULT"//ASSAULT
                                                 };
    
    // nazwa pliku skryptowego zawierajacego informacje o grze wybranego trybu
    static String GetScriptFileName(int nGameType)
    {
        return GetString( sm_aScriptFileName, nGameType );
    }
    
    // nazwa pliku zawierajacego GameSettings wybranego trybu
    static String GetCustomScriptFileName(int nGameType)
    {
        String sScriptFile = GetString( sm_aScriptFileName, nGameType );
        int    nExt        = sScriptFile.indexOf(".scr");
        return sScriptFile.substring( 0,nExt ) + ".dat";
    }
    
    // zlokalizowana nazwa wybranego trybu gry
    static String GetGameName(int nGameType)
    {
        return Text.Get( GetString( sm_aGameName, nGameType ) );
    }
    
    // nie zlokalizowana nazwa wybranego trybu gry
    static String GetGameName_NL(int nGameType)
    {
        return Text.Get( GetString( sm_aGameName_NL, nGameType ) );
    }
    
    // skrocona zlokalizowana nazwa wybranego trybu gry
    static String GetGameNameShort(int nGameType)
    {
        return Text.Get( GetString( sm_aGameNameShort, nGameType ) );
    }
    
    // skrocona niezlokalizowana nazwa wybranego trybu gry
    static String GetGameNameShort_NL(int nGameType)
    {
        return Text.Get( GetString( sm_aGameNameShort_NL, nGameType ) );
    }
    
    // nazwa klasy zawierajacej game info dla wybranego trybu
    static String GetGameInfoClassName(int nGameType)
    {
        return GetString( sm_aGameInfoClassName, nGameType );
    }
    
    // nazwa klasy zawierajacej menu game settings dla wybranego trybu
    static String GetMenuGameSettingsClassName(int nGameType)
    {
        return GetString( sm_aMenuGameSettingsClassName, nGameType );
    }
    
    // nazwa klasy zawierajacej HUDa dla wybranego trybu
    static String GetHudNetClassName(int nGameType)
    {
        return GetString( sm_aHudNetClassName, nGameType );
    }
     
    // nazwa klasy zawierajacej playera dla wybranego trybu
    static String GetPlayerClassName(int nGameType)
    {
        return GetString( sm_aPlayerClassName, nGameType );
    }
    
    // nazwa klasy zawierajacej huda z mapa dla wybranego trybu
    static String GetHudMapClassName(int nGameType)
    {
        return GetString( sm_aHudMapClassName, nGameType );
    }
    
    // nazwa klasy zawierajacej huda kompasu dla wybranego trybu
    static String GetHudCompassClassName(int nGameType)
    {
        return GetString( sm_aHudCompassClassName, nGameType );
    }
    
    // nazwa klasy zawierajacej manager komunikatow o stanie gry
    static String GetGameStatusMsgManagerClassName(int nGameType)
    {
        return GetString( sm_aGameStatusMsgManagerClassName, nGameType );
    }
    
    static String GetString( String[] aStrings, int nElement )
    {
        if ( aStrings == null || aStrings.length  < TYPES_COUNT )
        {
            GameObject.CrashLog(" Tablica "+aStrings+" nie jest zdefiniowana prawidlowo!\n");
            Thread.dumpStack();
            return null;
        }
        
        if ( nElement < 0 || nElement >= TYPES_COUNT )
        {
            GameObject.CrashLog(" Element "+nElement+" poza mozliwym zakresem tablicy "+aStrings+"\n");
            nElement = 0;
        }
        return aStrings[ nElement ];
    }
    
    
    static NetGameSettings NewGameSettings(int nGameType)
    {
        NetGameSettings cGameSettings = null;
        switch( nGameType )
        {
        case DM:        cGameSettings = new NetGameSettingsDM(); break;
        case TDM:       cGameSettings = new NetGameSettingsTDM(); break;
        case CTF:       cGameSettings = new NetGameSettingsCTF(); break; 
        case SMD:       cGameSettings = new NetGameSettingsSMD(); break;  
        case TD:        cGameSettings = new NetGameSettingsTD(); break; 
        case SMTD:      cGameSettings = new NetGameSettingsSMTD(); break;  
        case TTD:       cGameSettings = new NetGameSettingsTTD(); break;                         
        case ASSAULT:   cGameSettings = new NetGameSettingsASSAULT(); break; 
        default:        cGameSettings = new NetGameSettings(); 
        }
        cGameSettings.SetGameType( nGameType );
        return cGameSettings;                       
    }
    
    static VoiceManager NewVoiceManager(int nGameType)
    {
        VoiceManager cVoiceManager = null;
        if ( IsTeamGameType( nGameType ) )
        {
            cVoiceManager = ( nGameType == CTF ) ?
                            new VoiceManagerCTF() :
                            new VoiceManager(); 
        }   
        return cVoiceManager;
    }
    
    static boolean IsTeamGameType(int nGameType)
    {
        boolean bTeam = false;
        switch ( nGameType )
        {
            case TDM:
            case CTF:
            case TD: 
            case TTD:
            case ASSAULT:
            bTeam = true;
            break;
            
            default:
            bTeam = false;
        }
        return bTeam;
    }

    static int GetGameTypeIdByShortName( String sGameType )
    {
        if ( ! NetGameTools.IsStringValid( sGameType ) )
            return UNKNOWN;
        
        if ( sm_aGameNameShort == null )
            return UNKNOWN;
            
        for ( int i=0; i<sm_aGameNameShort.length; ++i )
        {
            String sShortGameName =  GetGameNameShort( i );
            if ( sShortGameName.equalsIgnoreCase( sGameType ) )
                return i;
            if ( sShortGameName.equalsIgnoreCase( "[" + sGameType + "]" ) )
                return i;
        }
        return UNKNOWN;
    }
}
