public class AIControllerWalkerLight extends AIControllerWalker
{
    public void UpdateShootDecision()
    {
        if (!m_bIsShooting)
        {
            if (GetTime() > m_fNextShootTime)
            {
                // sprawdzamy, czy widac przeciwnika
                if (m_cActiveEnemy != null 
                    && GetActiveEnemyDistance2() < m_fWeaponEffectiveRange2)
                {
                    Vector vTargetPos = m_cActiveEnemy.GetPointToLookAt(0);
                    if ( (vTargetPos != null) && SharpAngleToShoot(vTargetPos) &&
                         (ActiveEnemyVisibleFromGun()) )
                    {
                        CallMethodOnceIn(METHOD_Fire, 0); // widac wroga, mozemy strzelac
                    }
                }
            }
        }
        else
        {
            if (m_cActiveEnemy != null)
            {
                Vector vTargetPos = m_cActiveEnemy.GetPointToLookAt(0);
                if (vTargetPos != null)
                {
                    if (!SharpAngleToShoot(vTargetPos))
                        FireDone();
                    else
                    {
                        if (!m_MeshAI.CheckTraceAbsolute(m_cActiveEnemy,
                                                         m_MeshAI.GetFireOrigin(),
                                                         vTargetPos))
                            FireDone(); // nie widac wroga
                    }
                }
            }
        }
    }
}
