/** generator odsiewajacy wszystkie scenariusze zwiazane z poruszaniem sie */
public class CanMove extends Generator
{
	CanMove(AIController controller)
	{
		super(controller);

        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(GotoHideout._ID);
        m_GenScenarios.ClearBit(GotoHideoutShoot._ID);
        m_GenScenarios.ClearBit(IdleWalk._ID);
        m_GenScenarios.ClearBit(LookForEnemy._ID);
        m_GenScenarios.ClearBit(ReactOnSuspectSpotted._ID);
        m_GenScenarios.ClearBit(RetreatShoot._ID);
        m_GenScenarios.ClearBit(RunAway._ID);
        m_GenScenarios.ClearBit(RunStraightAheadShoot._ID);
        m_GenScenarios.ClearBit(RunToExamineBody._ID);
        m_GenScenarios.ClearBit(RunZigZagShoot._ID);
        m_GenScenarios.ClearBit(StrafeShoot._ID);
	}
	
	void UpdateScenarios()
	{
		super.UpdateScenarios();

        NewAI mesh = m_Controller.GetMesh();
		if (mesh.m_GuardedObject != null &&
            mesh.m_fGuardedAreaRadius <= 100)
        {
#if AI_DEBUG        
            DebugUtils.AddLog(m_Controller.m_MeshAI, " Can't move");
#endif            
            m_CurrScenarios.Set(m_GenScenarios);
        }
        else
            m_CurrScenarios.SetAllBits();

#if AI_DEBUG        
            DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
	}
}
