/** generator odsiewajacy wszystkie scenariusze zwiazane ze strzelaniem */
public class CanShoot extends Generator
{
	CanShoot(AIController controller)
	{
		super(controller);

        m_GenScenarios.SetAllBits();
//        m_GenScenarios.ClearBit(FallDownToShoot._ID);
        m_GenScenarios.ClearBit(GotoHideoutShoot._ID);
        m_GenScenarios.ClearBit(DuckShoot._ID);             
        m_GenScenarios.ClearBit(RunStraightAheadShoot._ID); 
        m_GenScenarios.ClearBit(RunZigZagShoot._ID);        
        m_GenScenarios.ClearBit(StrafeShoot._ID);                    
        m_GenScenarios.ClearBit(GoAfterObjectShoot._ID);
        m_GenScenarios.ClearBit(AttackFromHideout._ID);
        m_GenScenarios.ClearBit(StandShoot._ID);
		m_GenScenarios.ClearBit(RetreatShoot._ID);
	}
	
	void UpdateScenarios()
	{
		super.UpdateScenarios();

		if ( (m_Controller.GetActiveWeapon() != null) &&
			 (m_Controller.GetActiveWeaponAmmo() > 0) &&
             (m_Controller.GetActiveEnemy() != null) &&
			 (m_Controller.ActiveEnemyVisibleFromGun() || 
              m_Controller.CanAttackFromCurrentHideout() ||
              (m_Controller.GetValidFiringPositions() != 0)) ) // ma jakies pozycje, z ktorych moze strzelac (nie ma pobliskich przeszkod)
		{
            // jesli mamy bron, amunicje, przeciwnika
            // i mozemy trafic przeciwnika normalnie lub zza hideouta
			m_CurrScenarios.SetAllBits();

            if (!m_Controller.IsValidFiringPosition(AIController._FIRINGPOS_DUCK | AIController._FIRINGPOS_DUCK_AIMING))
            {
#if AI_DEBUG        
                DebugUtils.AddLog(m_Controller.m_MeshAI, " Can't duck (firing pos)");
#endif                
//                m_CurrScenarios.ClearBit(FallDownToShoot._ID);
                m_CurrScenarios.ClearBit(DuckShoot._ID);             
            }
		}
		else
		{
#if AI_DEBUG        
            DebugUtils.AddLog(m_Controller.m_MeshAI,
                              " GetActiveWeapon():" + m_Controller.GetActiveWeapon() +
                              ", GetActiveWeaponAmmo():" + m_Controller.GetActiveWeaponAmmo() +
                              ", ActiveEnemyVisibleFromGun():" + m_Controller.ActiveEnemyVisibleFromGun() +
                              ", CanAttackFromCurrentHideout():" + m_Controller.CanAttackFromCurrentHideout());
#endif            
			m_CurrScenarios.Set(m_GenScenarios);
		}
		
#if AI_DEBUG        
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
	}
}
