/** generator filtrujacy scenariusze gdy slychac strzal przeciwnika */
public class NoiseShotEnemy extends Generator
{
    NoiseShotEnemy(AIController controller)
    {
        super(controller);

        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(RunToExamineBody._ID);
        m_GenScenarios.ClearBit(RunStraightAheadShoot._ID);                
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();
        
        if (m_Controller.JustHeardEnemyShot())
        {
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, "JustHeardShot()");
#endif
            m_CurrScenarios.Set(m_GenScenarios);
        }
        else
        {
            m_CurrScenarios.SetAllBits();
        }
        
#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}