public class LookAroundAlarmed_Animal extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;
    
	void PrepareScenario(AIController ai)
	{
        Vector vNoisePos = null;
        
        if (ai.JustHeardEnemySteps() && ai.m_vLastHeardEnemyStepsPos != null)
        {
            vNoisePos = new Vector(ai.m_vLastHeardEnemyStepsPos);
        }
        else if (ai.m_vLastPassageEnemyNoisePos != null &&
                 !ai.TimePassed(ai.m_fLastPassageEnemyNoiseTime, ai._VERY_LONG_SOUND_IMPORTANCE_TIME, ai.GetTime()))
        {
            vNoisePos = new Vector(ai.m_vLastPassageEnemyNoisePos);
        }
        else if (ai.IsValidLastHeardEnemyShotPos())
        {
            vNoisePos = new Vector(ai.GetLastHeardEnemyShotPos());
        }
        
        if (vNoisePos != null)
            ai.AddTask(new TaskTurnAtPos(vNoisePos));
        ai.AddTask(new TaskPlayAnim(AIAnimationsAnimal.A_IDLE_LOOK));
        
        super.PrepareScenario(ai);
	}
	
    public String toString()
    {
        return "LAA";
    }
    // pt:. -------------   TESTY -----------  
    int GetID()
    {
        return _ID;   
    }        
}
