public class EditorPlayRandomAnims extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;

    static int init = _EDITOR_SCENARIOS.SetBit(_ID);

	void PrepareScenario(AIController ai)
	{
		if (ai.GetCurrBehavior() == null)
		{
			ai.CrashLog("EditorPlayAnim: ai.GetCurrBehavior() == null !!!\n"); 
			return;
		}
        
        ai.AddTask(new TaskTrackingStop());
        ai.AddTask(new TaskStopFire());        
        ai.AddTask(new TaskPlayRandomAnims(((bhv_PlayRandomAnim) ai.GetCurrBehavior()).aAnims));

        super.PrepareScenario(ai);        
    }

    public String toString()
    {
        return "EPRA";
    }
    
    int GetID()
    {
        return _ID;   
    }    
}
