public class StandShoot_W extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;
    
	void PrepareScenario(AIController ai)
	{
        ChromeActor cEnemy = null;
		cEnemy = ai.GetActiveEnemy();
        
        ai.AddTask(new TaskMotionStateChange(MotionState.SPEED_WALK));
       
        if (cEnemy != null)
        {
            ai.AddTask(new TaskTrackingStart(cEnemy));
            ai.AddTask(new TaskStartFire());
            ai.AddTask(new TaskWait(GameObject.RandomFloat(1, 3)));
            ai.AddCleaningTask(new TaskStopFire());
            ai.AddCleaningTask(new TaskTrackingStop());
        }
        else
            ai.AddTask(new TaskWait(GameObject.RandomFloat(1, 2)));
        
        super.PrepareScenario(ai);
	}            
    
    public String toString()
    {
        return "StnS";
    }
    
    int GetID()
    {
        return _ID;   
    }    
}
