public class TaskEnableBiting extends Task
{
    boolean m_bEnabled;
    float m_fDelay;
    
    public TaskEnableBiting()
    {
        this(true);
    }
    
    public TaskEnableBiting(boolean bEnable)
    {
        m_bEnabled = bEnable;
        m_fDelay = 0;
    }

    
    public TaskEnableBiting(float fDelay)
    {
        m_bEnabled = true;
        m_fDelay = fDelay;
    }

    public void Perform()
    {
        super.Perform();
        
        ((NewAIAnimal)m_cAI.GetMesh()).StartBitig(m_bEnabled, m_fDelay);
        m_cAI.Notify(AIEvents._NOTICE_END_TASK);
	}
	
    public void ServeNotice(int nNotice)
    {
        super.ServeNotice(nNotice);
        switch(nNotice)
		{
		    case AIEvents._NOTICE_TASK_TIME_PASSED:
    		break;            
		}
    }	 
    
    public String toString()
    {
        return "EnableBiting(" + m_bEnabled + ")";
    }
    
    
    //*********************************************************
    //					SaveGame
    //*********************************************************
    
/*
    public void SGLoadChunk(FileChunk cParentFC)
    {	
        FileChunk.Log("[TaskScream.SGLoadChunk]\n");
        
        FileChunk cFC = GameObject.LoadChunk(cParentFC);   
        
        if (cFC.GetID() == ESGChunksChrome._CHK_TASK_SCREAM)
        {
            super.SGLoadChunk(cFC);
        }
        
        cFC.delete();
    }
    
    public void SGSaveChunk(FileChunk cFCParent)
    {
        FileChunk.Log("[TaskScream.SGSaveChunk]\n");
        
        FileChunk cFC = GameObject.NewChunk(ESGChunksChrome._CHK_TASK_SCREAM, cFCParent);
        
        super.SGSaveChunk(cFC);

        cFC.delete(); 
    }				
    
    public void SGUpdate()
    {
        FileChunk.Log("[TaskScream.SGUpdate]\n");
        super.SGUpdate();
        //
    }
*/
}
