public class TaskCannonControl extends Task
{
    public void Perform()
    {
        SetUpdating(0.1f);
        
        super.Perform();

        /** Wylaczenie fizyki - inaczej trudno jest zatrzymac nakierowywanie obiektu na
         *  kierunek (patrz opis ClearDestinationDir w TaskDriveStop */
        m_cAI.GetMesh().SetPhysicsActive(false);
        m_cAI.GetMesh().m_bHitReactionDisabled = true;
    }

	void Update()
	{
        super.Update();
	}
    
    void OnEndTask()
    {
        super.OnEndTask();
        
        m_cAI.GetMesh().SetPhysicsActive(true);
        m_cAI.GetMesh().m_bHitReactionDisabled = false;
        m_cAI.GetMesh().ClearDestinationDir();
        m_cAI.GetMesh().SetAngSpeed(0);
    }
}
