public class PatrolNode 
{
    /** Znaczenia flag punktow patrolowych
     */

    /** Do nastepnego punktu bez pathfindera (w budynkach itp)*/
    final static int _PNF_NOPATHFINDER  = 1;
    
    /** punkt do ktorego ma dojsc AI */
	public Vector vPosition;
    
    /** promien punktu wedlug ktorego ustala sie czy AI jest w tym punkcie */
    float fRadius = 100.0f;
    
    /** sposob poruszania sie na kolejnym odcinku drogi */
    byte iSpeed = MotionState.SPEED_WALK;
    
    /** Znaczniki dla punktu patrolowego: suma bitowa stalych _PNF_...
     */
    int nFlags = 0;
        
    /** Czas jaki AI ma stac w punkcie, gdy =0 to nie czeka tylko idzie dalej */
    float fStopTimeInterval = 0.0f;
    
    /** Nazwa metody, ktora ma byc zawolana po dojsciu do punktu patrolowego;
     *  <br>Metoda MUSI ISTNIEC I BYC PUBLICZNA!!!
     *  <br>Jesli <code>null</code> to nie jest wolane nic
     */
    String sFunctionName = null;
    
    PatrolNode(MapInputStream cStream) throws java.io.IOException
	{
		vPosition = new Vector(cStream);
	}
     
}
