public class ChromeGameRunInfo
{
    //czy pokazywac menu z wyborem leveli
    static boolean s_bShowLevelsMenu = false;
    
    //czy pokazywac cheaterskie menu z wyborem leveli
    static boolean s_bShowCheatLevelsMenu = false;
	
	//czy po zaladowaniu levelu zapisac stan uzycia pamieci i wrocic do menu
	static boolean s_bAutoReloadingLevels = false;
	
	//ile razy przeladowac dany level
	static int s_iHowManyTimesPreloadLevel = 0;
    
    //czy ladowac sterowke w menu
    static boolean s_bLoadMenu3dScene = true;

    //czy pomijac filmiki i briefingi przed misjami
    static boolean s_bSkipCutscenes = false;
    
    static void LoadRunInfo(String sFile)
    {
        ParseKeyword Root=GameObject.ParseFile(sFile);
		
        if (Root==null)
        {
            GameObject.CrashLog("No run-info file <"+sFile+"> !\n");
			return;
        }
		
        ParseKeyword Key, SubKey;
        for (Key=Root; Key!=null; Key=Key.GetNext())
        {
			if (Key.Equals("SaveGame"))
			{
				if (Key.GetSParam(0).compareTo("LogR") == 0)
				{
					FileChunk.SetActiveLog(FileChunk._LOGTYPE_LOGR);
				}
                else if (Key.GetSParam(0).compareTo("CrashLog") == 0)
				{
					FileChunk.SetActiveLog(FileChunk._LOGTYPE_CRASHLOG);
				}
				else
				{
					FileChunk.SetActiveLog(FileChunk._LOGTYPE_NONE);
				}
			}
            else
            if (Key.Equals("ShowLevelsMenu"))
			{
				s_bShowLevelsMenu = true;
			}
            else
            if (Key.Equals("Cheats"))
            {
                Game.cSingleton.bCheats = true;
            }
			else
			if(Key.Equals("AutoPreloadLevels"))
		    {
				s_bAutoReloadingLevels = true;
				s_iHowManyTimesPreloadLevel = Key.GetIParam(0);
			}
			else
            if (Key.Equals("ShowCheatLevelMenu"))
            {
                s_bShowCheatLevelsMenu = true;
            }
            else
            if (Key.Equals("DontLoadMenu3dScene"))
            {
                s_bLoadMenu3dScene = false;
            }
            else
            if (Key.Equals("SkipCutscenes"))
            {
                s_bSkipCutscenes = true;
            }
                    
		}		
		
		Root.delete();
	}	
}
