public class EMaterialType
{
    final static byte _GROUND   = 0;
    final static byte _WOOD     = 1;
    final static byte _METAL    = 2;
    final static byte _PLASTIC  = 3;
    final static byte _GLASS    = 4;
    final static byte _CONCRETE = 5;
    final static byte _PLEXI    = 6;
    final static byte _BODY     = 7;
    final static byte _ARMOR    = 8;
    final static byte _WATER    = 9;
    
    static String GetMaterialName(int nMat)
    {
        switch (nMat)
        {
        case _GROUND:
            return "_GROUND";
        case _WOOD:
            return "_WOOD";
        case _METAL:
            return "_METAL";
        case _PLASTIC:
            return "_PLASTIC";
        case _GLASS:
            return "_GLASS";
        case _PLEXI:
            return "_PLEXI";
        case _CONCRETE:
            return "_CONCRETE";
        case _BODY:
            return "_BODY";
        case _ARMOR:
            return "_ARMOR";
        default:
            return "UNKNOWN";
        }
    }
}
