
public class FXBlood extends FX 
{
    
    FXBlood()
    {   
        TraceClipped("plama");
        //Trace("plama");
        {
            Texture("FXTexBloodPlama");
            Texture("FXTexBloodPlama2");
            Texture("FXTexBloodPlama3");
            Texture("FXTexBloodPlama4");
            BlendMode(_BLEND_MUL);
            TowardsToCamera(0);
            Alpha();
            {
                v(1);
                v(0);
            }
            RandomRotation();
            {
                v(0,0,0);
                v(0,0,140);
            }
            
            RandomSize();
            {
                v(7,35);
                
            }
            Duration(200000);
            
            
        }
        
        TraceProjected("TraceBlood");
        {
            Texture("FXTexBloodPlama");
            Texture("FXTexBloodPlama2");
            Texture("FXTexBloodPlama3");
            Texture("FXTexBloodPlama4");
            BlendMode(_BLEND_MUL);
            TowardsToCamera(0);
            Alpha();
            {
                v(1);
                v(0);
            }
            RandomRotation();
            {
                v(0,0,0);
                v(0,0,140);
            }
            
            RandomSize();
            {
                v(5,30);//zeby rozmiary efektu w X i Y byly takie same
                /*
                v(10,10);
                v(60,60);
                */
            }
            Duration(200000);
            
        }
        
        
        
        
        Sequence("FXBlood");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexBlood");
                
                Position();
                {
                    v(0,0,0);    
                }
                
                RandomSize();
                {
                    v(7,17);     
                }
                Duration(100);
                
                RandomRotation();
                {
                    v(0,0,0); 
                    v(0,0,360); 
                }

                Alpha();
                {
                    v(1);     
                }
                BlendMode(_BLEND_MUL);    
            }
            
            ParticleSystem("FXBlood");
            {
                EmiterSize(3,3);
                EmiterLifeTime(3000);
                EmiterParticleCount(7);
                EmiterContinuous(0);
                ParticleDirVariation(130,130);
                ParticleRandomVelocity(500,800);
                ParticleLifeTime(3000);
                ParticleMass(0.7f);
                ParticleForce(_GRAVITY);
                ParticleTrailLength(3);
                ParticleTrailWidth(3);
                ParticleTrailTexture("FXTexBloodKropla");
                ParticleTrailBlendMode(_BLEND_MUL);		
                
                Particle(_PARTICLE_QUAD);
                {
                    Texture("FXTexBloodKropla");
                    BlendMode(_BLEND_MUL);
                    TowardsToCamera(1);
                    Size();
                    {
                        v(1,1);
                    }
                    Rotation();
                    {
                        v(0,0,0);      
                    }
                }
                
                ParticleTrace("plama");
                ParticleTraceLinkToObject(1);
            }
            
        }
		
		
		
		/////////////////////////////////////////////////////////////////////
		
		Sequence("FXBloodMultiplayer");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexMultiblood");
                
                Position();
                {
                    v(0,0,0);    
                }
                
                RandomAnimSize();
                {
                    v(20,25); 
					v(40,50);
                }
                Duration(170);
                
                RandomRotation();
                {
                    v(0,0,0); 
                    v(0,0,360); 
                }

                Alpha();
                {
                    v(1);     
                }
                BlendMode(_BLEND_MIX);    
            }
		}
		
        ParticleSystem("FXBloodMultiplayer");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1500);
            EmiterParticleCount(15);
            EmiterContinuous(0);
            ParticleDirVariation(150,150);
            ParticleRandomVelocity(400,900);
            ParticleLifeTime(1500);
            ParticleMass(0.7f);
            ParticleForce(_GRAVITY);
            
                
            Particle(_PARTICLE_QUAD);
            {
                Texture("FXTexMultikropla");
                BlendMode(_BLEND_MIX);
                TowardsToCamera(1);
                RandomSize();
                {
                    v(2,6);
                }
                RandomRotation();
                {
                    v(0,0,0);
					v(0,0,360);
                }
            }
                
            ParticleTrace("plama");
            ParticleTraceLinkToObject(1);
        }
    }
}
