public class FXDemolitions extends FX
{
    static float fDemCrateSeqDuration = 7000f;

	FXDemolitions()
    {
        
        Sequence("FXBlowAmmo");
        {
            SeqDuration(7000);
            Expl();
            {
                Texture("FlareTex2");  //OSLEPIENIE
                Duration(200);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(500,500);
                }
                Position();
                {
                    v(0,0,0);
                }
                Alpha ();
                {
                    v(1);
                    v(0);
                    
                }
                //DepthTestDisable();
                
            }
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(400);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(200,200);
                    v(350,350);
                }
                Position();
                {
                    v(0,6,0);
                    v(0,9,0);
                }
                Alpha();
                {
                    v(1);
                    v(0);
                    
                }
            }
            
            
            Delay(50);
            
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(700);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(100,100);
                    v(400,400);
                }
                Position();
                {
                    v(2,9,0);
                    v(2,12,0);
                }
                Alpha();
                {
                    v(1);
                    v(0);
                    
                }
            }
            
            Delay(50);
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(800);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(100,100);
                    v(350,350);
                }
                Position();
                {
                    v(-2,12,0);
                    v(-2,14,0);
                }
                Alpha();
                {
                    v(1);
                    v(0);
                    
                }
            }
            
            
            
            
            Expl();
            {
                Texture("FXTexBlackSmoke");
                Duration(3700);
                BlendMode(_BLEND_MIX);
                //DepthTestDisable();
                Size();
                {
                    v(50,50);
                    v(120,120);
                }
                Position();
                {
                    v(0,0,0);
                    v(0,30,0);
                }
                Alpha();
                {
                    
                    v(0);
                    v(1);
                    v(0.5f);
                    v(0);
                }
                
            }
            
            Delay(300);
            
            Expl();
            {
                Texture("FXTexBlackSmoke");
                Duration(4300);
                BlendMode(_BLEND_MIX);
                //DepthTestDisable();
                Size();
                {
                    v(30,30);
                    v(90,90);
                }
                Position();
                {
                    v(0,30,0);
                    v(0,64,0);
                }
                Alpha ();
                {
                    v(0);
                    v(1);
                    v(0.5f);
                    v(0);
                    
                }
            }
            
            ParticleSystem("FXBlowAmmo");
            {
                EmiterSize(3,3);
                EmiterLifeTime(900);
                
                EmiterParticleCount(10);
                
                EmiterContinuous(0);
                ParticleDirVariation(90,90);
                ParticleRandomVelocity(300,1900);
                ParticleLifeTime(500);
                ParticleMass(0.6f);
                ParticleForce(_GRAVITY);
                
                TailRepeat(13);
                
                ParticleTail();
                {    
                    Duration(150);
                    Texture("FXTexParticleSmoke");
                    TextureRepeat(1);		 
                    RandomRotation();
                    {
                        v(0,0,0);
                        v(0,0,100);
                    }
                    
                    Position();
                    {
                        v(0,0,0);
                        v(0,5,0);
                    }
                    
                    Alpha();
                    {
                        v(1);
                        
                        v(0);
                    }
                    Size();
                    {
                        v(3,3);    
                        v(15,15);
                        v(23,23);
                        
                    }
                    BlendMode(_BLEND_MIX);
                    
                }   


                Particle(_PARTICLE_QUAD);
                {
                    Texture("FXTexIskra");
                    BlendMode(_BLEND_ADD);
                    TowardsToCamera(1);
                    
                    RandomSize();
                    {
                        v(4,7);
                    }
                    
                    
                }
            }
        }
		
		
		/////////////////////////////////////////////////////////////////
        
		Sequence("FXDemolishCrate");
		{
			float fSize = 1.5f;
			
			SeqDuration(5000);
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(100);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(900,900);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
			}
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				
				Size();
				{
					v(200,200);
					v(600,600);
				}
				Position();
				{
					v(0,0,0);
					v(0,150,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(1);
					v(1);
					v(1);
					v(1);
					v(1);
					v(0.5f);
					v(0.4f);
					v(0.3f);
					v(0.2f);
					v(0.1f);
					v(0);
				}
				
			}
			
			Delay(100);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				
				Size();
				{
					v(100,100);
					v(450,450);
				}
				Position();
				{
					v(0,100,0);
					v(0,240,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(1);
					v(1);
					v(1);
					v(1);
					v(1);
					v(0.5f);
					v(0.4f);
					v(0.3f);
					v(0.2f);
					v(0.1f);
					v(0);
					
				}
			}
			
						
			ParticleSystem("FXDemolishCrate");
			{
				EmiterSize(3,3);
				EmiterLifeTime(3000);
				
				EmiterParticleCount(18);
				
				EmiterContinuous(0);
				ParticleDirVariation(180,180);
				ParticleRandomVelocity(500,2100);
				ParticleLifeTime(3000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexDecha");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(0);
					
					RandomSize();
					{
						v(10,110);
					}
					
					
					Alpha();
					{
						v(1);
						v(1);
						v(0);
					}
					
					RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(4000,6000,6500);
					}            
				}
				
				Trace("FXDemolishCrate");
				{   
					Duration(1000000);
					Texture("FXTexGroundGrenadeTrace");
					TextureRepeat(1);
					Size();
					{
						v(130,130);
					}
					Alpha();
					{
						v(1);
					}
				}
			}
		}
		
		


        
        
//---------------------------------------------------------------------------
		
		
        Sequence("FXBlowBox");
		{
			float fSize = 1.5f;
			
			SeqDuration(5000);
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(100);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(900,900);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
			}
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				
				Size();
				{
					v(300,300);
					v(600,600);
				}
				Position();
				{
					v(0,0,0);
					v(0,150,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(1);
					v(1);
					v(1);
					v(1);
					v(1);
					v(0.5f);
					v(0.4f);
					v(0.3f);
					v(0.2f);
					v(0.1f);
					v(0);
				}
				
			}
			
			Delay(100);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				
				Size();
				{
					v(250,250);
					v(450,450);
				}
				Position();
				{
					v(0,100,0);
					v(0,240,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(1);
					v(1);
					v(1);
					v(1);
					v(1);
					v(0.5f);
					v(0.4f);
					v(0.3f);
					v(0.2f);
					v(0.1f);
					v(0);
					
				}
			}
						
			ParticleSystem("FXBlowBox");
			{
				EmiterSize(3,3);
				EmiterLifeTime(2000);
				
				EmiterParticleCount(16);
				
				EmiterContinuous(0);
				ParticleDirVariation(130,130);
				ParticleRandomVelocity(500,1200);
				ParticleLifeTime(2000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexBoxPart");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(0);
					
					RandomSize();
					{
						v(10,90);
					}
					
					
					Alpha();
					{
						v(1);
						v(1);
						v(0);
					}
					
					RandomRotationFactor( 0.2f, 1.0f ); 
					Rotation();
					{
						v(0,0,0); 
						v(2000,3000,3250);
					}            
				}
				
			}
		}
		
//---------------------------------------------------------------------------		
		
        Sequence("FXBlowFlammable");
        {
            SeqDuration(6000);
            Expl();
            {
                Texture("FlareTex2");  //OSLEPIENIE
                Duration(200);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(2400,2400);
                }
                Position();
                {
                    v(0,0,0);
                }
                Alpha ();
                {
                    v(1);
                    v(0);
                    
                }
                
            }
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(400);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(200,200);
                    v(350,350);
                }
                Position();
                {
                    v(0,60,0);
                    v(0,90,0);
                }
                Alpha();
                {
                    v(1);
                    v(0);
                    
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
            }
            
            
            
            
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(500);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(200,200);
                    v(390,390);
                }
                Position();
                {
                    v(20,180,0);
                    v(20,280,0);
                }
                Alpha();
                {
                    v(1);
                    v(0);
                    
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
            }
            
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(700);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(200,200);
                    v(400,400);
                }
                Position();
                {
                    v(-20,240,0);
                    v(-20,340,0);
                }
                Alpha();
                {
                    v(1);
                    v(0);
                    
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
            }
            
            
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(700);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(200,200);
                    v(450,450);
                }
                Position();
                {
                    v(40,300,0);
                    v(50,420,0);
                }
                Alpha();
                {
                    v(1);
                    v(0);
                    
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
            }
            
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(700);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(300,300);
                    v(550,550);
                }
                Position();
                {
                    v(40,500,0);
                    v(50,540,0);
                }
                Alpha();
                {
                    v(1);
                    v(0);
                    
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
            }
            
            
            Expl();
            {
                Texture("FXTexDamageSmoke");
                Duration(3700);
                BlendMode(_BLEND_MIX);
                Size();
                {
                    v(300,300);
                    v(600,600);
                }
                Position();
                {
                    v(0,100,0);
                    v(0,200,0);
                }
                Alpha();
                {
                    
                    v(0);
                    v(1);
                    v(0.5f);
                    v(0);
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
                
                
            }
            
            Delay(200);
            
            Expl();
            {
                Texture("FXTexDamageSmoke");
                Duration(4300);
                BlendMode(_BLEND_MIX);
                Size();
                {
                    v(450,450);
                    v(700,700);
                }
                Position();
                {
                    v(0,400,0);
                    v(0,650,0);
                }
                Alpha ();
                {
                    v(0);
                    v(1);
                    v(0.5f);
                    v(0);
                    
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
            }
            
            
        }
//---------------------------------------------------------------------------		        
		Sequence("FXTinBlow");
		{
			float fSize = 1.5f;
			
			SeqDuration(5000);
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(150);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(300,300);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
			}
			
			ParticleSystem("FXTinBlow");
			{
				EmiterSize(3,3);
				EmiterLifeTime(2000);
				
				EmiterParticleCount(15);
				
				EmiterContinuous(0);
				ParticleDirVariation(120,120);
				ParticleRandomVelocity(250,750);
				ParticleLifeTime(2000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
                Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexBlacha");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(0);
					
					RandomSize();
					{
						v(4,15);
					}
					
					Alpha();
					{
						v(1);
						
						v(0);
					}
					
					RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(4000,6000,6500);
					}            
				}
				
				
			}
		}
//---------------------------------------------------------------------------		        
        Sequence("FXGlassBlow");
		{
			float fSize = 1.5f;
			
			SeqDuration(5000);
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(150);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(150,150);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(0.7f);
					v(0);
					
				}
				
				
			}
			
			ParticleSystem("FXGlassBlow");
			{
				EmiterSize(3,3);
				EmiterLifeTime(2000);
				
				EmiterParticleCount(30);
				
				EmiterContinuous(0);
				ParticleDirVariation(120,120);
				ParticleRandomVelocity(160,1000);
				ParticleLifeTime(2000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexBlacha");
					BlendMode(_BLEND_ADD);
					TowardsToCamera(0);
					
					RandomSize();
					{
						v(1,11);
					}
					
					Alpha();
					{
						v(0.7f);
						
						v(0);
					}
					
					RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(4000,6000,6500);
					}            
				}
				
				
			}
		}
        
        //---------------------------------------------------------------------------		        
        Sequence("FXGlassBlowSmall");
		{
			float fSize = 1.5f;
			
			SeqDuration(5000);
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(150);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(150,150);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(0.7f);
					v(0);
					
				}
				
				
			}
			
			ParticleSystem("FXGlassBlowSmall");
			{
				EmiterSize(3,3);
				EmiterLifeTime(2000);
				
				EmiterParticleCount(20);
				
				EmiterContinuous(0);
				ParticleDirVariation(120,120);
				ParticleRandomVelocity(160,750);
				ParticleLifeTime(2000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexBlacha");
					BlendMode(_BLEND_ADD);
					TowardsToCamera(0);
					
					RandomSize();
					{
						v(1,6);
					}
					
					Alpha();
					{
						v(0.7f);
						
						v(0);
					}
					
					RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(4000,6000,6500);
					}            
				}
				
				
			}
		}
        
//---------------------------------------------------------------------------		
        
        Sequence("FXBlowLaptop");
		{
			SeqDuration(5000);
			
			Expl();
			{
				Texture("FlareTex2");
				Duration(100);
				BlendMode(_BLEND_ADD);
				Size();
				{
					
					v(300,300);
				}
				Position();
				{
					v(0,40,0);
					
				}
				
				
				//DepthTestDisable();
				Alpha ();
				{
					v(1);
					
					v(0);
					
				}
			}
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(300);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(90,90);
					//v(200,200);
				}
				Position();
				{
					v(0,30,0);
				}
				
				
				//DepthTestDisable();
				Alpha ();
				{
					v(1);
					v(0);
					
				}
			}
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(3000);
				BlendMode(_BLEND_MIX);
				Size();
				{
					v(80,80);
					v(160,160);
				}
				Position();
				{
					v(0,30,0);
					v(0,65,0);
				}
				
				
				//DepthTestDisable();
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			}
			
			
			
			ParticleSystem("FXBlowLaptop");
			{
				EmiterLifeTime(3000);
				
				EmiterParticleCount(1);
				EmiterSize(3,3);
				
				EmiterContinuous(0);
				ParticleDirVariation(90,90);
				ParticleRandomVelocity(700,1200);
				ParticleLifeTime(2700);
				ParticleMass(0.5f);
				ParticleForce(_GRAVITY);
									
				
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexLaptop");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(0);
					Size();
					{
						v(38,38);
						
						RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(2000,3000,3250);
					}            
						
					}
				}
			}
            
            ParticleSystem("FXBlowLaptop2");
			{
				EmiterSize(3,3);
				EmiterLifeTime(2000);
				
				EmiterParticleCount(20);
				
				EmiterContinuous(0);
				ParticleDirVariation(130,130);
				ParticleRandomVelocity(150,950);
				ParticleLifeTime(2000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
                Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexLaptop2");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(0);
					
					RandomSize();
					{
						v(8,19);
					}
					
					Alpha();
					{
						v(1);
						
						v(0);
					}
					
					RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(2000,3000,3250);
					}            
				}
            }
            
		}
		
//---------------------------------------------------------------------------		

		
		Sequence("FXDemolishLarge");
        {
            SeqDuration(fDemCrateSeqDuration);
            Expl();
            {
                Texture("FXTexTuman");
                Duration(600);
                BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(400,300);
				}
				Position();
				{
					v(0,90,0);
				}
				//DepthTestDisable();
            }
			
			Delay(90);
			
			
            Expl();
            {
                Texture("FXTexTuman");
                Duration(1100);
                BlendMode(_BLEND_MIX);
				Size();
				{
					v(100,100);
					v(400,490);
				}
				Position();
				{
					v(0,90,0);
				}
				Alpha();
				{
					v(1);
					v(1);
					v(0);
					
				}
				//DepthTestDisable();
            }
			
			Delay(50);
			
			 Expl();
            {
                Texture("FXTexTuman");
                Duration(1100);
                BlendMode(_BLEND_MIX);
				Size();
				{
					v(100,100);
					v(490,400);
				}
				Position();
				{
					v(0,90,0);
				}
				Alpha();
				{
					v(1);
					v(1);
					v(0);
					
				}
				//DepthTestDisable();
            }
			
        }
		
		
		
        
        ParticleSystem("FXDemolishLarge");
        {
            EmiterSize(3,3);
            EmiterLifeTime(3000);
            
            EmiterParticleCount(30);
            
            EmiterContinuous(0);
            ParticleDirVariation(60,260);
            ParticleRandomVelocity(250,680);
            ParticleLifeTime(1100);
            ParticleMass(0.9f);
            ParticleForce(_GRAVITY);
            
            TailRepeat(300.0);
            
            ParticleTail();
            {    
                Duration(1000);
                Texture("FXTexOgon1");
                TextureRepeat(1);		 
                Rotation();
                {
                    v(0,0,0);
                    v(0,0,0);
                }
                
                Position();
                {
                    v(0,0,0);
                    v(0,50,0);
                }
                
                Alpha();
                {
                    v(0.9f);
                    
                    v(0);
                }
                Size();
                {
                    v(15,15);    
                    v(150,150);
                    
                }
                BlendMode(_BLEND_MIX);
                
            }
            
            Particle(_PARTICLE_QUAD);
            {
                Texture("FXTexBlacha");
                BlendMode(_BLEND_MIX);
                TowardsToCamera(0);
               RandomSize();
                {
                    v(10,50);
                }
				RandomRotationFactor( 0.2f, 1.5f );  
         
              Rotation();
                {
                    v(0,0,0);
					v(500,700,900);
					
                }
				
                
            }
        }
		
//---------------------------------------------------------------------------
		
		
		Sequence("FXDemolishMedium");
        {
            SeqDuration(fDemCrateSeqDuration);
            Expl();
            {
                Texture("FXTexTuman");
                Duration(700);
                BlendMode(_BLEND_ADD);
				Size();
				
				{
				
					v(40,40);
					v(80,80);
					v(150,120);
				}
				Position();
				{
					v(0,30,0);
				}
				Rotation();
				{
					v(0,0,0);
				}
				//DepthTestDisable();
					
            }
			
			Delay(90);
			
			
            Expl();
            {
                Texture("FXTexTuman");
                Duration(1200);
                BlendMode(_BLEND_MIX);
				Size();
				{
					v(100,100);
					v(200,200);
				}
				Position();
				{
					v(0,50,0);
				}
				Alpha();
				{
					v(1);
					
					v(0);
					
				}
				//DepthTestDisable();
            }
			
			Delay(90);
			
			
            Expl();
            {
                Texture("FXTexTuman");
                Duration(1200);
                BlendMode(_BLEND_MIX);
				Size();
				{
					v(100,100);
					v(200,200);
				}
				Position();
				{
					v(0,50,0);
				}
				Alpha();
				{
					v(1);
					v(1);
					v(0);
					
				}
				//DepthTestDisable();
            }
			Delay(130);
			
			
            Expl();
            {
                Texture("FXTexTuman");
                Duration(1500);
                BlendMode(_BLEND_MIX);
				Size();
				{
					v(110,100);
					v(300,250);
				}
				Position();
				{
					v(0,30,0);
				}
				Alpha();
				{
					v(1);
					v(1);
					v(0);
					
				}
            }
			
			
        }
			
			ParticleSystem("FXDemolishMedium");
        {
            EmiterSize(3,3);
            EmiterLifeTime(3000);
            
            EmiterParticleCount(30);
            
            EmiterContinuous(0);
            ParticleDirVariation(50,360);
            ParticleRandomVelocity(180,580);
            ParticleLifeTime(1100);
            ParticleMass(0.9f);
            ParticleForce(_GRAVITY);
            
            TailRepeat(500.0);
            
            ParticleTail();
            {    
                Duration(1000);
                Texture("FXTexOgon1");
                TextureRepeat(1);		 
                Rotation();
                {
                    v(0,0,0);
                    v(0,0,0);
                }
                
                Position();
                {
                    v(0,0,0);
                  
                }
                
                Alpha();
                {
                    v(0.9f);
                    
                    v(0);
                }
                Size();
                {
                    v(15,15);    
                    v(150,150);
                    
                }
                BlendMode(_BLEND_MIX);
                
            }
            
            Particle(_PARTICLE_QUAD);
            {
                Texture("FXTexBlacha");
                BlendMode(_BLEND_MIX);
                TowardsToCamera(0);
               RandomSize();
                {
                    v(8,40);
                }
				RandomRotationFactor( 0.2f, 1.5f ); 
				
         
              Rotation();
                {
                    v(0,0,0);
					v(300,800,900);
					
                }
				
                
            }
        }
		
//----------------------------------------------------------------------------
		
		
        Sequence("FXBlowGenerator");
        {
            SeqDuration(6000);
            Expl();
            {
                Texture("FlareTex2");  //OSLEPIENIE
                Duration(200);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(2400,2400);
                }
                Position();
                {
                    v(0,0,0);
                }
                Alpha ();
                {
                    v(1);
                    v(0);
                    
                }
                DepthTestDisable();
                
            }
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(400);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(200,200);
                    v(350,350);
                }
                Position();
                {
                    v(0,60,0);
                    v(0,90,0);
                }
                Alpha();
                {
                    v(1);
                    v(0);
                    
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
                DepthTestDisable();
            }
            
            
            
            
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(500);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(200,200);
                    v(390,390);
                }
                Position();
                {
                    v(20,180,0);
                    v(20,280,0);
                }
                Alpha();
                {
                    v(1);
                    v(0);
                    
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
                DepthTestDisable();
            }
            
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(700);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(200,200);
                    v(400,400);
                }
                Position();
                {
                    v(-20,240,0);
                    v(-20,340,0);
                }
                Alpha();
                {
                    v(1);
                    v(0);
                    
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
                DepthTestDisable();
            }
            
            
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(700);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(200,200);
                    v(450,450);
                }
                Position();
                {
                    v(40,300,0);
                    v(50,420,0);
                }
                Alpha();
                {
                    v(1);
                    v(0);
                    
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
                DepthTestDisable();
            }
            
            
            Expl();
            {
                Texture("FXTexGroundGrenadeExpl");
                Duration(700);
                BlendMode(_BLEND_ADD);
                Size();
                {
                    v(300,300);
                    v(550,550);
                }
                Position();
                {
                    v(40,500,0);
                    v(50,540,0);
                }
                Alpha();
                {
                    v(1);
                    v(0);
                    
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
                DepthTestDisable();
            }
            
            
            Expl();
            {
                Texture("FXTexDamageSmoke");
                Duration(3700);
                BlendMode(_BLEND_MIX);
                DepthTestDisable();
                Size();
                {
                    v(300,300);
                    v(600,600);
                }
                Position();
                {
                    v(0,100,0);
                    v(0,200,0);
                }
                Alpha();
                {
                    
                    v(0);
                    v(1);
                    v(0.5f);
                    v(0);
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
                
                
            }
            
            Delay(200);
            
            Expl();
            {
                Texture("FXTexDamageSmoke");
                Duration(4300);
                BlendMode(_BLEND_MIX);
                DepthTestDisable();
                Size();
                {
                    v(450,450);
                    v(700,700);
                }
                Position();
                {
                    v(0,400,0);
                    v(0,650,0);
                }
                Alpha ();
                {
                    v(0);
                    v(1);
                    v(0.5f);
                    v(0);
                    
                }
                
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,360);
                }
            }
            
            
        }
		
		
		
		
//---------------------------------------------------------------------------
		
		
		
		
		
		
		Sequence("FXBlowTerminal");
		{
			SeqDuration(6000);
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(100);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(900,900);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				
				
			}
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(250,250);
				}
				Position();
				{
					v(0,60,0);
					v(0,90,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			
			Delay(50);
			
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(500);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(100,100);
					v(290,290);
				}
				Position();
				{
					v(0,100,0);
					v(0,180,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			
			
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				DepthTestDisable();
				Size();
				{
					v(100,100);
					v(300,300);
				}
				Position();
				{
					v(0,80,0);
					v(0,160,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
					
				
			}
			
			Delay(300);
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				DepthTestDisable();
				Size();
				{
					v(250,250);
					v(300,300);
				}
				Position();
				{
					v(0,100,0);
					v(0,200,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			
			}
		
		
//---------------------------------------------------------------------------
		
		
		
		
		
		
		Sequence("FXBlowBar");
		{
			SeqDuration(4000);
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(200);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(800,800);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				
				
			}
			
		
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(2700);
				BlendMode(_BLEND_MIX);
				
				Size();
				{
					v(200,200);
					v(300,300);
				}
				Position();
				{
					v(0,20,0);
					v(0,40,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
					
				
			}
			
			
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(2300);
				BlendMode(_BLEND_MIX);
				
				Size();
				{
					v(250,250);
					v(430,430);
				}
				Position();
				{
					v(0,50,0);
					v(0,90,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			ParticleSystem("FXBlowBar");
			{
				EmiterSize(3,3);
				EmiterLifeTime(3000);
				
				EmiterParticleCount(18);
				
				EmiterContinuous(0);
				ParticleDirVariation(180,180);
				ParticleRandomVelocity(500,2100);
				ParticleLifeTime(3000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexRura");
					BlendMode(_BLEND_MIX);
					Duration(1700);
					TowardsToCamera(0);
					
					RandomSize();
					{
						v(30,40);
					}
					
					RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(1000,1000,1500);
					}            
				}
				
				
			
			
			}
			
			
			
			
			}
			
		
		
		
		
//----------------------------------------------------------------------------
		
		
		
		
		Sequence("FXBlowBigBar");
		{
			SeqDuration(4000);
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(200);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(1400,1400);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				
				
			}
			
		
			
					
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(2700);
				BlendMode(_BLEND_MIX);
				
				Size();
				{
					v(500,500);
					v(700,700);
				}
				Position();
				{
					v(0,20,0);
					v(0,40,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
					
				
			}
			
			Delay(300);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(3300);
				BlendMode(_BLEND_MIX);
				
				Size();
				{
					v(550,550);
					v(830,830);
				}
				Position();
				{
					v(0,50,0);
					v(0,90,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,360);
				}
			}
			
			ParticleSystem("FXBlowBigBar");
			{
				EmiterSize(3,3);
				EmiterLifeTime(3000);
				
				EmiterParticleCount(18);
				
				EmiterContinuous(0);
				ParticleDirVariation(180,180);
				ParticleRandomVelocity(900,2100);
				ParticleLifeTime(3000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexRura");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(0);
					Duration(1500);
					RandomSize();
					{
						v(60,80);
					}
					
					RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(1000,1000,1500);
					}
					
					Alpha ();
				{
					
					v(1);
					
					v(0);
					
				}
				}
				
				
			
			
			}
		}
		
        
        
//---------------------------------------------------------------------------
		
		
		Sequence("FXDemolishSmall");
        {
            SeqDuration(fDemCrateSeqDuration);
            Expl();
            {
                Texture("FXTexTuman");
                Duration(600);
                BlendMode(_BLEND_ADD);
				Size();
				{
					v(30,30);
					v(110,110);
				}
				Position();
				{
					v(0,20,0);
				}
				//DepthTestDisable();
            }
			
			Delay(90);
			
			SeqDuration(1000);
            Expl();
            {
                Texture("FXTexTuman");
                Duration(1100);
                BlendMode(_BLEND_MIX);
				Size();
				{
					v(50,50);
					v(150,90);
				}
				Position();
				{
					v(0,20,0);
				}
				Alpha();
				{
					v(1);
					v(1);
					v(0);
					
				}
				//DepthTestDisable();
            }
			
        }
		
		ParticleSystem("FXDemolishSmall");
        {
            EmiterSize(3,3);
            EmiterLifeTime(3000);
            
            EmiterParticleCount(25);
            
            EmiterContinuous(0);
            ParticleDirVariation(100,100);
            ParticleRandomVelocity(50,300);
            ParticleLifeTime(1400);
            ParticleMass(0.9f);
            ParticleForce(_GRAVITY);
            
            TailRepeat(500.0);
            
            ParticleTail();
            {    
                Duration(1000);
                Texture("FXTexOgon1");
                TextureRepeat(1);		 
                Rotation();
                {
                    v(0,0,0);
                    v(0,0,0);
                }
                
                Position();
                {
                    v(0,0,0);
                    v(0,50,0);
                }
                
                Alpha();
                {
                    v(0.9f);
                    
                    v(0);
                }
                Size();
                {
                    v(15,15);    
                    v(150,150);
                    
                }
                BlendMode(_BLEND_MIX);
                
            }
            
            Particle(_PARTICLE_QUAD);
            {
                Texture("FXTexBlacha");
                BlendMode(_BLEND_MIX);
                TowardsToCamera(0);
               RandomSize();
                {
                    v(4,18);
                }
				RandomRotationFactor( 0.2f, 1.5f );  
         
              Rotation();
                {
                    v(0,0,0);
					v(900,800,700);
					
                }
				
                
            }
        }
		
	
    }
}
