public class FXJeepBlow extends FX
{
	static float fBlowBarrelSeqDuration = 3000f;
	FXJeepBlow()
	{
		Sequence("FXJeepBlow");
		{
			SeqDuration(5000);
			
			Expl();
			{
				Texture("FlareTex2");  //OSLEPIENIE
				Duration(3400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(13400,13400);
				}
				Position();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
				//DepthTestDisable();
				
			}
			
			Expl();                                       //RING
			{
				Texture("FXTexRing");
				Duration(500);
				BlendMode(_BLEND_ADD);
				TowardsToCamera(0);
				Size();
				{

					v(0,0);
					v(4000,4000);
					v(5000,5000);
				}
				Position();
				{
					v(150,0,0);
				}
				Rotation();
				{
					v(0,0,0);
				}
				Alpha ();
				{
					v(1);
					v(0);
					
				}
			}
			
			Delay(100);  
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(500,500);
					v(950,950);
				}
				Position();
				{
					v(0,160,0);
					v(0,190,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(700);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(800,800);
					v(500,500);
				}
				Position();
				{
					v(80,250,0);
					v(80,220,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(500,500);
					v(950,950);
				}
				Position();
				{
					v(-90,160,0);
					v(-90,190,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			Delay (150);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(800);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(400,400);
					v(750,750);
				}
				Position();
				{
					v(-70,220,0);
					v(-70,240,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			Delay (200);
			
			Expl();
			{
				Texture("FXTexGroundGrenadeExpl");
				Duration(400);
				BlendMode(_BLEND_ADD);
				Size();
				{
					v(700,700);
					v(950,950);
				}
				Position();
				{
					v(80,160,0);
					v(80,190,0);
				}
				Alpha();
				{
					v(1);
					v(0);
					
				}
			}
			
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(3700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(900,900);
					v(1900,1900);
				}
				Position();
				{
					v(0,0,0);
					v(0,300,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
			}
			
			
				
			
			
			Delay(300);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(4300);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(300,300);
					v(1300,1300);
				}
				Position();
				{
					v(90,300,0);
					v(90,640,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			}
			
			
			
			
			
			
			
			
			
			
			ParticleSystem("FXJeepBlow");
			{
				EmiterSize(3,3);
				EmiterLifeTime(10000);
				
				EmiterParticleCount(15);
				
				EmiterContinuous(0);
				ParticleDirVariation(230,230);
				ParticleRandomVelocity(700,3500);
				ParticleLifeTime(4000);
				ParticleMass(0.6f);
				ParticleForce(_GRAVITY);
				
				TailRepeat(70);
				
				ParticleTail();
				{    
					Duration(2000);
					Texture("FXTexParticleSmoke");
					TextureRepeat(1);		 
					RandomRotation();
					{
						v(0,0,0);
						v(0,0,100);
						
						
					}
					
					Position();
					{
						v(0,0,0);
						v(0,50,0);
					}
					
					Alpha();
					{
						v(1);
						
						v(0);
					}
					Size();
					{
						v(50,50);    
						v(130,130);
						v(280,280);
						
					}
					BlendMode(_BLEND_MIX);
					
				}
				
				Particle(_PARTICLE_QUAD);
				{
					Texture("FXTexBlacha");
					BlendMode(_BLEND_MIX);
					TowardsToCamera(0);
					
					RandomSize();
					{
						v(40,140);
					}
					
					RandomRotationFactor( 0.2f, 1.5f ); 
					Rotation();
					{
						v(0,0,0); 
						v(2000,3000,3500);
					}            
				}
			}
			}
		}
		
		/**********************************************************/
		
	}

