public class FXBodyAmmo extends FX
{
    FXBodyAmmo()
    {
        /**********************************************************/
        Sequence("BodyBulletEnergy");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexBlood");
                Duration(100);
                BlendMode(_BLEND_MUL);
            }
        }        
        
        TraceClipped("BodyBulletEnergy");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexBodyBulletEnergy");
            TextureRepeat(1);
            Size();
            {
                v(10,10);
            }
            Alpha();
            {
                v(1);
            }
        }             
        
        /**********************************************************/
        Sequence("BodyBulletLarge");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexBlackSmoke");
                Duration(1000);
				RandomSize();
				{
					v(30,60);
					
				}
                BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,8,0);
					v(0,30,0);
				}
				//DepthTestDisable();
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,180);
				}
				
				Alpha();
            {
				 v(0);
                v(1);
				 v(0.4);
				  v(0.2);
				   v(0.1);
            }
            }
        }
        
        TraceClipped("BodyBulletLarge");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexBodyBulletLarge");
            TextureRepeat(1);
            Size();
            {
                v(20,20);
            }
            Alpha();
            {
                v(1);
            }
        }
        
        ParticleSystem("BodyBulletLarge");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(6);
            
            EmiterContinuous(0);
            ParticleDirVariation(130,130);
            ParticleRandomVelocity(150,600);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(5);
			ParticleTrailWidth(5);
			ParticleTrailTexture("FXTexBodyParticle");
	
            Particle(_PARTICLE_QUAD);
            {
                Texture("FXTexBodyParticle");
                BlendMode(_BLEND_MIX);
                TowardsToCamera(1);
                RandomSize();
                {
                    v(3,6);
                }
             }
        }
        /**********************************************************/
        
        Sequence("BodyBulletSmall");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexBlackSmoke");
                Duration(1000);
				RandomSize();
				{
					v(30,60);
					
				}
                BlendMode(_BLEND_MIX);
				Position();
				{
					v(0,8,0);
					v(0,30,0);
				}
				//DepthTestDisable();
				
				RandomRotation();
				{
					v(0,0,0);
					v(0,0,180);
				}
				
				Alpha();
            {
				 v(0);
                v(1);
				 v(0.4);
				  v(0.2);
				   v(0.1);
            }
            }
        }
        
        TraceClipped("BodyBulletSmall");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexBodyBulletSmall");
            TextureRepeat(1);
            Size();
            {
                v(7,7);
            }
            Alpha();
            {
                v(1);
            }
        }
        
        ParticleSystem("BodyBulletSmall");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(6);
            
            EmiterContinuous(0);
            ParticleDirVariation(130,130);
            ParticleRandomVelocity(150,600);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(5);
			ParticleTrailWidth(4);
			ParticleTrailTexture("FXTexBodyParticle");
	
			
			
			
            Particle(_PARTICLE_QUAD);
            {
                Texture("FXTexBodyParticle");
                BlendMode(_BLEND_MIX);
                TowardsToCamera(1);
                RandomSize();
                {
                    v(2,4);
                }
				
				
             }
        }
        
        /**********************************************************/
        
        Sequence("BodyCannon");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FlareTex2");
                Duration(100);
                Size();
                {
                    v(26,400);
                    
                    
                }
                BlendMode(_BLEND_ADD);
                Position();
                {
                    v(0,0,0);
                    
                }
                RandomRotation();
                {
                    v(0,0,85);
                    v(0,0,105);
                }
                //DepthTestDisable();
                Alpha();
                {
                    
                    v(0.3f);
                    v(0);
                }
            }
            Expl();
            {   
                Texture("FlareTex2");
                Duration(100);
                Size();
                {
                    v(820,820);
                    
                    
                }
                BlendMode(_BLEND_ADD);
                Position();
                {
                    v(0,0,0);
                    
                }
                RandomRotation();
                {
                    v(0,0,0);
                    v(0,0,310);
                }
                //DepthTestDisable();
                Alpha();
                {
                    
                    v(0.2f);
                    v(0);
                }
            }
            Expl();
            {   
                Texture("FXTexBodySmoke");
                Duration(1000);
				RandomSize();
				{
					v(40,80);
					
				}
                BlendMode(_BLEND_ADD);
				Position();
				{
					v(0,5,0);
					v(0,10,0);
				}
				//DepthTestDisable();
            }
            
        }
        
        TraceClipped("BodyCannon");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexBodyBulletLarge");
            TextureRepeat(1);
            Size();
            {
                v(20,20);
            }
            Alpha();
            {
                v(1);
            }
        }
        
        ParticleSystem("BodyCannon");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(6);
            
            EmiterContinuous(0);
            ParticleDirVariation(130,130);
            ParticleRandomVelocity(150,600);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(5);
			ParticleTrailWidth(5);
			ParticleTrailTexture("FXTexBodyParticle");
	
            Particle(_PARTICLE_QUAD);
            {
                Texture("FXTexBodyParticle");
                BlendMode(_BLEND_MIX);
                TowardsToCamera(1);
                RandomSize();
                {
                    v(4,6);
                }
             }
        }
        
    }
}


