/** Klasa zawiera informacje o typie gry aktualnie urchomionej
 */
//#IGNORE_EXT_IMPL
abstract public class GameInitInfo implements SGPreObject
{
    /** menadzer leveli */
    LevelsManager cLevels=new LevelsManager();

    /** Inventarz gracza przekazywany z mapy na mape
     */
    private InventoryPlayer cInventory = null;
    
    
    void SetInventory(InventoryPlayer cInventory)
    {
        this.cInventory = cInventory;
    }
    
    InventoryPlayer GetInventory()
    {
        return cInventory;
    }
    
    /** Zawartosc inventory room przekazywana z mapy na mape
     */
	InventoryRoom cInventoryRoom = new InventoryRoom();
	
    
    Module LoadCurrentLevel(GameObject cObject)
    {
        GameObject.Log("[GameInitInfo.LoadCurrentLevel]\n");
        return null;
    }
   
    
    /** Przechodzi do nastepnego levelu do zaladowania
     * Metoda ma byc odpowiednio przeciazona, bo np. w grze 
     * sieciowej moze byc repetycja listy leveli w nieskonczonosc, 
     * a w singlu tylko jedno przejscie
     */
    void SetNextLevel()
    {
    }
    
    void Destroy()
    {
        cLevels.Destroy();
        cLevels=null;
    }
	
    /** Metoda wczytuje dane */
    public void PreLoad(FileChunk cFC, Module cModule)
    {
		FileChunk.Log("[GameInitInfo.PreLoad]\n");		
    }
    
    /** Metoda zapisuje dane */
    public void PreSave(FileChunk cFC)
    {
		FileChunk.Log("[GameInitInfo.PreSave]\n");
    }	
    
     
    /** Zwraca nazwe nastepnego levelu do zaladowania.
     * Metoda ma byc odpowiednio przeciazona, bo np. w grze sieciowej moze byc
     * repetycja listy leveli w nieskonczonosc, a w singlu tylko jedno przejscie
     * @return nazwa levelu, gdy zwroci null to znaczy ze nie ma juz wiecej leveli
     */
    /*
    String GetNextLevel()
    {
        return null;
    }*/
}