/** klasa reprezentujaca drugi wszelkiego typu
 */

public class Drug extends InvObjectInst
{
    /** Nazwa i sciezka do tekstury ktora ma pojawiac sie na HUDzie po wciagnieciu druga
     */
    String sHUDTexFileName = "Data/Textures/healthpack.png";
    
    /** Wspolrzedne na teksturze 
     */
    float nHUDOnTexPosX = 0;
    float nHUDOnTexPosY = 0;
    
    /** rozmiary tekstury
     */
    float nHUDTexSizeX = 32.0f;
    float nHUDTexSizeY = 32.0f;
    
    /** Rozmiar ikonki druga na texturze
     */
    int nOnTexSizeX = 32;
    int nOnTexSizeY = 32;
    
     /** poziom toksycznosci drug'a */
    public float fDrugToxicLevel = 60.f;
    
    /** czas dzialania druga
     */
    public float fDurationTime = 20.0f;
    
    /** identyfikator przydzielany przez HUD'a 
     *  umozliwia on znalezienie odopwiedniego druga przy wylaczaniu 
     *  jego dzialania
     */
    int nDrugIdx = -1;
    
    
    /** Wizualizacja uzycia drug'a - dorzuca do "paska dzialajacych drug'ow" i usuwa z inventory
     *  ZALOZENIE: Owner != null
     */
    
    /** jak dlugo ma migac ikonka druga, gdy konczy sie jego dzialanie
     */ 
    float fBlinkTime = 3.0f;
    
    
    void RemoveDrugFromInventory()
    {
        Owner.cInventory.RemoveDrugFromInventory(this);
    }
    
    public void Use()
    {
    }
    
    void StopUse()
    {
        //do pokrycia w potomnych
    }
}
