

public class WeaponRackController extends InvObjectInst
{
    WeaponRackPawn weaponRack = null;

    WeaponRackController()
    {
        super();

        //MeshObject
        MeshName="Data/Meshes/Equipment/lornetka1.3DA";
        nInvIndex = InvObject._E_W_RACK_CTRL;
        nInvType = EInvObjType._EQUIP;
        sName = "&E_N_WEAPONRACK_CONTROLLER&";
        sTexFileName = "Data/Textures/CH_I_Weapons2.png";
      	nCellsWidth = 1;
	    nCellsHeight = 1;

        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 200.0f;
        nOnTexPosY = 180.0f;

        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;
    }    
    
    public void Use()
    {
        LogD("Used\n");

        if (Owner != null)
        {
            if (Owner instanceof PlayerHUD)
            {
                if ( (weaponRack != null) &&
                     (!weaponRack.bDead) &&
                     (weaponRack.bSet) )
                    weaponRack.SetState("ControlledState");
                else
                    CrashLog("ERROR: WeaponRackController with no weapon rack!\n");
            }
        }
    }    
}
