public class WeaponGrenadeEMP extends WeaponGrenade
{
    WeaponGrenadeEMP()
    {
        super();
        m_nFireMode = _FIREMODE_BURST;//burst bo przy singlu zaraz po nacisnieciu
        //fire jest puszczany
        
        //MeshObject
        MeshName="Data/Meshes/Equipment/TPPGrenadeEMP.3DA";

        //Weapon
        nType = EWeaponType._GRENADE;
        sBulletClassName = "GrenadeEMP";
        //InvObject properites
        nInvIndex = InvObject._W_GRENADE_EMP;
        sName = "&W_N_GRENADE_EMP&";
        sInfo = "&W_N_GRENADE_EMP&";//"Granat emp";
        sTexFileName = "Data/Textures/CH_I_Weapons4.png";
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 160.0f;
        nOnTexPosY = 40.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;

		// Ilosc kratek zajmowanych w plecaku
	    nCellsHeight = 2;
	    nCellsWidth = 2;
		
        //WeaponPistol properties
        fAimAcc = 0.0f;

        fDamage             = 37.0f;
        fPhysicsSimDamage   = fDamage;
        fRange              = 65000.0f;
        fBulletSpeed        = 100000.0f;
	    fRateOfFire         = 500.0f;
	    eBulletType         = EAmmoType._Grenades;
		nCapacity		    = 100;

		fNoiseShot = 300.0f; 
		fNoiseHit  = 500.0f;

        /** Klasa mesha pokazywanego w FPP */
        sFPPHandsClass = "FPPHandsGrenadeEMP";
                
        /**Nazwa dzieku odpalanego przy wyrzucie */
        sSoundShoot     = "Data/Sounds/Weapon/GrenadeShoot";
        /**Nazwa dzieku odpalanego przed wyrzutem */
        sSoundPreShoot  = "Data/Sounds/Weapon/GrenadePreShoot";
        
		/**Nazwa FX odpalanego przy wyrzucie (grzebien)*/
		sFXCombName = "FXGrzebienH01";
    }
}
