/** granat blyskowy
 */

public class WeaponGrenadeFlash extends WeaponGrenade
{
    WeaponGrenadeFlash()
    {
        super();
      //MeshObject
        MeshName="Data/Meshes/Equipment/granat_blyskowy.3DA";

        //InvObject properites
        nInvIndex = 1111;
        sName = "&W_N_GRENADE_FLASH&";
        sInfo = "&W_D_GRENADE_FLASH&";
        sTexFileName = "Data/Textures/CH_I_Weapons1.png";
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 180.0f;
        nOnTexPosY = 160.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;

		// Ilosc kratek zajmowanych w plecaku
	    nCellsHeight = 2;
	    nCellsWidth = 2;
		
        //WeaponPistol properties
        fAimAcc = 0.0f;

        fDamage             = 37.0f;
        fPhysicsSimDamage   = fDamage;
        fRange              = 65000.0f;
        fBulletSpeed        = 100000.0f;
	    fRateOfFire         = 500.0f;
	    eBulletType         = EAmmoType._Grenades;
		nCapacity		    = 100;

		fNoiseShot = 10000.0f;
		fNoiseHit  = 500.0f;

        /** Klasa mesha pokazywanego w FPP */
        sFPPHandsClass = "FPPHandsGrenadeNormal";
        
        /**Nazwa dzieku odpalanego przy wystrzale */
        sSoundShoot = "Data/Sounds/Weapon/H01_Fire";
		/**Nazwa FX odpalanego przy wystrzale (grzebien)*/
		sFXCombName = "FXGrzebienH01";
    }
}
