/** @deprecated use FXEmitter instead
 */
public class FXGenerator extends MeshObject
{
    /** Czestotliwosc odpalania FX */
    public float fFXUpdateTime = 0.5f;//#FXGenerator
    
    /** Rodzaj odpalanego FX (nazwa sekwencji) */
    public String sFXName = "Smoke1";//#FXGenerator
    
    /** Znacznik, ze generator ma zaczac dzialac po utworzeniu */
    public boolean bAutoStart = true;//#FXGenerator
    
    int METHOD_UpdateFX = 0;
    
    void OnCreate()
    {
        super.OnCreate();
        ClearFlag(EFlags._COLLISION | EFlags._BLOCK_MOVE | EFlags._BLOCK_TRACE |
                  EFlags._CAST_SHADOWS | EFlags._RECEIVE_SHADOWS);
        SetFlag(EFlags._NO_ANIMATION);
        EnableRendering(false);
        METHOD_UpdateFX = RegisterCallMethod("UpdateFX");
        if (bAutoStart)
            StartFXUpdate();
    }
    
    void StartFXUpdate()
    {
        CallMethodEvery(METHOD_UpdateFX, fFXUpdateTime);
    }
    
    void StopFXUpdate()
    {
        DisableCallMethod(METHOD_UpdateFX);
    }
    
    void UpdateFX()
    {
        ExecuteFX(sFXName, GetPosition());
    }
}
