//TODO: zaimplementowac ta klase!!!
public class NetLiftPlatform extends LiftPlatform
{
    void Init()
    {
        super.Init();
            
        InitNet();
    }
    
    
    
    void AttachPlayer()
    {
        AttachPlayers();
    }
    
    void DetachPlayer()
    {
        DetachPlayers();
    }
    
    void MsgSendServerLiftRunRequest(boolean bUp)
    {
        LogD("MSG_SERVER_LIFT_RUN_REQ -> "+(bUp?"up":"down")+"\n");
        MessageNew( MSG_SERVER_LIFT_RUN_REQ );
        MessagePackBoolean( bUp );
        MessageSend();
    }
    
    void MsgRecvServerLiftRunRequest()
    {
        boolean bUp = MessageUnPackBoolean();
        MessageEnd();
        LogD("->MSG_SERVER_LIFT_RUN_REQ "+(bUp?"up":"down")+"\n");
        
        SetStateMoving( bUp, GetTime() );
        MsgSendClientState();
    }    
    
    void MsgSendServerLiftCallRequest(MeshObject cFloor)
    {
        MessageNew( MSG_SERVER_LIFT_CALL_REQ );
        
        //TODO: odnalesc ktore to pietro
        int nFloor = -1;
        if ( aFloors == null )
        {
            for(int i=0; i<cFloors.GetObjectsCount(); i++)
            {
                MeshObject cObj = (MeshObject)cFloors.GetObject(i);
                if ( cObj == cFloor )
                {
                    nFloor = i;
                    break;
                }
            }
        }
        else
        {
            for(int i=0; i<aFloors.length; i++)
            {
                MeshObject cObj = (MeshObject)aFloors[i];
                if ( cObj == cFloor )
                {
                    nFloor = i;
                    break;
                }
            }
        }
        MessagePackInt( nFloor );
        MessageSend();
        
        if ( nFloor == -1 )
        {
            CrashLog("Platform "+this+" MsgSendServerLiftCallRequest nFloor == -1\n");
        }
    }
    
    void MsgRecvServerLiftCallRequest()
    {
        int nFloor = MessageUnPackInt();
        MessageEnd();
         
        if ( nFloor == -1 )
        {
            CrashLog("Platform "+this+" MsgRecvServerLiftCallRequest nFloor == -1\n");
        }
        MeshObject cFloor = aFloors==null ? 
                            (MeshObject)cFloors.GetObject(nFloor) : 
                            (MeshObject)aFloors[nFloor];
        if ( cFloor != null )
        {
            SetStateMoving( cFloor, GetTime() );
            MsgSendClientState();
        }
        else
            CrashLog("Platform "+this+" MsgRecvServerLiftCallRequest cFloor("+nFloor+") == null\n");
            
    }
    
    void MessagePackStateData()
    {
        if ( m_nState == _STATE_STOPPED )
        {
            // pozycja Y
            Vector vPos = GetPosition();
            MessagePackFloat( vPos.fY );
            MessagePackInt( nCurrentFloor );
        }
        else
        {
            // pozycja startowa,
            MessagePackVector( vStartPos );
            // kierunek jazdy
            MessagePackFloat( fMovingDirection );
            // odleglosc
            MessagePackFloat( fMovingDistance );
            // poprzednie pietro
            MessagePackInt( nLastFloor );
            // docelowe pietro
            MessagePackInt( nCurrentFloor );
            
            // podlaczeni gracze
            //TODO
        }
    }    
    
    void MessageUnPackStateDataEnd(int nState,float fTime)
    {
        if ( nState == _STATE_STOPPED )
        {
            LogD(" MessageUnPackStateData _STATE_STOPPED \n");
            // pozycja Y
            Vector vPos = GetPosition();
            vPos.fY = MessageUnPackFloat();
            nCurrentFloor = MessageUnPackInt();
            MessageEnd();
            
            SetPosition( vPos );
            SetStateStopped( fTime );
        }
        else
        {
            LogD(" MessageUnPackStateData _STATE_MOVING \n");
            
            // pozycja startowa,
            vStartPos = MessageUnPackVector();
            // kierunek jazdy
            fMovingDirection = MessageUnPackFloat();
            // odleglosc
            fMovingDistance = MessageUnPackFloat();
            // poprzednie pietro
            nLastFloor    = MessageUnPackInt();
            // docelowe pietro
            nCurrentFloor = MessageUnPackInt();
            
            // podlaczeni gracze
            //TODO
            MessageEnd();
            
            //ustawiam w pozycji poczatkowej
            SetPosition( vStartPos );
           
            SetStateMoving( fTime );
        }
    }
}
