public class ChromeOptionsMenu extends ChromeMenuWindow 
{
    {
	nMovieIn = 18;
	nMovieLoop = 19;
	nMovieOut = 20;
	}
    
    void Init(MenuBackground cBack)
    {
        MenuModule=(ChromeMenuModule)GetModule();
    }
    
    void OnUICommand(UIWindow cSender, int nCommand)
	{
		super.OnUICommand(cSender,nCommand);
		int nID = GetButtonId(cSender.m_sId);
            
		if(nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
        {
            switch(nID)
            {
            case EChromeOptionsUI.ID_BTN_CONTROLS:
                {
                    if (MenuModule.bMenuNetInGame)
                        MenuModule.SetMenu("MenuNetControls");
                    else
                        MenuModule.SetMenu("ChromeControlsMenu");
                    break;
                }
            case EChromeOptionsUI.ID_BTN_VIDEO:
                {
                    MenuModule.SetMenu("ChromeVideoMenu");
                    break;
                }
            case EChromeOptionsUI.ID_BTN_AUDIO:
                {
                    MenuModule.SetMenu("ChromeAudioMenu");
                    break;
                }
            case EChromeOptionsUI.ID_BTN_BACK:
                {
                    Discard();
                    break;
                }
            }
        }
    }
 
	void Discard()
    {
        if(!CanDiscard())
			return;
		
		if ( MenuModule.bInGameMenuAct )
        {
            //TODO: rozgraniczyc siec
            if ( MenuModule.bMenuNetInGame )
                MenuModule.SetMenu("MenuNetInGame");
            else
                MenuModule.SetMenu("InGameMenu");
            return;
        }
        MenuModule.SetMenu("ChromeMainMenu");
    }
}
