public class EChromeMenuSaveUI extends EUI 
{
    final static float P256 = 1.0f/256.0f;
    final static float P1024 = 1.0f/1024.0f;
    final static int ID_LISTBOX_SAVE     = 161; 
    final static int ID_BTN_DELETE       = 166;
    final static int ID_BTN_SAVE         = 162;
    final static int ID_BTN_BACK         = 163;
    final static int ID_EDIT_SAVENAME    = 165;
    
    //-------------------------------------------------------------
    
    static UIElement ListBox_LoadSave = new UIElement(
        ID_LISTBOX_SAVE,0,
        new Vector(380,112,0),
        new Vector(240,253,0),
        MenuTextures.sNetMenuMapListBox,
        new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
        "",
        new Rect(),
        "", 
        new Rect(),
        "",
        new Rect(),
        EButtonFlags.BTN_TYPE_LISTBOX_ITEM,
        ""
        );
    
    static UIElement Button_Save = new UIElement(
        ID_BTN_SAVE,0,
        new Vector(104,200,0),
        new Vector(256,32,0),
        MenuTextures.sRamka,
        MenuTextures.sRamka2,
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&SAVE&"
        );
    
    static UIElement Button_Back = new UIElement(
        ID_BTN_BACK,0,
        new Vector(104,282,0),
        new Vector(256,32,0),
        MenuTextures.sRamka,
        MenuTextures.sRamka2,
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&BACK&"
        );
    
   static UIElement Button_Delete = new UIElement(
        ID_BTN_DELETE,0,
        new Vector(104,242,0),
        new Vector(256,32,0),
        MenuTextures.sRamka,
        MenuTextures.sRamka2,
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&DELETE&"
        );
    
   static UIElement Edit_SaveName = new UIElement(
        ID_EDIT_SAVENAME,0,
        new Vector(104,112,0),
        new Vector(256,32,0),
        MenuTextures.sRamka,
        MenuTextures.sRamka2,
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.WND_TYPE_EDIT,
        ""
        );
}
