/** klasa, ktorej obiekty sa elementami list w inventory room */
public class ChromeInventoryItems extends Button
{
    ChromeInventoryMenu m_cParent = null;
    
    void SetParent(ChromeInventoryMenu cParent)
    {
        m_cParent = cParent;
        if (WeaponTex != null)
            WeaponTex.SetParent(cParent);
    }
    
	 /** przycisk z tekstura broni */
    ChromeInvButton WeaponTex  = null;
	
    float m_fWeaponTexSizeX = 256.0f;
	float m_fWeaponTexSizeY = 256.0f;
	
	float m_fGridTexXSize = 256.0f;
	float m_fGridTexYSize = 256.0f;
	
    void Init(UIElement data1, UIElement data2, Module module, float fGridTexXSize, float fGridTexYSize)
    {
        
		m_fGridTexXSize = fGridTexXSize;
		m_fGridTexYSize = fGridTexYSize;
        Init(data2, module);
        nBtnType = EButtonFlags.BTN_TYPE_LISTBOX_ITEM;
        WeaponTex = (ChromeInvButton) CreateObject("ChromeInvButton");
        WeaponTex.SetParent(m_cParent);
        AddChildWnd(WeaponTex, wndRoot);
        AddChild(WeaponTex);
        WeaponTex.Init(data1, module);
        WeaponTex.ProcessMouse(true);
        WeaponTex.ProcessKb(true);
        
        ProcessMouse(true);
        ProcessKb(true);
    }
    
    public void SetSize(Vector v)
    {
        Vector vGridSize = new Vector((rUncheckedTex.fRight - rUncheckedTex.fLeft) * m_fGridTexXSize,(rUncheckedTex.fBottom - rUncheckedTex.fTop) * m_fGridTexYSize,0.0f);
        vGridSize.fX *= GetScreenWidth()/800f;
        vGridSize.fY *= GetScreenHeight()/600f;
        
        super.SetSize(vGridSize);
        if (WeaponTex != null)
        {
            float fSizeX = (WeaponTex.rUncheckedTex.fRight - WeaponTex.rUncheckedTex.fLeft) * m_fWeaponTexSizeX * GetScreenWidth()/800f;
            float fSizeY = (WeaponTex.rUncheckedTex.fBottom - WeaponTex.rUncheckedTex.fTop) * m_fWeaponTexSizeY * GetScreenHeight()/600f;
            WeaponTex.SetSize(new Vector(fSizeX, fSizeY, 0));
        }
    }
    
    public void SetRelativePos(Vector v)
    {
        super.SetRelativePos(v);
        if (WeaponTex != null)
			WeaponTex.SetRelativePos(new Vector(0, 0, 0));
    }
    
    public void SetCheck(boolean bCheck)
    {
        super.SetCheck(bCheck);
        WeaponTex.SetCheck(bCheck);
    }
    
    
    
    
}
