/** klasa reprezentujaca menu wyboru broni i wyposazenia w inventory room
 */
public class ChromeInventoryMenu extends ChromeMenuWindow
{
    /** dzwieki */
	String m_InventoryPut = "Data/Sounds/InventoryPut.wav";
	String m_InventoryClick = "Data/Sounds/InventoryClick2.wav";
    
    /** referencja do aktualnie drag&dropowanego InvObjectu */
	InvObject cActiveInvObj = null;
	
    /**referencja do obiektu, ktorego opis jest aktualnie wyswietlany*/
    InvObject m_cInfoInvObject = null;
    /** wskaznik na invobiekt do usuniecia */
    java.util.Vector aInvObjToRemove = new java.util.Vector(4);
    
    java.util.Vector m_vPrecache = new java.util.Vector();
    
    final static int    ID_BTN_WEAPONS = 0,
                        ID_BTN_AMMO = 1,
                        ID_BTN_EQUIPMENT = 2,
                        ID_BTN_NEXT = 3,
                        ID_BTN_DEFAULT = 4,
                        ID_BTN_CLEAR = 5,
                        ID_BTN_BRIEFING = 6,
                        ID_BTN_OK = 7;
    
	String m_InvObjClickSound = "Data/Sounds/InventoryClick2.wav";
	
	/** listy referencji do obiektow InventoryObjectInfo */
    java.util.Vector m_Weapon = null;
    java.util.Vector m_Ammo = null;
    java.util.Vector m_Equipment = null;
	
	java.util.Vector m_ObjToDelete = new java.util.Vector();
    
	/** stworzony player, ktory umozliwia dzialanie inventory z gry */
    PlayerFake cPlayer = null;
    
    /** referencja do inventory gracza */
	Inventory cInventory = null;
    
	/** przyciski */
    
    UIButton Button_Weapon = null;
    UIButton Button_Ammo = null;
    UIButton Button_Equipment = null;
    UIButton Button_Briefing = null;
    
	/** przyciski */
    UIButton Button_Next = null;
    UIButton Button_Default = null;
    UIButton Button_Clear = null;
    
	/** listboxy z broniami */
    ChromeInvListWeapon ListBox_Weapon = null;
    ChromeInvListWeapon ListBox_Ammo = null;
    ChromeInvListWeapon ListBox_Equipment = null;
    ChromeInvListWeapon cCurrentList = null;
    
	/** klawisz z opisami broni */
    UIStatic m_cDescription = null;
    UIStatic m_cInvType = null;
    UIStatic m_cBtnNextText1 = null;
    UIStatic m_cBtnNextText2 = null;
    UIWindow m_cListBox = null;
    UIStatic m_cBriefing = null;
    UIWindow m_cFrameStorage = null;
    UIWindow m_cFrameBriefing = null;
    
    UIWindow cInvFrame = null;
    
    /** sprit'y -  tlo do hud'a */
	SpriteInvObj cInvGridSprite = null;
   
    /** Sprite do ktorego przylaczone jest wszystko co moze byc na HUDMenu
     * Wprowadzone w celu odpowiedniego przesuwania w zaleznosci od rozdzielczosci
     * ekranu gry.
     */
    Sprite cParent = null;
    
	/** biezace zaznaczenie */
	int m_iCurrSelectedID = 0;
	
    UIWindow m_cDemoOKDialog = null;
    
	/** tlo - tak naprawde tekstura ta zawiera wszystko oprocz teksturek broni, reszta (listboxy)
	 * jest przezroczysta */
	Window m_Background = null;	
    
     /** kursor */
	Cursor cCursor = null;
    /** sciezka do tekstury kursora */
	String sCursorTex = new String("Data/Textures/Cursor.png");
        
    /** czy mamy do czynienia z gra sieciowa? */
    boolean m_bNetwork = false;
    
    MenuYesNoDialog m_cYesNoDlg = null;
    
    /** flaga mowiaca czy wlasnie drag&dropowany jest jakis przedmiot */
	boolean bDragingInvObj  = false;
    
    public void OnInit()
    {
        super.OnInit();
        
        cInvFrame = GetElem("ID_FRAME_PLAYER");
        
        Button_Weapon = (UIButton)GetElem("ID_BTN_WEAPONS");
        Button_Weapon.SetCheck(true);
        
        Button_Ammo = (UIButton)GetElem("ID_BTN_AMMO");
        Button_Equipment = (UIButton)GetElem("ID_BTN_EQUIPMENT");
        Button_Next = (UIButton)GetElem("ID_BTN_NEXT");
        Button_Default = (UIButton)GetElem("ID_BTN_DEFAULT");
        Button_Briefing = (UIButton)GetElem("ID_BTN_BRIEFING");
        Button_Clear = (UIButton)GetElem("ID_BTN_CLEAR");
        m_cDescription = (UIStatic)GetElem("ID_OBJ_DESC_TEXT");
        
        m_cFrameBriefing = GetElem("ID_FRAME_BRIEFING");
        m_cBriefing = (UIStatic)GetElem("ID_BRIEFING");
        m_cListBox = GetElem("ID_LIST");
        m_cInvType = (UIStatic)GetElem("ID_INV_TYPE");
        m_cBtnNextText1 = (UIStatic)Button_Next.GetElem("ID_TEXT1");
        m_cBtnNextText2 = (UIStatic)Button_Next.GetElem("ID_TEXT2");
        m_cFrameStorage =  GetElem("ID_FRAME_STORAGE");
        
        m_cDemoOKDialog = GetElem("ID_DEMO_OK_DIALOG");
        CallMethodIn("MoveTopDialog",0);
        
    }
    
    void MoveTopDialog()
    {
        RemoveSprite(m_cDemoOKDialog);
        AddSprite(m_cDemoOKDialog);
        m_cDemoOKDialog.MoveTop();
    }
    
    void ShowDemoOKDialog(String sInfo)
    {
        if (m_cDemoOKDialog.IsActuallyVisible())
            HideDemoOKDialog();
        
        ((UIStatic)m_cDemoOKDialog.GetElem("ID_INFO")).SetText(sInfo);
        ((UIButton)m_cDemoOKDialog.GetElem("ID_OK")).SetFocus(true);
        m_cDemoOKDialog.MoveTop();
        ProcessKb(false);
        ProcessMouse(false);
		cCursor.MoveTop();
        m_cDemoOKDialog.Show();
    }
    
    void HideDemoOKDialog()
    {
        if (m_cDemoOKDialog.IsVisible())
        {
            ProcessKb(true);
            ProcessMouse(true);
            m_cDemoOKDialog.Hide();
        }
    }
    
    public void OnCreate()
    {
        //Thread.dumpStack();
        super.OnCreate();
        // inicjalizcja kursora
		cCursor = (Cursor)CreateObject("Cursor");
		cCursor.SetCursorTex(GetModule(), sCursorTex);
		cCursor.Hide();
        
        
        Load(GetModule(), "Data/menu/Inventory.scr", true);    
        
        // tworze spritea dla grida hud'a
		cInvGridSprite = (SpriteInvObj) CreateObject("SpriteInvObj");

		cInvGridSprite.ProcessMouse(true); 
	        
		//AddSprite(cInvGridSprite);
        cInvGridSprite.SetSize(cInvFrame.GetSize());
		cInvGridSprite.SetPos(cInvFrame.GetPos());
        cInvGridSprite.DontProcessMouse();
		
		
		ActivateOnModule();
        
		cInvGridSprite.Hide();
			
		// przekazywanie Spritowi referencji 
        ((SpriteInvObj)cInvGridSprite).SetInvMenu(this);
    }
    
    String GetScriptName()
    {
        return null;
    }
    
    void Init(MenuBackground cBack)
    {
        //LogR("ChromeInventoryMenu.Init");
        MenuModule = (ChromeMenuModule) ((ChromeModule)GetModule()).cMenu ;
        
		GetInventoryRoom().SetMenuWindow( this );
		
		java.util.Vector equipMods = null;
		if (((ChromeModule)GetModule()).m_bUpdateInventoryFromScript)
		{
			// pobieramy modyfikatory wyposazenia
			equipMods = ((ChromeModule) GetModule()).cGameInitInfo.cLevels.GetCurrent().aInventoryRoomModifiers;
		}

		// pobieramy biezace rzeczy z inventoryroom i modyfikujemy je poleceniami ze skryptu
		m_Weapon    = GetInventoryRoom().GetCurrentWeaponArray( equipMods );
		m_Ammo      = GetInventoryRoom().GetCurrentAmmoArray( equipMods );
		m_Equipment = GetInventoryRoom().GetCurrentEquipmentArray( equipMods );
		
        for (int i = 0; i < m_Weapon.size(); i++)
        {
            InventoryObjectInfo info = (InventoryObjectInfo)m_Weapon.elementAt(i);
            InvObject cObj = CreateInvObject(info.m_Name, true);
            m_vPrecache.addElement(cObj);
        }
        for (int i = 0; i < m_Ammo.size(); i++)
        {
            InventoryObjectInfo info = (InventoryObjectInfo)m_Ammo.elementAt(i);
            InvObject cObj = CreateInvObject(info.m_Name, true);
            m_vPrecache.addElement(cObj);
        }
        for (int i = 0; i < m_Equipment.size(); i++)
        {
            InventoryObjectInfo info = (InventoryObjectInfo)m_Equipment.elementAt(i);
            InvObject cObj = CreateInvObject(info.m_Name, true);
            m_vPrecache.addElement(cObj);
        }
        
        ProcessMouse(true);
        ProcessKb(true);
    
		// tworzymy fake player i inicjujemy jego inventory
        PlayerInit();
        //tu juz hud powinien istniec
		//((HUDInvMenu)(cPlayer.HUD.aHUDComponent[HUDManager._HUD_INV_MENU])).SetDescriptionSprite(m_cDescription);
        cPlayer.HUD.SetInventoryMenu(this);
        cInventory = cPlayer.cInventory;
        
        ListBox_Weapon = (ChromeInvListWeapon) CreateObject("ChromeInvListWeapon");
        ListBox_Weapon.Init(this);
        AddChild(ListBox_Weapon);
        ListBox_Weapon.Init(EChromeInventoryMenuUI.ListBox_Weapon, GetModule());
        ListBox_Weapon.SetCapacity(4);
		ListBox_Weapon._ELEM_SIZE_Y = EHudInvParams.GetCellHeight() * 3f;
        ListBox_Weapon.InitWeapon(m_Weapon);
        ListBox_Weapon.SetPos(m_cListBox.GetPos());
        ListBox_Weapon.SetSize(m_cListBox.GetSize());
        ListBox_Weapon.SetCursor(cCursor);
        ListBox_Weapon.MoveTop();
        
        ListBox_Ammo = (ChromeInvListWeapon) CreateObject("ChromeInvListWeapon");
        ListBox_Ammo.Init(this);
        AddChild(ListBox_Ammo);
        ListBox_Ammo.Init(EChromeInventoryMenuUI.ListBox_Ammo, GetModule());
        ListBox_Ammo.SetCapacity(6);
		ListBox_Ammo._ELEM_SIZE_Y = EHudInvParams.GetCellHeight() * 2f;
        ListBox_Ammo.InitObjects(m_Ammo);
        ListBox_Ammo.SetPos(m_cListBox.GetPos());
        ListBox_Ammo.SetSize(m_cListBox.GetSize());
        ListBox_Ammo.SetCursor(cCursor);
        ListBox_Ammo.MoveTop();
        
        ListBox_Equipment = (ChromeInvListWeapon) CreateObject("ChromeInvListWeapon");
        ListBox_Equipment.Init(this);
        AddChild(ListBox_Equipment);
        ListBox_Equipment.Init(EChromeInventoryMenuUI.ListBox_Equipment, GetModule());
        ListBox_Equipment.SetCapacity(6);
		ListBox_Equipment._ELEM_SIZE_Y = EHudInvParams.GetCellHeight() * 2f;
        ListBox_Equipment.InitObjects(m_Equipment);
        ListBox_Equipment.SetPos(m_cListBox.GetPos());
        ListBox_Equipment.SetSize(m_cListBox.GetSize());
        ListBox_Equipment.SetCursor(cCursor);
        ListBox_Equipment.MoveTop();
        cCursor.MoveTop();
        
		// defaultowo na poczatku pokazujemy listbox z bronia
        m_cInvType.SetText(Button_Weapon.m_sText);
		
        ListBox_Ammo.Hide();
        ListBox_Equipment.Hide();
        ListBox_Weapon.Show();
		cCurrentList = ListBox_Weapon;
		ClearDes();
        cCursor.SetPos(new Vector(GetScreenWidth()/2, GetScreenHeight()/2,0));
    }

    public void ClearLists()
    {
        ListBox_Ammo.Clear();
        ListBox_Equipment.Clear();
        ListBox_Weapon.Clear();
    }
    
    public void ClearCounters()
    {
        ListBox_Ammo.ClearCounters();
        ListBox_Equipment.ClearCounters();
        ListBox_Weapon.ClearCounters();
    }
    
    public void Show()
    {
        super.Show();
        
    }
    
    
    public void Hide()
    {
        super.Hide();
    }
    
    public void Activate()
    {
        Show();
        if (cInvGridSprite != null)
        {
            cInvGridSprite.Show();
			ShowAllInvObjects();
        }
        ShowCursor();
    }
    
    public void Deactivate()
    {
        Hide();
        cInvGridSprite.Hide();
		HideAllInvObjects();
        //CallOnFrameEnd("ClearLists");
        cCursor.Hide();
    }
    
    void PlayerInit()
    {
        if (cPlayer == null)
        {
            cPlayer = (PlayerFake)CreateObject("PlayerFake");
            SetupPosition(cInvFrame);
            cPlayer.SetupInventory((GameInitInfo)MenuModule.cGameInitInfo, this);
        }
    }
    
    void SelectItem(ChromeInvListWeapon cList, int nID)
    {
		if (!ItemAvailableInInvRoom(cList, nID))
			return;
		
        InvObject SelectItem = CreateInvObject( ((InventoryObjectInfo) cList.aInitItems.elementAt(nID)).m_Name );
        
        if (!SelectItem.IsAvailableInDemo() && ChromeModuleSingle._bEnglishDemo1)
        {
            ShowDemoOKDialog(SelectItem.GetDemoInfoText());
            return;
        }
        
        Vector vSprPos = new Vector(((Button)cList.vItems.elementAt(nID)).GetPos());
        SelectItem.SetInvObjPos((int) vSprPos.fX,(int) vSprPos.fY);
        
        cPlayer.SetMenuInvObj(SelectItem);
        
        SelectItem.Draw();
        //done/SelectItem.cInvObjSprite.cHUDInvMenu = ((HUDInvMenu) (cPlayer.HUD.aHUDComponent[HUDManager._HUD_INV_MENU]));
        SelectItem.cInvObjSprite.SetInvMenu(this);
        // odczytuje pozycje kursora (a wlasciwie tekstury bo ktos tak zrobil kursor...)
        Vector pos = cCursor.cursorTex.GetPos();
        SelectItem.cInvObjSprite.OnLBDown(pos.fX, pos.fY);
    }
    
    void OnButton(Button btnSender)
    {
        if (btnSender.nID >= EChromeInventoryMenuUI.ID_LIST_ITEM)
        {
	        PlaySound(m_InvObjClickSound);
			
            InvObject SelectItem = null;
            if (ListBox_Weapon.IsActuallyVisible())
            {
                SelectItem(ListBox_Weapon, btnSender.nID - EChromeInventoryMenuUI.ID_LIST_ITEM);
                return;    
            }
            if (ListBox_Equipment.IsActuallyVisible())
            {
                SelectItem(ListBox_Equipment, btnSender.nID - EChromeInventoryMenuUI.ID_LIST_ITEM);
                return;    
            }
            if (ListBox_Ammo.IsActuallyVisible())
            {
                SelectItem(ListBox_Ammo, btnSender.nID - EChromeInventoryMenuUI.ID_LIST_ITEM);
                return;    
            }
            return;
        }
		else
	        PlaySound(ChromeMenuModule.SoundButtonClicked);
        
    }

    void OnUICommand(UIWindow cSender, int nCommand)
	{
		super.OnUICommand(cSender,nCommand);
		
		if(nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
        {
            int nID = TranslateSIdToIntId(cSender.m_sId);
            switch(nID)
            {
            case ID_BTN_WEAPONS:
                if (Button_Weapon.GetCheck()) 
                {
                    m_cInvType.SetText(Button_Weapon.m_sText);
                    Button_Equipment.SetCheck(false);
                    Button_Ammo.SetCheck(false);
                    Button_Briefing.SetCheck(false);
                    ListBox_Ammo.Hide();
                    ListBox_Equipment.Hide();
                    ListBox_Weapon.Show();
                    cCurrentList = ListBox_Weapon;
                    GetElem("ID_INV_TYPE_STORAGE").Show();
                    GetElem("ID_LIST").Show();
                    GetElem("ID_OBJ_DESC").Show();
                    m_cFrameBriefing.Hide();
                    
                }
                else
                {
                    Button_Ammo.SetCheck(false);
                    Button_Weapon.SetCheck(false);
                    Button_Briefing.SetCheck(false);
                    ListBox_Equipment.SetCheck(false);
                    //Button_Weapon.SetCheck(true);
                }
                break;
            case ID_BTN_AMMO:
                if (Button_Ammo.GetCheck()) 
                {
                    m_cInvType.SetText(Button_Ammo.m_sText);
                    Button_Equipment.SetCheck(false);
                    Button_Weapon.SetCheck(false);
                    Button_Briefing.SetCheck(false);
                    ListBox_Weapon.Hide();
                    ListBox_Equipment.Hide();
                    ListBox_Ammo.Show();
                    cCurrentList = ListBox_Ammo;
                }
                else
                {
                    Button_Ammo.SetCheck(false);
                    Button_Weapon.SetCheck(false);
                    Button_Briefing.SetCheck(false);
                    ListBox_Equipment.SetCheck(false);
                    //Button_Ammo.SetCheck(true);
                }
                break;
            case ID_BTN_EQUIPMENT:
                if (Button_Equipment.GetCheck()) 
                {
                    m_cInvType.SetText(Button_Equipment.m_sText);
                    Button_Ammo.SetCheck(false);
                    Button_Weapon.SetCheck(false);
                    Button_Briefing.SetCheck(false);
                    ListBox_Ammo.Hide();
                    ListBox_Weapon.Hide();
                    ListBox_Equipment.Show();
                    cCurrentList = ListBox_Equipment;
                }
                else
                {
                    Button_Ammo.SetCheck(false);
                    Button_Weapon.SetCheck(false);
                    Button_Briefing.SetCheck(false);
                    ListBox_Equipment.SetCheck(false);
                    //Button_Equipment.SetCheck(true);
                }
                break;
                
            case ID_BTN_BRIEFING:
                if (m_cFrameBriefing.IsActuallyVisible())
                {
                    m_cFrameBriefing.Hide();
                    m_cFrameStorage.Show();
                    Button_Ammo.Show();
                    Button_Weapon.Show();
                    Button_Equipment.Show();
                    Button_Briefing.Show();
                    Button_Clear.Show();
                    Button_Default.Show();
                    if (cCurrentList == null)
                        cCurrentList = ListBox_Weapon;
                    cCurrentList.Show();        
                    cInvFrame.Show();
                    Button_Briefing.SetText("&HUD_INVMENU_BRIEFING&");
                    CallOnFrameEnd("ShowAllInvObjects");
                    //((HUDInvMenu)(cPlayer.HUD.aHUDComponent[HUDManager._HUD_INV_MENU])).CallMethodIn("Activate", 0);
                }
                else    
                {
                    cCurrentList.Hide();
                    m_cFrameBriefing.Show();
                    cInvFrame.Hide();
                    String sBriefing = ((GameInitInfo)MenuModule.cGameInitInfo).cLevels.GetNextLevelBriefing();
                    m_cBriefing.SetText(sBriefing);
                    m_cFrameStorage.Hide();
                    Button_Ammo.Hide();
                    Button_Weapon.Hide();
                    Button_Equipment.Hide();
                    Button_Clear.Hide();
                    Button_Default.Hide();
                    HideAllInvObjects();
                    Button_Briefing.SetText("&HUD_INVMENU_INVENTORY&");
                    //((HUDInvMenu)(cPlayer.HUD.aHUDComponent[HUDManager._HUD_INV_MENU])).CallMethodIn("Deactivate", 0);
                }
                break;
                
            case ID_BTN_DEFAULT:
                DefaultWeapon();
                break;
                
            case ID_BTN_NEXT:
                CallMethodIn("ButtonNext", 0);
                break;
                
            case ID_BTN_CLEAR:
                ButtonClear();
                break;
            case ID_BTN_OK:
                //ok z dialogu
                HideDemoOKDialog();
                break;
            }
            if (cCurrentList != null)
                cCurrentList.UpdateList();
        }
    }
    
    int TranslateSIdToIntId(String sId)
    {
        if (sId.compareTo("ID_BTN_WEAPONS") == 0)
            return ID_BTN_WEAPONS;
        if (sId.compareTo("ID_BTN_AMMO") == 0)
            return ID_BTN_AMMO;
        if (sId.compareTo("ID_BTN_EQUIPMENT") == 0)
            return ID_BTN_EQUIPMENT;
        if (sId.compareTo("ID_BTN_NEXT") == 0)
            return ID_BTN_NEXT;
        if (sId.compareTo("ID_BTN_DEFAULT") == 0)
            return ID_BTN_DEFAULT;
        if (sId.compareTo("ID_BTN_CLEAR") == 0)
            return ID_BTN_CLEAR;
        if (sId.compareTo("ID_BTN_BRIEFING") == 0)
            return ID_BTN_BRIEFING;
        if (sId.compareTo("ID_OK") == 0)
            return ID_BTN_OK;
        return -1;
    }
    
    void ButtonNext()
    {
        //bez broni nie zaczniemy misji
        Weapon cWeapon = cPlayer.GetBestWeapon();
        if (cWeapon == null ||
            cWeapon instanceof WeaponHands)
        {
            ShowDemoOKDialog(Text.Get("&INV_MENU_MUST_CHOOSE_WEAPON&"));
            return;
        }
        Deactivate();
        ((GameInitInfo)MenuModule.cGameInitInfo).SetInventory((InventoryPlayer) cPlayer.cInventory);
        ((GameInitInfo)MenuModule.cGameInitInfo).GetInventory().Acquire(MenuModule, null);
        ((ChromeModule)GetModule()).EndPrepareToMission();
        //MenuModule.StartGame((GameInitInfo)MenuModule.cGameInitInfo);
    }
	
	void ButtonClear()
	{
		// czyscimy wszystkie obiekty z gridow playera i przenosimy je do room
		ClearPlayerGrids();
	}
    
    void DefaultWeapon()
    {
		// czyscimy wszystkie obiekty z gridow playera i przenosimy je do room
		ClearPlayerGrids();
		
        java.util.Vector cLevelDef = ((ChromeModule)GetModule()).cGameInitInfo.cLevels.GetCurrent().aDefaultWeapons;
		
        for (int index = 0; index < cLevelDef.size(); index++)
        {
            //CrashLog(" Default "+index+" to "+(String)cLevelDef.elementAt(index)+"\n");
            InvObject item = CreateInvObject((String)cLevelDef.elementAt(index),false);
            if ( item == null )
                continue;

			// sprawdzamy, czy taki obiekt jest w inventory room
			InventoryObjectInfo invObject = GetInventoryRoom().FindObject(item.nInvType, item.getClass().getName());
			if (invObject == null)
				continue; 
			
			// sprawdzamy, czy obiekt mozna dodac playerowi do inventory
			item.bJustTakenToInventory = false;
            item.Execute(cPlayer);
			if (!item.bJustTakenToInventory)
			{
                item.delete();
				item = null;
				continue;
			}
			else
            {
                
                //HUDInvMenu cHudInvMenu = ((HUDInvMenu)(cPlayer.HUD.aHUDComponent[HUDManager._HUD_INV_MENU]));
                //done/cHudInvMenu.cInvGridSprite.AddChild(item.cInvObjSprite);
                cInvGridSprite.AddChild(item.cInvObjSprite);
            }
			invObject.ChangeAmount(-1);
        }
    }
	
	void ClearPlayerGrids()
	{
        Inventory inventory = cPlayer.GetInventory();

		int iCurrInd = 0;
		int iNofObjects = inventory.GetInvObjSize();
				
		while (iCurrInd < iNofObjects)
		{
			InvObject invObj = inventory.GetInvObject(iCurrInd);
			if (!invObj.bLocked)
			{
				if (inventory.RemoveInvObject(invObj))
				{
					GetInventoryRoom().AddObject(invObj.nInvType, invObj.getClass().getName(), 1);
					iNofObjects--;
					
					// usuwamy obiekt z inventory
					DeleteInvObject(invObj);
				}
			}
			else
				iCurrInd++;
		}
	}

    void ShowInfo(ChromeInvListWeapon cList, int nID)
    {
		m_iCurrSelectedID = nID;

        InvObject cObj = (InvObject)cList.GetObjectAt(nID);
        
        m_cDescription.SetText(cObj.GetInvName() + "\n" +
    						   cObj.GetInfoString());
        m_cDescription.SetVisible(true);
    }
	
    Button m_cCurDesBtn = null;
    void ClearDes()
    {
        m_cCurDesBtn = null;
        m_cDescription.SetText("");
        m_cDescription.SetVisible(false);
    }
    
    void ShowDesc(Button btnSender)
    {
        if (m_cCurDesBtn == btnSender)
            return;
        if (btnSender.nID >= EChromeInventoryMenuUI.ID_LIST_ITEM)
        {
            m_cCurDesBtn = btnSender;
            
            if (Button_Weapon.GetCheck())
            {
                ShowInfo(ListBox_Weapon, btnSender.nID - EChromeInventoryMenuUI.ID_LIST_ITEM);
                return;    
            }
            if (Button_Equipment.GetCheck())
            {
                ShowInfo(ListBox_Equipment, btnSender.nID - EChromeInventoryMenuUI.ID_LIST_ITEM);
                return;    
            }
            if (Button_Ammo.GetCheck())
            {
                ShowInfo(ListBox_Ammo, btnSender.nID - EChromeInventoryMenuUI.ID_LIST_ITEM);
                return;    
            }
            return;
        }
    }
    
    void OnButtonHighlight(Button btnSender)
    {
    }
    
    public void OnDestroy()
    {
        

		// usuwamy cala hierarchie okien
		//Remove();
				
		GetInventoryRoom().SetMenuWindow( null );
        super.OnDestroy();
    }
	
    public void Remove()
    {
        Hide();
        if (cCursor != null)
            cCursor.delete();
        cCursor = null;
		LogD("Kasujemy InventoryWindow\n");
        //Thread.dumpStack();
        for (int i = 0; i < m_vPrecache.size(); i++)
        {
            InvObject cObj = (InvObject)m_vPrecache.elementAt(i);
            if (cObj != null)
                cObj.delete();
            
        }
        
        if (cInvGridSprite != null)
        {
            //LogR("RemoveSprite(cInvGridSprite);");
            RemoveSprite(cInvGridSprite);
            cInvGridSprite.delete();
            cInvGridSprite = null;
        }
        
		if (m_Weapon != null)
		{
			m_Weapon.clear();
			m_Weapon = null;
		}
		if (m_Ammo != null)
		{
			m_Ammo.clear();
			m_Ammo = null;
		}
		if (m_Equipment != null)
		{
			m_Equipment.clear();
			m_Equipment = null;
		}

        if (cPlayer != null)
        {
            cPlayer.delete();
            cPlayer = null;
        }
        
        if (ListBox_Weapon != null)
        {
            ListBox_Weapon.Destroy();
            ListBox_Weapon.DeleteWeapon();
            RemoveSprite(ListBox_Weapon);
            ListBox_Weapon.delete();
            ListBox_Weapon = null;
        }
        if(ListBox_Ammo != null)
        {
            ListBox_Ammo.Destroy();
			ListBox_Ammo.DeleteWeapon();
            RemoveSprite(ListBox_Ammo);
            ListBox_Ammo.delete();
            ListBox_Ammo = null;
        }
        if(ListBox_Equipment != null)
        {
            ListBox_Equipment.Destroy();
			ListBox_Equipment.DeleteWeapon();
            RemoveSprite(ListBox_Equipment);
            ListBox_Equipment.delete();
            ListBox_Equipment = null;
        }
        
        if (m_cYesNoDlg != null)
        {
            m_cYesNoDlg.Remove();
            RemoveSprite(m_cYesNoDlg);
            m_cYesNoDlg.delete();
            m_cYesNoDlg = null;
        }
        super.Remove();
    }
    
    void DoubleClick(Button btnSender)
    {
        CheckSelectedList();
            
		if (btnSender.nID >= EChromeInventoryMenuUI.ID_LIST_ITEM)
        {
            InvObject SelectItem = null;
            if (Button_Weapon.GetCheck())
            {
                AddToPlayerInventory(ListBox_Weapon, btnSender.nID - EChromeInventoryMenuUI.ID_LIST_ITEM);
                return;    
            }
            if (Button_Equipment.GetCheck())
            {
                AddToPlayerInventory(ListBox_Equipment, btnSender.nID - EChromeInventoryMenuUI.ID_LIST_ITEM);
                return;    
            }
            if (Button_Ammo.GetCheck())
            {
                AddToPlayerInventory(ListBox_Ammo, btnSender.nID - EChromeInventoryMenuUI.ID_LIST_ITEM);
                return;    
            }
            return;
        }
    }
	
    void CheckSelectedList()
    {
        if (ListBox_Weapon.IsActuallyVisible())
            Button_Weapon.SetCheck(true);
        if (ListBox_Ammo.IsActuallyVisible())
            Button_Ammo.SetCheck(true);
        if (ListBox_Equipment.IsActuallyVisible())
            Button_Equipment.SetCheck(true);
    }
            
    
    
	void AddToPlayerInventory(ChromeInvListWeapon cList, int nID)    
	{
		if (!ItemAvailableInInvRoom(cList, nID))
			return;
		
		InventoryObjectInfo objInfo = GetInventoryRoom().FindObject(((InventoryObjectInfo) cList.aInitItems.elementAt(nID)).m_iType,
																		 ((InventoryObjectInfo) cList.aInitItems.elementAt(nID)).m_Name);
		if ( (objInfo != null) && (objInfo.m_iAmount <= 0) )
			return;

        InvObject SelectItem = CreateInvObject( ((InventoryObjectInfo) cList.aInitItems.elementAt(nID)).m_Name );
        Vector vSprPos = new Vector(((Button)cList.vItems.elementAt(nID)).GetPos());
		SelectItem.Hide();
        SelectItem.bNearestCell = false;
        
        //SelectItem.cInvObjSprite.cHUDInvMenu = ((HUDInvMenu)(cPlayer.HUD.aHUDComponent[HUDManager._HUD_INV_MENU]));
        
		if (cPlayer.cInventory.IsFreeSpaceInInv(SelectItem))
			MoveInvObjFromInvRoomToPlayer(SelectItem);
		else
            RemoveInvObj(SelectItem);
        
        if (cCurrentList != null)
            cCurrentList.UpdateList();
	}
	
    
    InvObject CreateInvObject(String sClassName)
    {
        return CreateInvObject( sClassName, true );
    }
	InvObject CreateInvObject(String sClassName,boolean bDeactivate)
	{
	    InvObject obj = CreateInvObjectDo( sClassName );
        
        if (obj instanceof Ammo)
            ((Ammo)obj).nCount = ((Ammo)obj).nCapacity;
        
        if ( obj != null && bDeactivate )
        {
		    obj.EnableRendering(false);
		    obj.DeactivateOnModuleAlways();
        }
	    return obj;
	}
    
    InvObject CreateInvObjectDo(String sClassName)
    {
        GameObject cObj = CreateObject( sClassName );
        
        return cObj instanceof InvObject ? (InvObject)cObj : null;
    }
	
	boolean ItemAvailableInInvRoom(ChromeInvListWeapon cList, int nID)
	{
        InventoryObjectInfo objInfo = (InventoryObjectInfo) cList.aInitItems.elementAt(nID);
		if ( (objInfo.m_iAmount == 0) || (objInfo.m_bDisabled) )
			return false;
		else
			return true;
	}
	
	void DeleteInvObject(InvObject invObj)
	{
		m_ObjToDelete.addElement(invObj);
		CallMethodIn("ClearList", 0.0f);
 	}
	
	public void ClearList()
	{
		for (int i = 0; i < m_ObjToDelete.size(); i++)
		{
			GameObject obj = (GameObject) m_ObjToDelete.elementAt(i);
			obj.delete();
			obj = null;
		}
		m_ObjToDelete.clear();
	}
    
    InventoryRoom cInventoryRoom = null;
    
    InventoryRoom GetInventoryRoom()
    {
        if ( cInventoryRoom == null )
        {
			cInventoryRoom = ((ChromeModule) GetModule()).cGameInitInfo.cInventoryRoom;
            cInventoryRoom.Clean();
        }
            
        if ( cInventoryRoom == null )
        {
            CrashLog(this+" cInventoryRoom == null!!!!\n");
        }
        return cInventoryRoom;
    }
    
    /********HUDINVENTORY**************************************/
    

    void SetupPosition(Sprite parent)
    {
        cParent = parent;
        cParent.AddChild(cInvGridSprite);
        cInvGridSprite.MoveTop();
        cInvGridSprite.Show();
        cInvGridSprite.SetSize(cInvFrame.GetSize());
		cInvGridSprite.SetPos(cInvFrame.GetPos());
        
        //LogR("cInvGridSprite Size " + cInvFrame.GetSize());
        //LogR("cInvGridSprite Pos  " + cInvFrame.GetPos());
            
        
        CallMethodIn("ContinueSetupPosition", 0.0f);
        //ContinueSetupPosition();
            
    }
    
    void ContinueSetupPosition()
    {
        //LogR("ContinueSetupPosition");
        UpdateGridsPos();
    }


    void MoveInvObjFromInvRoomToPlayer(InvObject cInvObj)
    {
        
        cInvObj.bNearestCell = true;
        cInvObj.Execute(cPlayer);
        //cInvObj.cInvObjSprite.DetachFromParent();
		cInvGridSprite.AddChild(cInvObj.cInvObjSprite);
        
		if (cInvObj.bJustTakenToInventory)
		{
			String objClassName = cInvObj.getClass().getName();
			InventoryObjectInfo objInfo = GetInventoryRoom().FindObject(cInvObj.nInvType, objClassName);
			objInfo.ChangeAmount(-1);
		}
		
		GetInventoryRoom().m_ChromeInventoryMenu.ClearDes();
        HideInvObjInfo(m_cInfoInvObject);
    }
	
    void MoveInvObjFromPlayerToInvRoom(InvObject cInvObj)
    {
        String objClassName = cInvObj.getClass().getName();
        if (cInvObj instanceof Ammo)
        {
            //musimy sprawdzic czy nie bylo wiecej pudelek 
            int nQuantity = 1;///((Ammo)cInvObj).nCount / ((Ammo)cInvObj).nDefaultCount;
            GetInventoryRoom().AddObject(cInvObj.nInvType, objClassName, nQuantity);
        }
        else
        {
            GetInventoryRoom().AddObject(cInvObj.nInvType, objClassName, 1);
        }
        
        cInventory.RemoveInvObject(cInvObj);
        RemoveInvObj(cInvObj);
    }
    
    /** metoda zmienia pozycje gridow inventory 
     */
    void UpdateGridsPos()
    {
        if (cInventory==null)
            return;
            
        Vector Grid_inv = new Vector(cInvGridSprite.GetPos());
        Vector Spr_size = new Vector(cInvGridSprite.GetSize());
        
        for (int i = 0; i < cInventory.aInvGrids.length; i++)
        {
            cInventory.aInvGrids[i].UpdateInventoryGridsPos(i,
															0,//(int) Grid_inv.fX,
															0,//(int) Grid_inv.fY, 
                                                            cInvFrame);
        }
    }

	/** handler na click na spricie
	 */
	void OnLBDownInvObj(float fMouseX, float fMouseY, InvObject cInvObj)
	{
        if (cInvObj.cInvObjSprite.IsVisible()) 
			SetActualInvObj(cInvObj);

		bDragingInvObj = true;
        cCursor.Hide();

		// jezeli klik przedmiocie w inventory gracza
		if (IsInvObject(cInvObj))
		{
			PlaySound(m_InventoryClick);
			
			HideInvObjInfo(m_cInfoInvObject);
			
		    //zwalniam miejsce w Gridzie
            Inventory cInventory = cInvObj.GetInventory();
            InvGrid cGrid = cInventory.GetInvGrid(cInvObj.nGrid);
            if(cGrid != null)
            {
		        cGrid.SetFreeCells(cInvObj.nCellY, cInvObj.nCellsHeight, cInvObj.nCellX, cInvObj.nCellsWidth);
		        cGrid.PrintFreeCells();
            }
		}
	}
	
	/** handler na puszczenie buttona myszy 
	 */
	void OnLBUpInvObj(float fMouseX, float fMouseY, InvObject cInvObj)
	{
		HideInvObjInfo(m_cInfoInvObject);
		
        if (bDragingInvObj && (cInvObj == cActiveInvObj))
        {
            bDragingInvObj = false;

			if (IsInvRoomInvObject(cInvObj))
			{
				GetInventoryRoom().m_ChromeInventoryMenu.ClearDes();
				
				//klik na przedmiocie w inventory room
				OperatingInvRoomObject(cInvObj);
			}
			else
			if (IsInvObject(cInvObj))
			{
				//klik przedmiocie w inventory gracza
				OperatingInvObject(cInvObj);
			}
            
            ShowCursor();
		}
	}
	
    /** handler na ruszanie mysza
	 */
	void OnMouseMoveInvObj(float fMouseX, float fMouseY, int iButtonsFlags, InvObject cInvObj)
	{
	}

	void OnMouseEnterInvObj(float fMouseX, float fMouseY, InvObject cInvObj)
	{
        // by zachowac wlasciwa kolejnosc wyswietlania kursora i coli
		if (bDragingInvObj == false)
        {
            if (IsInvObject(cInvObj))
                ShowInvObjInfo(cInvObj);
            
            cInvObj.cInvObjSprite.MoveTop();
            cCursor.MoveTop();
        }
		else
		{
            if (IsInvObject(cInvObj))
                HideInvObjInfo(m_cInfoInvObject);
		}
    }
	
	void OnMouseLeaveInvObj(float fMouseX, float fMouseY, InvObject cInvObj)
	{
		if (IsInvObject(cInvObj))
            HideInvObjInfo(cInvObj);
	}

    /** metoda sprawdza czy bylo klikniecie na przedmiocie z inventory room
     */
    boolean IsInvRoomInvObject(InvObject cInvObj)
    {
		return (cInvObj.cInventory == null);
    }

    /** metoda sprawdza czy bylo klikniecie na przedmiocie z inventory gracza
     */
    boolean IsInvObject(InvObject cInvObj)
    {
       if ((cInventory != null) &&
		   (((InventoryPlayer)cInventory ).BecomeToThisInventory(cInvObj))
          )
           return true;
       else
           return false;
    }

    /** metoda wraca z spri(n)tem przedmiotu do inv Playera
     */    
    void MoveInvObjBackToPlayer(InvObject cInvObj)
    {
        Vector cellGrid = cInventory.FindNearestCellGrid(cInvObj.cInvObjSprite.cActualSpritePos, cInvObj);
        //Log("<> <> NEarest Y ="+cellGrid.fY+" X= "+cellGrid.fX+" GRID = "+cellGrid.fZ+"\n");
        cInvObj.SetInvObjCellsGrid((byte)cellGrid.fX, (byte)cellGrid.fY, (byte)cellGrid.fZ);
        //Log(" !! nowa pozycja X = "+(int)cellGrid.fX+" Y="+(int)cellGrid.fY+" GRID = "+cellGrid.fZ+"\n" );
        cInventory.aInvGrids[(byte)cellGrid.fZ].SetTakenCells((byte)cellGrid.fY, cInvObj.nCellsHeight, (byte)cellGrid.fX, cInvObj.nCellsWidth); 
    }
	
    /** metoda wraca z spritem przedmiotu do Inv Playera
     */    
    void MoveInvObjBackToInvRoom(InvObject cInvObj)
    {
        Vector cellGrid = cInventory.FindNearestCellGrid(cInvObj.cInvObjSprite.cActualSpritePos, cInvObj);
        //Log("<> <> NEarest Y ="+cellGrid.fY+" X= "+cellGrid.fX+" GRID = "+cellGrid.fZ+"\n");
        cInvObj.SetInvObjCellsGrid((byte)cellGrid.fX, (byte)cellGrid.fY, (byte)cellGrid.fZ);
        //Log(" !! nowa pozycja X = "+(int)cellGrid.fX+" Y="+(int)cellGrid.fY+" GRID = "+cellGrid.fZ+"\n" );
        cInventory.aInvGrids[(byte)cellGrid.fZ].SetTakenCells((byte)cellGrid.fY, cInvObj.nCellsHeight, (byte)cellGrid.fX, cInvObj.nCellsWidth); 
    }
	
    /** metoda wyswietla opis przedmiotu w Inventory PLayera
     */
    void ShowPlayerInvObjInfo(InvObject cInvObj)
    {
        if (cInvObj.cInvObjSprite.IsVisible()) 
            ShowInvObjInfo(cInvObj);    
    }

    /** metoda wykonuje wszystkie czynnosci zwiazane z obsluga sprite'a
     *  przedmiotu po kliknieciu na przedmiot w invetory gracza
     */    
    void OperatingInvObject(InvObject cInvObj)
    {
		PlaySound(m_InventoryPut);
				
		if (!cInventory.IsOutOfInventory(cInvObj)) 
		{
            MoveInvObjBackToPlayer(cInvObj);
			
            ShowInvObjInfo(cInvObj);
		}
		else // jest poza gridami lub wewnatrz inventory room
		{
            if( cInvObj.bLocked )
            {
                MoveInvObjBackToPlayer(cInvObj);
            }
            else
            {
				// dodajemy ten obiekt do inventory room
				MoveInvObjFromPlayerToInvRoom(cInvObj);
            }
		}
    }

    /** metoda wykonuje wszystkie czynnosci zwiazane z obsluga sprite'a
     *  przedmiotu po kliknieciu na przedmiot w Invetory AI
     */    
    void OperatingInvRoomObject(InvObject cInvObj)
    {
		PlaySound(m_InventoryPut);
		
        if (!cInventory.IsOutOfInventory(cInvObj))
        {// jest puszczony wewnatrz grida Playera

			if (cInventory.IsFreeSpaceInInv(cInvObj) || cInvObj.bMissionCritical || cInvObj.bHidden || cInvObj.bHiddenButUsable) //jest wolne miejsce
			{
				MoveInvObjFromInvRoomToPlayer(cInvObj);
    		}
			else //nie ma wolnego miejsca
			{
                RemoveInvObj(cInvObj);
			}//else  
        }	
		else // jest poza gridami lub wewnatrz inventory room
		{
			RemoveInvObj(cInvObj);
        } 
    }

    /** metoda wywolywana gdy gracz zrobi dwuklik na przedmiocie
     */
    void DoubleClickOnInvObj(InvObject cInvObj)
    {
        if (IsInvObject(cInvObj))
        {
            if( cInvObj.bLocked )
            {
                //MoveInvObjBackToPlayer(cInvObj);
            }
            else
            {
				// dodajemy ten obiekt do inventory room
                MoveInvObjFromPlayerToInvRoom(cInvObj);
            }
        }
    }

    /** przekazywanie referencji do aktulanie drag&dropowanego 
	 *	InvObj
	 */ 
	public void SetActualInvObj(InvObject invobj)
	{
		cActiveInvObj = invobj;
	}
	
	public void ShowInvObjInfo(InvObject cObj)
	{
        if (m_cInfoInvObject == cObj)
            return;
        m_cDescription.SetText(cObj.GetInvName() + "\n" + cObj.GetInfoString());
		m_cDescription.Show();
        m_cInfoInvObject = cObj;
	}
	
	public void HideInvObjInfo(InvObject cObj)
	{
        if (cObj == m_cInfoInvObject)
        {
		    m_cDescription.Hide();
            m_cInfoInvObject = null;
        }
        
	}

    public void RemoveInvObj(InvObject cObjToRemove)
    {
        
        aInvObjToRemove.addElement(cObjToRemove);
        CallMethodIn("RemovingInvObj", 0.0f);
    }
	
    //TODO : tak nie moze byc z usuwaniem inv objecta
    //TONOTDO : czy aby na pewno ?
    public void RemovingInvObj()
    {
        // TODO: sprawdzic czy to gra sieciowa
        boolean bNetwork = false;
        
        for(int i = 0; i < aInvObjToRemove.size(); i++)
        {
            InvObject objToRemove = (InvObject)aInvObjToRemove.elementAt(i);
            
            if ( bNetwork )
            {
                // w sieci na kliencie
                if ( objToRemove.m_bLocalObj == false )
                    objToRemove.MsgSendServerDeleteRequest();
            }
            else
            {           
                objToRemove.delete();
            }
        }
        
        aInvObjToRemove.removeAllElements();
    }

    /** metoda rysuujaca wszystkie przedmioty z Inventory
	 */
    public void ShowAllInvObjects()
    {
        if (cInventory!=null)
        {
            // teraz wlaczam rekacje na klikanie mysza na sprite'ach
            if (cInventory.aInvObjects!=null)
            {
                InvObject cObj = null;
                for (int j=0; j<cInventory.aInvObjects.size(); j++)
                {
                    cObj = (InvObject)cInventory.aInvObjects.elementAt(j);
                    cObj.cInvObjSprite.SetInvMenu(this);
                    cObj.cInvObjSprite.ProcessMouse(true);
                    cObj.cInvObjSprite.DetachFromParent();
                    cInvGridSprite.AddChild(cObj.cInvObjSprite);
                    cObj.cInvObjSprite.MoveTop();
                    //cInvGridSprite.AddChild(cObj.cInvObjSprite);\
                    cObj.cInvObjSprite.SetName("InvObj" + j);
                    //LogR("ShowAllInvObjects " + cObj + " module " + cObj.GetModule());
                }
            }
            cInventory.ShowAllInvObjects(cInvGridSprite); 
            cInventory.ComputeInvObjPositions();
        }
    }
	
    /** metoda chowa wszystkie przedmioty z Inventory
     */
    public void HideAllInvObjects()
    {
        if (cInventory!=null)
        {
            cInventory.HideAllInvObjects();
            
            if (cInventory.aInvObjects!=null)
            {
                for (int j=0; j<cInventory.aInvObjects.size(); j++)
                {
                    ((InvObject)cInventory.aInvObjects.elementAt(j)).cInvObjSprite.ProcessMouse(false);
                    ((InvObject)cInventory.aInvObjects.elementAt(j)).cInvObjSprite.SetInvMenu(null);
                    ((InvObject)cInventory.aInvObjects.elementAt(j)).cInvObjSprite.DetachFromParent();
                }
            }
        }
    }
	 
	/** metoda wyswietla kursor 
	 */
	public void ShowCursor()
	{
	    cCursor.Show();
	    cCursor.MoveTop();
	}

    void OnKeyPressed(int nKey, char nAsci)
	{
        switch(nKey)
        {
        case EKey._ESCAPE:
            if (!(GetModule() instanceof ModuleNet))
                CallOnFrameEnd("OnEscape");
            break;
        }
    }
    
    void ShowYesNoDialog(int nID, String sTitle, String sQuestion, String sYesBtn, String sNoBtn)
    {
        if (m_cYesNoDlg == null)
		{
			m_cYesNoDlg = (MenuYesNoDialog)CreateObject("MenuYesNoDialog");
            m_cYesNoDlg.m_cWndOwner = this;
		}
        if (m_cYesNoDlg != null)
        {
			//CrashLog("YesNoDlg:" + m_cYesNoDlg ); 
			m_cYesNoDlg.InitYesNo(nID, sTitle, sQuestion, sYesBtn, sNoBtn);
            m_cYesNoDlg.Show();
            ProcessMouse(false);
            ProcessKb(false);
        }
        cCursor.MoveTop();
    }
    
    void ReleaseYesNoDialog()
    {
        if (m_cYesNoDlg == null)
            return;
        
        m_cYesNoDlg.Hide();
        ProcessMouse(true);
        ProcessKb(true);
        m_cYesNoDlg = null;
    }
    
    void OnEscape()
    {
        ShowYesNoDialog(EChromeMainMenuUI.ID_BTN_MAIN_EXIT, "&InGameMenuYesNoTitle&", "&InGameMenuYesNoQuestion&", "&BtnYes&", "&BtnNo&");
    }

    void OnYesFromDlg(int nID)
    {
        switch(nID)
        {
        case EChromeMainMenuUI.ID_BTN_MAIN_EXIT:

            ((ChromeGame)ChromeGame.cSingleton).Menu.ActiveLevelReturnValue = ChromeModule._INVENTORY_MENU_CANCELLED;
            ((ChromeGame)ChromeGame.cSingleton).Menu.Activate();
            break;
        }
    }
    
    void OnNoFromDlg(int nID)
    {
        switch(nID)
        {
            case EChromeMainMenuUI.ID_BTN_MAIN_EXIT:
            ReleaseYesNoDialog();
            break;
        }
    }
    
}

