public class act_ChangeWaypoint extends Action
{
    {sEditorComment = "Action of changing objects next waypoint";}
    
    public iact_ChangeWaypoint cTarget = null;//#;Object to change its waypoint
	public iact_ChangeWaypoint[] aTargets = null; //#;Objects to change their waypoint
    public Waypoint cNewWaypoint = null;//#;Waypoint to set
    public boolean bStopCurrActivity = true;//#;Should this action stop objects waypoint activity (MotionType or Behavior)?
    
    public void InvokeAction()
    {
        if (cTarget != null)
            cTarget.ChangeWaypoint(cNewWaypoint, bStopCurrActivity);
		
		if (aTargets != null)
		{
			for(int i=0; i<aTargets.length; ++i)
				if (aTargets[i] != null) aTargets[i].ChangeWaypoint(cNewWaypoint, bStopCurrActivity);
		}
    }
}

