public class cnd_IsAttachedTo extends Condition
{
    // komentarz pokazywany w edytorze
    {sEditorComment = "Condition checks if given object is attached to other given object"; }
    
    public ControlObject cTarget = null;//#;Child object
    
    public ControlObject cParent = null;//#;Parent object

    public boolean bDirectRelationOnly = false;//#;Condition is true only when cParent is direct parent of cTarget
    
    boolean EvaluateInternal()
    {
        if (cParent != null && cTarget != null)
        {
            if (bDirectRelationOnly)
                return cTarget.GetParent() == cParent;
            else
            {
                ControlObject cTested = cTarget;
                do {
                    cTested = cTested.GetParent(); 
                    if (cTested == cParent)
                        return true;
                }
                while (cTested != null);
            }
        }
        return false;
    }
}
