public class cnd_IsObjectInFrustum extends Condition
{
    // komentarz pokazywany w edytorze
    {sEditorComment = "Condition returns true when specified object appears in player's view";}
    
    /** Obiekt, ktorego obecnosc jest sprawdzana */
    public ControlObject cTarget;//#;Tracking object
    
    public float fRange = -1.0f;//#;Range of frustum. When negative original frustum size is taken.
    
    public boolean EvaluateInternal()
    {
        Camera cPlayerCamera = null;
        // wyciagamy kamere gracza (przeniesione tu z OnPostCreate, bo kamera sie moze zmienic)
        try {
            ChromeModuleSingle cModule = (ChromeModuleSingle)GetModule();
            cPlayerCamera = cModule.MainPlayer.Camera;
        } catch(Exception e) {
        }

        if(cPlayerCamera == null) return false;
        
        ControlObject[] aObjs = GetObjectsInFrustum(cPlayerCamera, fRange);
        
        if(aObjs == null) return false;
        
        for(int i=0; i<aObjs.length; ++i)
            if(cTarget == aObjs[i]) return true;
        
        return false;
    }
}
