/** Warunek do sprawdzenia poziomu zycia danego obiektu
 */
public class cnd_ObjectsHealth extends Condition
{
    // pierwszy obiekt brany do liczenia odleglosci
    public Actor cTarget = null;//#
    
    // odleglosc miedzy obiektami
    public float fHealthLevel = 0;//#
    
    // relacja podanego progu wartosci i odleglosci obiektow
    public EnumRelation cRelation = new EnumRelation(EnumRelation._LESS);//#
    
    public float fEqualityEpsilon = 0.001f;//#
    
    boolean EvaluateInternal()
    {
        if(cTarget != null)
        {
            switch (cRelation.GetValue())
            {
            case EnumRelation._LESS:
                return cTarget.fHealth < fHealthLevel;
            case EnumRelation._EQUAL:
                return Math.abs(cTarget.fHealth - fHealthLevel) < fEqualityEpsilon;
            case EnumRelation._GREATER:
                return cTarget.fHealth > fHealthLevel;
            }
        }
        return false;
    }   
}
