public class ParamUnimportance extends Param
{
    {sEditorComment = "Sets unimportance for object(s)";}

    public ControlObject cTarget = null;//#\;
    public ControlObject[] aTargets = null;//#\;
    
    public float fUnimportanceFactor = -1f;//#\;
    public float fUnimportanceThreshold = -1f;//#\;
	
    public void ChangeParam()
    {
        if (cTarget != null)
		{
			if (fUnimportanceFactor >= 0f)
	            cTarget.SetUnImportanceFactor(fUnimportanceFactor);
			if (fUnimportanceThreshold >= 0f)
	            cTarget.SetUnImportanceThreshold(fUnimportanceThreshold);
		}
		
		if (aTargets != null)
		{
			for (int i = 0; i < aTargets.length; i++)
			{
				if (aTargets[i] != null)
				{
					if (fUnimportanceFactor >= 0f)
				        aTargets[i].SetUnImportanceFactor(fUnimportanceFactor);
					if (fUnimportanceThreshold >= 0f)
				        aTargets[i].SetUnImportanceThreshold(fUnimportanceThreshold);
				}
			}
		}
    }
}
