public class NetGameVersion
{

    static String GetFullName(int nVal)
    {
        return ENetGameVersion.GetFullName(nVal);
    }

    static String GetNetNumberName()
    {
        return GetNetNumberName(10202);
    }

    static String GetNetNumberName(int nVal)
    {
        return ENetGameVersion.GetNetNumber(nVal);
    }

    static boolean IsDedicated()
    {
        return Get() == 10202;
    }

    public NetGameVersion()
    {
    }

    static String GetNumberName()
    {
        return GetNumberName(10202);
    }

    static String GetNumberName(int nVal)
    {
        return ENetGameVersion.GetNumber(nVal);
    }

    static boolean IsVersionCompatible(int nVer1, int nVer2)
    {
        if(nVer1 == nVer2)
            return true;
        return nVer1 >= 10200 && nVer1 / 100 == nVer2 / 100;
    }

    static int GetGameTypeForMS()
    {
        if(IsDemo())
            return 0x10001;
        return !IsDedicated() ? 0x10000 : 0x10100;
    }

    static String GetShortName()
    {
        return GetShortName(10202);
    }

    static String GetShortName(int nVal)
    {
        return ENetGameVersion.GetShortName(nVal);
    }

    static boolean IsFullVersion()
    {
        return !IsDemo();
    }

    static int Get()
    {
        return 10202;
    }

    static boolean IsDemo()
    {
        return Get() == 10201;
    }

    static String GetFullName()
    {
        return GetFullName(10202);
    }

    private static final int sm_nCurrentGameVersion = 10202;
}
