public class HUDCompassNet extends HUDCompass
{
    {
        m_sScriptName = "data/hudnet/HUDCompassNet.scr";
    }
    
    HUDWaypointsManager CreateWaypointsManager()
    {
        return new HUDWaypointsManagerNet();
    }
    
    /** dodanie waypointa */
    UIRotorTextNet.RotorTextElementNet AddWaypointNet( Vector vPos, boolean bActive , NetHudMapSprite cNetHudMapSprite)
    {
        int nIndex = -1;
        
        if( m_cRotorText == null )
        {
            CrashLog("UICompassAndMapIndicator::AddWaypoint() - nie jest zainicjowany system opisow waypointow; m_cRotorText == null");
            return null;
        }
        
        if( m_cWaypointsManager == null )
        {
            m_cWaypointsManager = new HUDWaypointsManager();
        }

        if (((HUDWaypointsManagerNet)m_cWaypointsManager).FindWaypoint(cNetHudMapSprite) != null)
        {
            CrashLog("WARNING HUDCompassNet.AddWaypointNet - MapSprite already added!!!");
            //return null;
        }
        
        nIndex = ((HUDWaypointsManagerNet)m_cWaypointsManager).AddWaypoint( vPos, bActive, cNetHudMapSprite );
        
        int nRotorIdx = ((UIRotorTextNet)m_cRotorText).AddElem(CalculateWaypointAngle( GetWaypointPos( nIndex ) ), cNetHudMapSprite);
        UIRotorTextNet.RotorTextElementNet cElem = (UIRotorTextNet.RotorTextElementNet)m_cRotorText.GetElem(nRotorIdx);
        m_cWaypointsManager.SetWaypointRotorIdx(nIndex, cElem.m_nIndex);
        
        if( m_nPlayerWaypointID < 0 )
        {
            m_nPlayerWaypointID = nIndex;
        }
        SetCurrentWaypoint();
        
        UpdateWaypointPos();
        
        return cElem;
    }
    
    /** wybranie aktualnego waypointa */
    protected void SetCurrentWaypoint()
    {
        //w sieci tu sie nic nie robi
    }
}
