/**Sieciowy punkt spawnowania
 */
public class NetSpawnPoint extends NetTeamObject
{
    static float _SPAWN_POS_DELTA_Y = 2.0f;         //5.0  // zachar - aby po wyspawnowaniu w tym samym miejscu nie przestawialo do gory tylko w bok
    
    public boolean m_bInside = false;//#Net
    boolean IsInside() { return m_bInside; }
    
    public boolean m_bSpawnOnTerrain = true;//#Net
        
    private Vector m_vSpawnPosition = new Vector();
    Vector GetSpawnPosition() { return m_vSpawnPosition;   }
    Vector GetSpawnDir()      { return GetForwardVector(); }
        
    void OnCreate()
    {
        super.OnCreate();
        //TODO: fixit
        if ( GetModule() instanceof ModuleNetASSAULT )
            m_bSpawnOnTerrain = false;
        m_vSpawnPosition = CalculateSpawnPosition();
        EnableRendering(false);
        DeactivateOnModuleAlways();
    }
    
    Vector CalculateSpawnPosition()
    {
        Vector vPos = GetPosition();
                
        if ( m_bSpawnOnTerrain )
        {
            float  fMaxHeight = TerrainHeight( vPos.fX, vPos.fZ );
            
            //przeszukac najblizsze otoczenie i znalezdz dogodne Y
            Vector vDir       = new Vector( 20.0f, 0.0f, 0.0f );
            int    nPoints    = 10;
            for ( int i=0; i<nPoints; i++ )
            {
                float fHeight = TerrainHeight( vPos.fX + vDir.fX, vPos.fZ + vDir.fZ );
                        
                if ( fMaxHeight < fHeight )
                     fMaxHeight = fHeight;
                        
                vDir = RotateVector( vDir, 360.0f/nPoints, Vector.Up );
            }
		    vPos.fY	= fMaxHeight + _SPAWN_POS_DELTA_Y;
        }
        
        return vPos;
    }
    
    /**
     * Tu bedziemy przechowywali oglaglosc do najblizszego playera
     */
    private
    float   m_fDistanceToNearestPlayer = 0.0f;
    void    SetDistanceToNearestPlayer(float fDist){m_fDistanceToNearestPlayer = fDist;}
    float   GetDistanceToNearestPlayer(){ return m_fDistanceToNearestPlayer; }
}


