public class EConnectingStatus extends Enum
{
	EConnectingStatus(int v) { super(v); }
	
	//okresla, ze nic nie jest robione / nie ma zadnego bledu
	final static int NONE = 0;
	//okresla, ze jest w trakcie nawiazywania polaczenia - server jeszcze
	//nic nie odpowiedzial
	final static int CONNECTING = 1;
	//server zaakceptowal polaczenie - mozna przejsc do nastepnej fazy laczenia
	final static int APPROVED = 2;
	//podano zle haslo
	final static int INVALID_PASSWORD = 3;
	//zbyt wielu graczy na serverze
	final static int TOO_MANY_PLAYERS = 4;
    //zla odpowiedz na liste zyczen
    final static int CRC_ERROR = 5;
    //zla wersja gry
    final static int WRONG_GAME_VERSION = 6;
    //zle dane
    final static int WRONG_DATA = 7;
    //zla mapa - nie ta sciezka, klient pomylil mapy przy dolaczaniu
    final static int INVALID_MAP = 8;
	
	static String GetFlagName( int nFlag )
	{
		switch (nFlag)
		{
		case NONE: return "None";
		case CONNECTING: return "Connecting";
		case APPROVED: return "Approved";
		case INVALID_PASSWORD: return "&INVALID_PASSWORD&";
		case TOO_MANY_PLAYERS: return "&SERVER_FULL&";
        case CRC_ERROR: return "&WRONG_MAP_VERSION&";
        case WRONG_GAME_VERSION: return "&WRONG_GAME_VERSION&";
        case WRONG_DATA: return "&WRONG_DATA&";
        case INVALID_MAP: return "Invalid map";
		default: return "__UNKNOWN_FLAG__";
		}
	}
}
