public class AIAnimationsDino extends AIAnimationsAnimal
{
    AIAnimationsDino(int nVal)
    {
        super(nVal);
    }

    public void InitializeImmutableAnimations()
    {
        m_aAnims[A_IDLE]                    = m_OwnerMesh.GetAnimID(m_sRootElementName, "idle");
        m_aAnims[A_IDLE_ALT]                = m_OwnerMesh.GetAnimID(m_sRootElementName, "idle_eat");
        m_aAnims[A_IDLE_LOOK]               = m_OwnerMesh.GetAnimID(m_sRootElementName, "idle_look");
        m_aAnims[A_WALK]                    = m_OwnerMesh.GetAnimID(m_sRootElementName, "walk");
        m_aAnims[A_WALK_RIGHT]              = m_OwnerMesh.GetAnimID(m_sRootElementName, "walk_rotate_right");
        m_aAnims[A_WALK_LEFT]               = m_OwnerMesh.GetAnimID(m_sRootElementName, "walk_rotate_left");
        m_aAnims[A_AGGRESION_IDLE]          = m_OwnerMesh.GetAnimID(m_sRootElementName, "idle");
        m_aAnims[A_AGGRESION_IDLE_ALT]      = m_OwnerMesh.GetAnimID(m_sRootElementName, "idle_eat");
        m_aAnims[A_AGGRESION_WALK]          = m_OwnerMesh.GetAnimID(m_sRootElementName, "walk");
        m_aAnims[A_AGGRESION_WALK_RIGHT]    = m_OwnerMesh.GetAnimID(m_sRootElementName, "walk_rotate_right");
        m_aAnims[A_AGGRESION_WALK_LEFT]     = m_OwnerMesh.GetAnimID(m_sRootElementName, "walk_rotate_left");
        m_aAnims[A_AGGRESION_RUN]           = m_OwnerMesh.GetAnimID(m_sRootElementName, "run_attack");
        m_aAnims[A_AGGRESION_ATTACK]        = m_OwnerMesh.GetAnimID(m_sRootElementName, "stand_attack");
        m_aAnims[A_AGGRESION_ATTACK_ALT]    = m_OwnerMesh.GetAnimID(m_sRootElementName, "run_attack");
        m_aAnims[A_HIT]                     = m_OwnerMesh.GetAnimID(m_sRootElementName, "hit");
        m_aAnims[A_DEATH]                   = m_OwnerMesh.GetAnimID(m_sRootElementName, "death");

        m_OwnerMesh.SetAnimFreq(m_aAnims[A_AGGRESION_RUN], 50);
    }
}
