/** generator wycinajacy scenariusze po zobaczeniu silniejszego wroga */
public class EnemyStronger extends Generator
{
	EnemyStronger(AIController controller)
	{
		super(controller);
        
		m_GenScenarios.SetAllBits();
		m_GenScenarios.ClearBit(RunZigZagShoot._ID);
		m_GenScenarios.ClearBit(RunStraightAheadShoot._ID);
		m_GenScenarios.ClearBit(StrafeShoot._ID);			
//		m_GenScenarios.ClearBit(DuckShoot._ID);
//		m_GenScenarios.ClearBit(StandShoot._ID);				
	}
	
	void UpdateScenarios()
	{
		super.UpdateScenarios();

		if (!m_Controller.EnemyStronger())
		{
            m_CurrScenarios.SetAllBits();
		}
		else
		{
            // jezeli wrog jest silniejszy
			m_CurrScenarios.Set(m_GenScenarios);						
#if AI_DEBUG        
            DebugUtils.AddLog(m_Controller.m_MeshAI, 
                              "EnemyStronger():" + m_Controller.EnemyStronger());
#endif            
		}
		
#if AI_DEBUG        
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif        
	}
}
