/** Generator odsiewajacy scenariusz zachowania goscia bez broni
 *  (cywila?)
 */
public class IsUnarmed extends Generator
{
    public IsUnarmed(AIController controller)
    {
        super(controller);

        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(Unarmed._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();

        if (m_Controller.GetActiveWeapon() == null && 
            m_Controller.GetActiveEnemy() != null)
        {
            m_CurrScenarios.SetAllBits();
        }
        else
        {
            m_CurrScenarios.Set(m_GenScenarios);
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, " ActiveWeapon != null , enemy = " + m_Controller.GetActiveEnemy());
#endif
        }
        
#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}
