/** filtruje scenariusze, gdy jest w poblizu wielu wrogow */
public class ManyEnemiesAttack extends Generator
{
	ManyEnemiesAttack(AIController controller)
	{
		super(controller);

        m_GenScenarios.SetAllBits();
		m_GenScenarios.ClearBit(LookAroundIdle._ID);
		m_GenScenarios.ClearBit(LookAroundAlarmed._ID);
		m_GenScenarios.ClearBit(RunToExamineBody._ID);
		m_GenScenarios.ClearBit(RunStraightAheadShoot._ID);
		m_GenScenarios.ClearBit(RunZigZagShoot._ID);
		m_GenScenarios.ClearBit(IdleSmoke._ID);
		m_GenScenarios.ClearBit(IdleWalk._ID);
		m_GenScenarios.ClearBit(IdlePlayAnim._ID);
	}
	
	void UpdateScenarios()
	{
		super.UpdateScenarios();
        
        if(m_bTestPhase)
            return;        
		
		if (m_Controller.AttackedByManyEnemies())
		{
#if AI_DEBUG        
            DebugUtils.AddLog(m_Controller.m_MeshAI, "AttackedByManyEnemies()");
#endif
			m_CurrScenarios.Set(m_GenScenarios);
		}
		else
		{
			m_CurrScenarios.SetAllBits();
		}
		
#if AI_DEBUG        
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif        
	}
}
