public class PerformEditorActivity extends Generator
{
    PerformEditorActivity(AIController controller)
    {
        super(controller);

        m_GenScenarios.SetAllBits();
        m_GenScenarios.CalcIntersectionWithComplement(Scenario._EDITOR_SCENARIOS);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();

#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, 
                              "PerformEditorActivity() = " + 
                              m_Controller.ShouldPerformEditorActivity());
#endif
        if (!m_Controller.ShouldPerformEditorActivity())
        {
            m_CurrScenarios.Set(m_GenScenarios);
        }
        else
        {
            BitVector actScenarios = m_Controller.GetCurrActivity().GetScenariosVector();

            if (actScenarios != null)
                m_CurrScenarios.Set(actScenarios); // ustaw te z activity
            else
                m_CurrScenarios.Set(m_GenScenarios); // ustaw te, ktore nie sa edytorowe
            
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, 
                              ", activity_name = " + m_Controller.GetCurrActivity().getClass().getName());
#endif
        }

#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}
