/** generator filtrujacy scenariusz uciekania */
public class RunAwayCheck extends Generator
{
    RunAwayCheck(AIController controller)
    {
        super(controller);
        
        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(RunAway._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();

        if ( m_Controller.JustHeardDangerousObject() ||
             (m_Controller.GetActiveWeaponAmmo() + m_Controller.GetMesh().m_nAmmoForActiveWeapon <= 0) &&
             (m_Controller.GetActiveEnemy() != null) )
        {
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, " DangerousObjectWarning():" + m_Controller.JustHeardDangerousObject());
#endif
            m_CurrScenarios.SetAllBits();
        }
        else
        {
            m_CurrScenarios.Set(m_GenScenarios);
        }
        
#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}
