public class ScenariosFilterWalker extends Generator
{
    ScenariosFilterWalker(AIController controller)
    {
        super(controller);
        
        m_GenScenarios.SetBit(EditorAppear._ID);
        m_GenScenarios.SetBit(EditorMove._ID);
        m_GenScenarios.SetBit(EditorPlayAnim._ID);
        m_GenScenarios.SetBit(EditorPlayRandomAnims._ID);
        m_GenScenarios.SetBit(IdlePlayAnim_W._ID);
        //m_GenScenarios.SetBit(LookAroundAlarmed_W._ID);
        m_GenScenarios.SetBit(LookAroundIdle_W._ID);
        m_GenScenarios.SetBit(LookForEnemy_W._ID);		
        m_GenScenarios.SetBit(ReactOnEnemyPresence_W._ID);
        m_GenScenarios.SetBit(RetreatShoot_W._ID);
        m_GenScenarios.SetBit(RunStraightAheadShoot_W._ID);
        m_GenScenarios.SetBit(StandShoot_W._ID);
        m_GenScenarios.SetBit(WaitForEnemyAction_W._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();
        m_CurrScenarios.Set(m_GenScenarios);
        
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, "\n"); 
#endif
    }
}
