public class DuckShoot extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;
   
	void PrepareScenario(AIController ai)
	{
        // trzeba sie zastanowic jak ustalac obiekt od ktorego ma uciekac
        ChromeActor cEnemy = ai.GetActiveEnemy();
        
        ai.AddCleaningTask(new TaskMotionStateChange(MotionState.SPEED_DUCK));
        ai.AddCleaningTask(new TaskWait(1));
        if (cEnemy != null)
        {
            ai.AddTask(new TaskTrackingStart(cEnemy));
            ai.AddTask(new TaskStartFire());
            ai.AddTask(new TaskWait(4));
            ai.AddCleaningTask(new TaskStopFire());
            ai.AddCleaningTask(new TaskTrackingStop());
        }
        
        super.PrepareScenario(ai);
	}            
    
    public String toString()
    {
        return "DS";
    }
    // pt:. -------------   TESTY -----------  
    int GetID()
    {
        return _ID;   
    }        
}
