public class FallDownToHide extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;

    void PrepareScenario(AIController ai)
	{
        ai.AddTask(new TaskStopFire());
        ai.AddTask(new TaskTrackingStop());
        ai.AddTask(new TaskPlayAnim(AIAnimationsHuman.A_GET_DOWN));
        ai.AddCleaningTask(new TaskMotionStateChange(MotionState.SPEED_CRAWL, false));
        ai.AddCleaningTask(new TaskWait(GameObject.RandomFloat(2, 5)));
       
        super.PrepareScenario(ai);
	}
    
    public String toString()
    {
        return "FDtH";
    }
    // pt:. -------------   TESTY -----------  
    int GetID()
    {
        return _ID;   
    }        
}
