public class RunStraightAheadShoot_W extends Scenario
{
	static int _ID = _NUM_OF_SCENARIOS++;
	
	void PrepareScenario(AIController ai)
	{
        Vector vDestPos = null;
        ChromeActor cEnemy = null;
		vDestPos = ai.m_cActiveEnemy.GetPosition(); 
		cEnemy = ai.m_cActiveEnemy;
		
        ai.AddTask(new TaskMotionStateChange(MotionState.SPEED_WALK));

		ai.AddTask(new TaskTurnAtPos(vDestPos));
        ai.AddTask(new TaskTrackingStart(cEnemy)); 
		ai.AddTask(new TaskStartFire());		

		ai.AddTask(new TaskGoToObject(cEnemy,  10, 600));
        
        ai.AddCleaningTask(new TaskTrackingStop());
		ai.AddCleaningTask(new TaskStopFire());
		
        super.PrepareScenario(ai);
	}
	
    public String toString()
    {
        return "RSAS";
    }	
	
    // pt:. -------------   TESTY -----------  
    int GetID()
    {
        return _ID;   
    }        
}
