public class PainSense extends Sense implements IAIPainSense
{
	public void Init(AIController controller)
	{
		super.Init(controller);
		
		controller.m_MeshAI.SetPainSense(this);
	}
	
	public void OnTakeDamage(float fDamage, float fPhSimDamage, GameObject Assassin,Vector vHitLocation,
						   Vector vSpeed, int nMeshElementorBoneID, int nDamageType)
	{
		if ( (m_bIsFrozen) && (m_bIsDead) )
			return;
		
		m_Controller.GetMesh().ProfileBegin(NewAI.PROFILE_PainMsg);
        
		m_Controller.PainMsg(fDamage, fPhSimDamage, Assassin, vHitLocation, vSpeed, nMeshElementorBoneID, nDamageType);
        
		m_Controller.GetMesh().ProfileEnd(NewAI.PROFILE_PainMsg);
	}
}
