public class TaskSetInCannon extends Task
{
    boolean m_bInCannon;
    
    public TaskSetInCannon()
    {
        // SG
    }
    
    public TaskSetInCannon(boolean bInCannon)
    {
        m_bInCannon = bInCannon;
    }

    /** wykonuje zadanie     */
    public void Perform()
    {
		super.Perform();
        
        m_cAI.SetInCannon(m_bInCannon);
		m_cAI.Notify(AIEvents._NOTICE_END_TASK);
    }	
    
	public String toString()
	{
        return "TaskSetInCannon";
	}
    
    //*********************************************************
    //					SaveGame
    //*********************************************************
    
    public void SGLoadChunk(FileChunk cParentFC)
    {	
        FileChunk.Log("[TaskSetInCannon.SGLoadChunk]\n");
        
        FileChunk cFC = GameObject.LoadChunk(cParentFC);   
        
        if (cFC.GetID() == ESGChunksChrome._CHK_TASK_SET_IN_CANNON)
        {
            super.SGLoadChunk(cFC);
            m_bInCannon = cFC.LoadBool();
        }
        
        cFC.delete();
    }
    
    public void SGSaveChunk(FileChunk cFCParent)
    {
        FileChunk.Log("[TaskSetInCannon.SGSaveChunk]\n");
        
        FileChunk cFC = GameObject.NewChunk(ESGChunksChrome._CHK_TASK_SET_IN_CANNON, cFCParent);
        
        super.SGSaveChunk(cFC);
        cFC.SaveBool(m_bInCannon);
        
        cFC.delete(); 
    }				
    
    public void SGUpdate()
    {
        FileChunk.Log("[TaskSetInCannon.SGUpdate]\n");
        super.SGUpdate();
        //
    }
}
