/** klasa reprezentujaca objective, ktory jest podrzedny w stosunku do innego objective
 */
public class ObjectiveGroup extends SingleObjective
{
	
	ObjectiveGroup(int iObjectiveNo, int iObjectiveGroupNo, String info)
	{
		super(iObjectiveNo, info, false);
		
		m_iObjectiveGroupNo = iObjectiveGroupNo;
		m_bIsSubObjective = true;
	}
	
	float RecalculatePosition(float fPositionY, Vector vWindowSize)
	{
		if (!CanShow())
			return 0f;
		
		if ( (m_SpriteText != null) && (m_ObjectiveInfo.length() > 0) )
		{
			m_SpriteText.SetSize(vWindowSize); // na sztywno ustalamy wielkosc okna
			m_SpriteText.SetRelativePos(new Vector(ObjectivesManager._TEXT_INDENT_X +
												   ObjectivesManager._TEXT_SUB_INDENT_X,
												   fPositionY,
												   0));
			fPositionY = m_SpriteText.GetTextExtent(m_ObjectiveInfo).fY;
			fPositionY += ObjectivesManager._TEXT_INDENT_Y;
			m_SpriteText.DisplayText(m_ObjectiveInfo);
			return fPositionY; // zwracamy szerokosc Y tego sprite'a z tekstem
		}
		return 0f;
	}
}
